#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 12
#define STATE_COUNT 1104
#define LARGE_STATE_COUNT 96
#define SYMBOL_COUNT 227
#define ALIAS_COUNT 0
#define TOKEN_COUNT 101
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 25
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_import = 2,
  anon_sym_DOT = 3,
  anon_sym_from = 4,
  anon_sym___future__ = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_COMMA = 8,
  anon_sym_as = 9,
  anon_sym_STAR = 10,
  anon_sym_print = 11,
  anon_sym_GT_GT = 12,
  anon_sym_assert = 13,
  anon_sym_COLON_EQ = 14,
  anon_sym_return = 15,
  anon_sym_del = 16,
  anon_sym_raise = 17,
  anon_sym_pass = 18,
  anon_sym_break = 19,
  anon_sym_continue = 20,
  anon_sym_if = 21,
  anon_sym_COLON = 22,
  anon_sym_elif = 23,
  anon_sym_else = 24,
  anon_sym_async = 25,
  anon_sym_for = 26,
  anon_sym_in = 27,
  anon_sym_while = 28,
  anon_sym_try = 29,
  anon_sym_except = 30,
  anon_sym_finally = 31,
  anon_sym_with = 32,
  anon_sym_def = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_LBRACK = 35,
  anon_sym_RBRACK = 36,
  anon_sym_EQ = 37,
  anon_sym_STAR_STAR = 38,
  anon_sym_global = 39,
  anon_sym_nonlocal = 40,
  anon_sym_exec = 41,
  anon_sym_class = 42,
  anon_sym_AT = 43,
  anon_sym_not = 44,
  anon_sym_and = 45,
  anon_sym_or = 46,
  anon_sym_PLUS = 47,
  anon_sym_DASH = 48,
  anon_sym_SLASH = 49,
  anon_sym_PERCENT = 50,
  anon_sym_SLASH_SLASH = 51,
  anon_sym_PIPE = 52,
  anon_sym_AMP = 53,
  anon_sym_CARET = 54,
  anon_sym_LT_LT = 55,
  anon_sym_TILDE = 56,
  anon_sym_LT = 57,
  anon_sym_LT_EQ = 58,
  anon_sym_EQ_EQ = 59,
  anon_sym_BANG_EQ = 60,
  anon_sym_GT_EQ = 61,
  anon_sym_GT = 62,
  anon_sym_LT_GT = 63,
  anon_sym_is = 64,
  anon_sym_lambda = 65,
  anon_sym_PLUS_EQ = 66,
  anon_sym_DASH_EQ = 67,
  anon_sym_STAR_EQ = 68,
  anon_sym_SLASH_EQ = 69,
  anon_sym_AT_EQ = 70,
  anon_sym_SLASH_SLASH_EQ = 71,
  anon_sym_PERCENT_EQ = 72,
  anon_sym_STAR_STAR_EQ = 73,
  anon_sym_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_AMP_EQ = 76,
  anon_sym_CARET_EQ = 77,
  anon_sym_PIPE_EQ = 78,
  anon_sym_yield = 79,
  sym_ellipsis = 80,
  anon_sym_LBRACE = 81,
  anon_sym_RBRACE = 82,
  sym_escape_sequence = 83,
  sym__not_escape_sequence = 84,
  aux_sym_format_specifier_token1 = 85,
  sym_type_conversion = 86,
  sym_integer = 87,
  sym_float = 88,
  sym_true = 89,
  sym_false = 90,
  sym_none = 91,
  anon_sym_await = 92,
  sym_comment = 93,
  sym__semicolon = 94,
  sym__newline = 95,
  sym__indent = 96,
  sym__dedent = 97,
  sym__string_start = 98,
  sym__string_content = 99,
  sym__string_end = 100,
  sym_module = 101,
  sym__statement = 102,
  sym__simple_statements = 103,
  sym_import_statement = 104,
  sym_import_prefix = 105,
  sym_relative_import = 106,
  sym_future_import_statement = 107,
  sym_import_from_statement = 108,
  sym__import_list = 109,
  sym_aliased_import = 110,
  sym_wildcard_import = 111,
  sym_print_statement = 112,
  sym_chevron = 113,
  sym_assert_statement = 114,
  sym_expression_statement = 115,
  sym_named_expression = 116,
  sym_return_statement = 117,
  sym_delete_statement = 118,
  sym_raise_statement = 119,
  sym_pass_statement = 120,
  sym_break_statement = 121,
  sym_continue_statement = 122,
  sym_if_statement = 123,
  sym_elif_clause = 124,
  sym_else_clause = 125,
  sym_for_statement = 126,
  sym_while_statement = 127,
  sym_try_statement = 128,
  sym_except_clause = 129,
  sym_finally_clause = 130,
  sym_with_statement = 131,
  sym_with_item = 132,
  sym_function_definition = 133,
  sym_parameters = 134,
  sym_lambda_parameters = 135,
  sym__parameters = 136,
  sym__patterns = 137,
  sym_parameter = 138,
  sym_pattern = 139,
  sym_tuple_pattern = 140,
  sym_list_pattern = 141,
  sym_default_parameter = 142,
  sym_typed_default_parameter = 143,
  sym_list_splat_pattern = 144,
  sym_dictionary_splat_pattern = 145,
  sym_list_splat = 146,
  sym_dictionary_splat = 147,
  sym_global_statement = 148,
  sym_nonlocal_statement = 149,
  sym_exec_statement = 150,
  sym_class_definition = 151,
  sym_parenthesized_list_splat = 152,
  sym_argument_list = 153,
  sym_decorated_definition = 154,
  sym_decorator = 155,
  sym_block = 156,
  sym_expression_list = 157,
  sym_dotted_name = 158,
  sym__expression_within_for_in_clause = 159,
  sym_expression = 160,
  sym_primary_expression = 161,
  sym_not_operator = 162,
  sym_boolean_operator = 163,
  sym_binary_operator = 164,
  sym_unary_operator = 165,
  sym_comparison_operator = 166,
  sym_lambda = 167,
  sym_lambda_within_for_in_clause = 168,
  sym_assignment = 169,
  sym_augmented_assignment = 170,
  sym_left_hand_side = 171,
  sym__right_hand_side = 172,
  sym_yield = 173,
  sym_attribute = 174,
  sym_subscript = 175,
  sym_slice = 176,
  sym_call = 177,
  sym_typed_parameter = 178,
  sym_type = 179,
  sym_keyword_argument = 180,
  sym_list = 181,
  sym__comprehension_clauses = 182,
  sym_list_comprehension = 183,
  sym_dictionary = 184,
  sym_dictionary_comprehension = 185,
  sym_pair = 186,
  sym_set = 187,
  sym_set_comprehension = 188,
  sym_parenthesized_expression = 189,
  sym__collection_elements = 190,
  sym_tuple = 191,
  sym_generator_expression = 192,
  sym_for_in_clause = 193,
  sym_if_clause = 194,
  sym_conditional_expression = 195,
  sym_concatenated_string = 196,
  sym_string = 197,
  sym_interpolation = 198,
  sym_format_specifier = 199,
  sym_format_expression = 200,
  sym_await = 201,
  aux_sym_module_repeat1 = 202,
  aux_sym__simple_statements_repeat1 = 203,
  aux_sym_import_prefix_repeat1 = 204,
  aux_sym__import_list_repeat1 = 205,
  aux_sym_print_statement_repeat1 = 206,
  aux_sym_assert_statement_repeat1 = 207,
  aux_sym_if_statement_repeat1 = 208,
  aux_sym_try_statement_repeat1 = 209,
  aux_sym_with_statement_repeat1 = 210,
  aux_sym__parameters_repeat1 = 211,
  aux_sym__patterns_repeat1 = 212,
  aux_sym_global_statement_repeat1 = 213,
  aux_sym_argument_list_repeat1 = 214,
  aux_sym_decorated_definition_repeat1 = 215,
  aux_sym_dotted_name_repeat1 = 216,
  aux_sym_comparison_operator_repeat1 = 217,
  aux_sym_subscript_repeat1 = 218,
  aux_sym__comprehension_clauses_repeat1 = 219,
  aux_sym_dictionary_repeat1 = 220,
  aux_sym_set_repeat1 = 221,
  aux_sym__collection_elements_repeat1 = 222,
  aux_sym_for_in_clause_repeat1 = 223,
  aux_sym_concatenated_string_repeat1 = 224,
  aux_sym_string_repeat1 = 225,
  aux_sym_format_specifier_repeat1 = 226,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_await] = "await",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_left_hand_side] = "left_hand_side",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_set_repeat1] = "set_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [anon_sym_await] = anon_sym_await,
  [sym_comment] = sym_comment,
  [sym__semicolon] = sym__semicolon,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_left_hand_side] = sym_left_hand_side,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary] = sym_dictionary,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_pair] = sym_pair,
  [sym_set] = sym_set,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_tuple] = sym_tuple,
  [sym_generator_expression] = sym_generator_expression,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_interpolation] = sym_interpolation,
  [sym_format_specifier] = sym_format_specifier,
  [sym_format_expression] = sym_format_expression,
  [sym_await] = sym_await,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_with_statement_repeat1] = aux_sym_with_statement_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym_set_repeat1] = aux_sym_set_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_left_hand_side] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_function = 12,
  field_key = 13,
  field_left = 14,
  field_module_name = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_return_type = 20,
  field_right = 21,
  field_subscript = 22,
  field_superclasses = 23,
  field_type = 24,
  field_value = 25,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[93] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 2},
  [13] = {.index = 12, .length = 1},
  [14] = {.index = 13, .length = 2},
  [15] = {.index = 15, .length = 1},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 2},
  [18] = {.index = 19, .length = 3},
  [19] = {.index = 22, .length = 2},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 2},
  [22] = {.index = 28, .length = 1},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 2},
  [25] = {.index = 33, .length = 1},
  [26] = {.index = 34, .length = 2},
  [28] = {.index = 36, .length = 1},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 2},
  [33] = {.index = 16, .length = 1},
  [34] = {.index = 44, .length = 1},
  [35] = {.index = 45, .length = 2},
  [36] = {.index = 47, .length = 2},
  [37] = {.index = 49, .length = 1},
  [38] = {.index = 17, .length = 2},
  [39] = {.index = 50, .length = 1},
  [40] = {.index = 51, .length = 2},
  [41] = {.index = 53, .length = 2},
  [42] = {.index = 55, .length = 2},
  [43] = {.index = 57, .length = 1},
  [44] = {.index = 58, .length = 3},
  [45] = {.index = 61, .length = 3},
  [46] = {.index = 64, .length = 3},
  [47] = {.index = 67, .length = 1},
  [48] = {.index = 68, .length = 3},
  [49] = {.index = 71, .length = 3},
  [50] = {.index = 74, .length = 2},
  [51] = {.index = 76, .length = 2},
  [52] = {.index = 78, .length = 3},
  [53] = {.index = 81, .length = 3},
  [54] = {.index = 84, .length = 3},
  [55] = {.index = 87, .length = 3},
  [56] = {.index = 90, .length = 3},
  [57] = {.index = 93, .length = 1},
  [58] = {.index = 94, .length = 2},
  [59] = {.index = 96, .length = 2},
  [60] = {.index = 98, .length = 4},
  [61] = {.index = 102, .length = 2},
  [62] = {.index = 104, .length = 4},
  [63] = {.index = 108, .length = 4},
  [64] = {.index = 112, .length = 2},
  [65] = {.index = 114, .length = 1},
  [66] = {.index = 115, .length = 3},
  [67] = {.index = 118, .length = 3},
  [68] = {.index = 121, .length = 4},
  [70] = {.index = 125, .length = 4},
  [71] = {.index = 129, .length = 4},
  [72] = {.index = 133, .length = 3},
  [73] = {.index = 133, .length = 3},
  [74] = {.index = 136, .length = 2},
  [75] = {.index = 138, .length = 3},
  [76] = {.index = 141, .length = 5},
  [77] = {.index = 146, .length = 3},
  [78] = {.index = 149, .length = 2},
  [79] = {.index = 151, .length = 4},
  [80] = {.index = 155, .length = 4},
  [81] = {.index = 159, .length = 4},
  [83] = {.index = 163, .length = 4},
  [84] = {.index = 167, .length = 3},
  [85] = {.index = 170, .length = 4},
  [86] = {.index = 174, .length = 4},
  [87] = {.index = 178, .length = 4},
  [88] = {.index = 182, .length = 5},
  [89] = {.index = 187, .length = 5},
  [90] = {.index = 192, .length = 5},
  [91] = {.index = 197, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_definition, 1},
  [10] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [12] =
    {field_argument, 2, .inherited = true},
  [13] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [15] =
    {field_cause, 2},
  [16] =
    {field_body, 2},
  [17] =
    {field_name, 0},
    {field_value, 2},
  [19] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [22] =
    {field_attribute, 2},
    {field_object, 0},
  [24] =
    {field_left, 0},
    {field_type, 2},
  [26] =
    {field_left, 0},
    {field_right, 2},
  [28] =
    {field_name, 1},
  [29] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [31] =
    {field_alias, 2},
    {field_name, 0},
  [33] =
    {field_name, 3, .inherited = true},
  [34] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [36] =
    {field_body, 1},
  [37] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [39] =
    {field_cause, 3},
  [40] =
    {field_condition, 1},
    {field_consequence, 3},
  [42] =
    {field_body, 3},
    {field_condition, 1},
  [44] =
    {field_body, 3},
  [45] =
    {field_alias, 2},
    {field_value, 0},
  [47] =
    {field_body, 3},
    {field_name, 1},
  [49] =
    {field_arguments, 2},
  [50] =
    {field_type, 2},
  [51] =
    {field_body, 3},
    {field_parameters, 1},
  [53] =
    {field_key, 0},
    {field_value, 2},
  [55] =
    {field_subscript, 2},
    {field_value, 0},
  [57] =
    {field_alternative, 0},
  [58] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [61] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [64] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [67] =
    {field_body, 4},
  [68] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [71] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [74] =
    {field_body, 2},
    {field_body, 3},
  [76] =
    {field_body, 3},
    {field_body, 4},
  [78] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [81] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [84] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [87] =
    {field_subscript, 2},
    {field_subscript, 3},
    {field_value, 0},
  [90] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [93] =
    {field_name, 4, .inherited = true},
  [94] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [96] =
    {field_left, 1},
    {field_right, 3},
  [98] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [102] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [104] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [108] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [112] =
    {field_body, 4},
    {field_body, 5},
  [114] =
    {field_body, 5},
  [115] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [118] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [121] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [125] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [129] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [133] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [136] =
    {field_left, 2},
    {field_right, 4},
  [138] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [141] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [149] =
    {field_body, 5},
    {field_body, 6},
  [151] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [155] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [163] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [167] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [170] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [174] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [178] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [182] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [187] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [192] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [197] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
};

static TSSymbol ts_alias_sequences[93][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [1] = sym_identifier,
  },
  [9] = {
    [0] = sym_list_splat_pattern,
  },
  [27] = {
    [1] = sym_parenthesized_expression,
  },
  [31] = {
    [3] = sym_block,
  },
  [32] = {
    [3] = sym_block,
  },
  [33] = {
    [2] = sym_block,
  },
  [34] = {
    [3] = sym_block,
  },
  [36] = {
    [3] = sym_block,
  },
  [38] = {
    [0] = sym_identifier,
  },
  [44] = {
    [3] = sym_block,
  },
  [45] = {
    [3] = sym_block,
  },
  [47] = {
    [4] = sym_block,
  },
  [48] = {
    [3] = sym_block,
  },
  [52] = {
    [4] = sym_block,
  },
  [54] = {
    [4] = sym_block,
  },
  [60] = {
    [3] = sym_block,
  },
  [65] = {
    [5] = sym_block,
  },
  [66] = {
    [5] = sym_block,
  },
  [67] = {
    [5] = sym_block,
  },
  [69] = {
    [2] = sym_block,
  },
  [72] = {
    [0] = sym_identifier,
  },
  [77] = {
    [6] = sym_block,
  },
  [80] = {
    [5] = sym_block,
  },
  [82] = {
    [3] = sym_block,
  },
  [83] = {
    [6] = sym_block,
  },
  [85] = {
    [6] = sym_block,
  },
  [87] = {
    [7] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
};

static uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(39);
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(60);
      if (lookahead == '&') ADVANCE(63);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(56);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(58);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '0') ADVANCE(100);
      if (lookahead == ':') ADVANCE(49);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(67);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(72);
      if (lookahead == '@') ADVANCE(55);
      if (lookahead == '[') ADVANCE(51);
      if (lookahead == '\\') SKIP(35)
      if (lookahead == ']') ADVANCE(52);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(99);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(10)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(10)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(91);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(4)
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead != 0) ADVANCE(96);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(11)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '\r') SKIP(5)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(9)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(9)
      if (lookahead == '\r') SKIP(7)
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(60);
      if (lookahead == '&') ADVANCE(63);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(56);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(57);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == ':') ADVANCE(49);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(67);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(72);
      if (lookahead == '@') ADVANCE(55);
      if (lookahead == '[') ADVANCE(51);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == ']') ADVANCE(52);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(60);
      if (lookahead == '&') ADVANCE(63);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(56);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(57);
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(67);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(72);
      if (lookahead == '@') ADVANCE(55);
      if (lookahead == '[') ADVANCE(51);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(52);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 11:
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '-') ADVANCE(15);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == '\\') SKIP(6)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(87);
      END_STATE();
    case 14:
      if (lookahead == '=') ADVANCE(70);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(97);
      END_STATE();
    case 15:
      if (lookahead == '>') ADVANCE(50);
      END_STATE();
    case 16:
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 17:
      if (lookahead == '_') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 18:
      if (lookahead == '_') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 19:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 20:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 21:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 22:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(90);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(23);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(26);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(27);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 35:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(34)
      END_STATE();
    case 36:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(38)
      END_STATE();
    case 37:
      if (eof) ADVANCE(39);
      if (lookahead == '\n') SKIP(38)
      if (lookahead == '\r') SKIP(36)
      END_STATE();
    case 38:
      if (eof) ADVANCE(39);
      if (lookahead == '!') ADVANCE(14);
      if (lookahead == '#') ADVANCE(111);
      if (lookahead == '%') ADVANCE(60);
      if (lookahead == '&') ADVANCE(63);
      if (lookahead == '(') ADVANCE(42);
      if (lookahead == ')') ADVANCE(43);
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '+') ADVANCE(56);
      if (lookahead == ',') ADVANCE(44);
      if (lookahead == '-') ADVANCE(57);
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(59);
      if (lookahead == '0') ADVANCE(100);
      if (lookahead == ':') ADVANCE(48);
      if (lookahead == ';') ADVANCE(112);
      if (lookahead == '<') ADVANCE(67);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(72);
      if (lookahead == '@') ADVANCE(55);
      if (lookahead == '[') ADVANCE(51);
      if (lookahead == '\\') SKIP(37)
      if (lookahead == ']') ADVANCE(52);
      if (lookahead == '^') ADVANCE(64);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(66);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(38)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(99);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(54);
      if (lookahead == '=') ADVANCE(76);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(69);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(78);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(74);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(75);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(75);
      if (lookahead == '>') ADVANCE(50);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(61);
      if (lookahead == '=') ADVANCE(77);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(85);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(65);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '>') ADVANCE(73);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(46);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == '\n') ADVANCE(91);
      if (lookahead == '\r') ADVANCE(3);
      if (lookahead == 'U') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(29);
      if (lookahead == 'x') ADVANCE(27);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '\\') ADVANCE(93);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '{' ||
          lookahead == '}') ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '_') ADVANCE(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(16);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(17);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(18);
      if (lookahead == '_') ADVANCE(101);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(20);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(21);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(109);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(19);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(27);
      if (lookahead == 's') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'i') ADVANCE(53);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 27:
      if (lookahead == 'd') ADVANCE(59);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 'y') ADVANCE(61);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(70);
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(77);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 47:
      if (lookahead == 's') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 51:
      if (lookahead == 'y') ADVANCE(84);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 55:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(95);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(96);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 68:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 71:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(102);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 74:
      if (lookahead == 'm') ADVANCE(103);
      END_STATE();
    case 75:
      if (lookahead == 'b') ADVANCE(104);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(106);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'u') ADVANCE(111);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 92:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 93:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'k') ADVANCE(120);
      END_STATE();
    case 96:
      if (lookahead == 's') ADVANCE(121);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(123);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(125);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 106:
      if (lookahead == 'd') ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(128);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 116:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 122:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 124:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 131:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 136:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 138:
      if (lookahead == 'y') ADVANCE(146);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(147);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 148:
      if (lookahead == '_') ADVANCE(151);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 151:
      if (lookahead == '_') ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 38, .external_lex_state = 2},
  [2] = {.lex_state = 38, .external_lex_state = 3},
  [3] = {.lex_state = 38, .external_lex_state = 3},
  [4] = {.lex_state = 38, .external_lex_state = 3},
  [5] = {.lex_state = 38, .external_lex_state = 3},
  [6] = {.lex_state = 38, .external_lex_state = 3},
  [7] = {.lex_state = 38, .external_lex_state = 3},
  [8] = {.lex_state = 38, .external_lex_state = 3},
  [9] = {.lex_state = 38, .external_lex_state = 3},
  [10] = {.lex_state = 38, .external_lex_state = 3},
  [11] = {.lex_state = 38, .external_lex_state = 3},
  [12] = {.lex_state = 38, .external_lex_state = 3},
  [13] = {.lex_state = 38, .external_lex_state = 3},
  [14] = {.lex_state = 38, .external_lex_state = 3},
  [15] = {.lex_state = 38, .external_lex_state = 3},
  [16] = {.lex_state = 38, .external_lex_state = 3},
  [17] = {.lex_state = 38, .external_lex_state = 3},
  [18] = {.lex_state = 38, .external_lex_state = 3},
  [19] = {.lex_state = 38, .external_lex_state = 3},
  [20] = {.lex_state = 38, .external_lex_state = 3},
  [21] = {.lex_state = 38, .external_lex_state = 3},
  [22] = {.lex_state = 38, .external_lex_state = 3},
  [23] = {.lex_state = 38, .external_lex_state = 3},
  [24] = {.lex_state = 38, .external_lex_state = 3},
  [25] = {.lex_state = 38, .external_lex_state = 3},
  [26] = {.lex_state = 38, .external_lex_state = 3},
  [27] = {.lex_state = 38, .external_lex_state = 3},
  [28] = {.lex_state = 38, .external_lex_state = 3},
  [29] = {.lex_state = 38, .external_lex_state = 3},
  [30] = {.lex_state = 38, .external_lex_state = 3},
  [31] = {.lex_state = 38, .external_lex_state = 3},
  [32] = {.lex_state = 38, .external_lex_state = 3},
  [33] = {.lex_state = 38, .external_lex_state = 3},
  [34] = {.lex_state = 38, .external_lex_state = 3},
  [35] = {.lex_state = 38, .external_lex_state = 3},
  [36] = {.lex_state = 38, .external_lex_state = 3},
  [37] = {.lex_state = 38, .external_lex_state = 3},
  [38] = {.lex_state = 38, .external_lex_state = 3},
  [39] = {.lex_state = 38, .external_lex_state = 3},
  [40] = {.lex_state = 38, .external_lex_state = 3},
  [41] = {.lex_state = 38, .external_lex_state = 3},
  [42] = {.lex_state = 38, .external_lex_state = 3},
  [43] = {.lex_state = 38, .external_lex_state = 2},
  [44] = {.lex_state = 38, .external_lex_state = 3},
  [45] = {.lex_state = 38, .external_lex_state = 3},
  [46] = {.lex_state = 38, .external_lex_state = 3},
  [47] = {.lex_state = 38, .external_lex_state = 2},
  [48] = {.lex_state = 38, .external_lex_state = 4},
  [49] = {.lex_state = 38, .external_lex_state = 5},
  [50] = {.lex_state = 38, .external_lex_state = 5},
  [51] = {.lex_state = 38, .external_lex_state = 5},
  [52] = {.lex_state = 38, .external_lex_state = 5},
  [53] = {.lex_state = 38, .external_lex_state = 5},
  [54] = {.lex_state = 38, .external_lex_state = 5},
  [55] = {.lex_state = 38, .external_lex_state = 5},
  [56] = {.lex_state = 38, .external_lex_state = 5},
  [57] = {.lex_state = 38, .external_lex_state = 5},
  [58] = {.lex_state = 38, .external_lex_state = 5},
  [59] = {.lex_state = 38, .external_lex_state = 5},
  [60] = {.lex_state = 38, .external_lex_state = 5},
  [61] = {.lex_state = 38, .external_lex_state = 5},
  [62] = {.lex_state = 38, .external_lex_state = 5},
  [63] = {.lex_state = 38, .external_lex_state = 5},
  [64] = {.lex_state = 38, .external_lex_state = 5},
  [65] = {.lex_state = 38, .external_lex_state = 5},
  [66] = {.lex_state = 38, .external_lex_state = 5},
  [67] = {.lex_state = 38, .external_lex_state = 5},
  [68] = {.lex_state = 38, .external_lex_state = 5},
  [69] = {.lex_state = 38, .external_lex_state = 5},
  [70] = {.lex_state = 38, .external_lex_state = 5},
  [71] = {.lex_state = 38, .external_lex_state = 5},
  [72] = {.lex_state = 38, .external_lex_state = 5},
  [73] = {.lex_state = 38, .external_lex_state = 5},
  [74] = {.lex_state = 38, .external_lex_state = 5},
  [75] = {.lex_state = 38, .external_lex_state = 5},
  [76] = {.lex_state = 38, .external_lex_state = 5},
  [77] = {.lex_state = 38, .external_lex_state = 5},
  [78] = {.lex_state = 38, .external_lex_state = 5},
  [79] = {.lex_state = 38, .external_lex_state = 5},
  [80] = {.lex_state = 38, .external_lex_state = 5},
  [81] = {.lex_state = 38, .external_lex_state = 5},
  [82] = {.lex_state = 38, .external_lex_state = 5},
  [83] = {.lex_state = 38, .external_lex_state = 5},
  [84] = {.lex_state = 38, .external_lex_state = 5},
  [85] = {.lex_state = 38, .external_lex_state = 5},
  [86] = {.lex_state = 38, .external_lex_state = 5},
  [87] = {.lex_state = 38, .external_lex_state = 5},
  [88] = {.lex_state = 38, .external_lex_state = 5},
  [89] = {.lex_state = 38, .external_lex_state = 4},
  [90] = {.lex_state = 38, .external_lex_state = 4},
  [91] = {.lex_state = 38, .external_lex_state = 4},
  [92] = {.lex_state = 38, .external_lex_state = 4},
  [93] = {.lex_state = 38, .external_lex_state = 4},
  [94] = {.lex_state = 38, .external_lex_state = 4},
  [95] = {.lex_state = 38, .external_lex_state = 2},
  [96] = {.lex_state = 38, .external_lex_state = 2},
  [97] = {.lex_state = 38, .external_lex_state = 2},
  [98] = {.lex_state = 38, .external_lex_state = 2},
  [99] = {.lex_state = 38, .external_lex_state = 2},
  [100] = {.lex_state = 38, .external_lex_state = 2},
  [101] = {.lex_state = 38, .external_lex_state = 2},
  [102] = {.lex_state = 38, .external_lex_state = 2},
  [103] = {.lex_state = 38, .external_lex_state = 2},
  [104] = {.lex_state = 38, .external_lex_state = 2},
  [105] = {.lex_state = 38, .external_lex_state = 2},
  [106] = {.lex_state = 38, .external_lex_state = 2},
  [107] = {.lex_state = 38, .external_lex_state = 2},
  [108] = {.lex_state = 38, .external_lex_state = 2},
  [109] = {.lex_state = 38, .external_lex_state = 2},
  [110] = {.lex_state = 38, .external_lex_state = 2},
  [111] = {.lex_state = 10},
  [112] = {.lex_state = 10},
  [113] = {.lex_state = 38, .external_lex_state = 2},
  [114] = {.lex_state = 10},
  [115] = {.lex_state = 38, .external_lex_state = 2},
  [116] = {.lex_state = 10},
  [117] = {.lex_state = 38, .external_lex_state = 2},
  [118] = {.lex_state = 10},
  [119] = {.lex_state = 38, .external_lex_state = 2},
  [120] = {.lex_state = 38, .external_lex_state = 2},
  [121] = {.lex_state = 38, .external_lex_state = 2},
  [122] = {.lex_state = 38, .external_lex_state = 2},
  [123] = {.lex_state = 38, .external_lex_state = 2},
  [124] = {.lex_state = 38, .external_lex_state = 2},
  [125] = {.lex_state = 38, .external_lex_state = 2},
  [126] = {.lex_state = 38, .external_lex_state = 2},
  [127] = {.lex_state = 38, .external_lex_state = 2},
  [128] = {.lex_state = 38, .external_lex_state = 2},
  [129] = {.lex_state = 38, .external_lex_state = 2},
  [130] = {.lex_state = 38, .external_lex_state = 2},
  [131] = {.lex_state = 38, .external_lex_state = 2},
  [132] = {.lex_state = 38, .external_lex_state = 2},
  [133] = {.lex_state = 38, .external_lex_state = 2},
  [134] = {.lex_state = 38, .external_lex_state = 2},
  [135] = {.lex_state = 38, .external_lex_state = 2},
  [136] = {.lex_state = 38, .external_lex_state = 2},
  [137] = {.lex_state = 38, .external_lex_state = 2},
  [138] = {.lex_state = 38, .external_lex_state = 2},
  [139] = {.lex_state = 38, .external_lex_state = 2},
  [140] = {.lex_state = 38, .external_lex_state = 2},
  [141] = {.lex_state = 38, .external_lex_state = 2},
  [142] = {.lex_state = 38, .external_lex_state = 2},
  [143] = {.lex_state = 38, .external_lex_state = 2},
  [144] = {.lex_state = 38, .external_lex_state = 2},
  [145] = {.lex_state = 38, .external_lex_state = 2},
  [146] = {.lex_state = 38, .external_lex_state = 2},
  [147] = {.lex_state = 38, .external_lex_state = 2},
  [148] = {.lex_state = 38, .external_lex_state = 2},
  [149] = {.lex_state = 38, .external_lex_state = 3},
  [150] = {.lex_state = 38, .external_lex_state = 2},
  [151] = {.lex_state = 10, .external_lex_state = 4},
  [152] = {.lex_state = 38, .external_lex_state = 3},
  [153] = {.lex_state = 38, .external_lex_state = 2},
  [154] = {.lex_state = 38, .external_lex_state = 2},
  [155] = {.lex_state = 38, .external_lex_state = 2},
  [156] = {.lex_state = 38, .external_lex_state = 2},
  [157] = {.lex_state = 38, .external_lex_state = 2},
  [158] = {.lex_state = 38, .external_lex_state = 4},
  [159] = {.lex_state = 10, .external_lex_state = 6},
  [160] = {.lex_state = 10, .external_lex_state = 6},
  [161] = {.lex_state = 9, .external_lex_state = 6},
  [162] = {.lex_state = 38, .external_lex_state = 2},
  [163] = {.lex_state = 38, .external_lex_state = 4},
  [164] = {.lex_state = 38, .external_lex_state = 2},
  [165] = {.lex_state = 10, .external_lex_state = 6},
  [166] = {.lex_state = 38, .external_lex_state = 2},
  [167] = {.lex_state = 38, .external_lex_state = 2},
  [168] = {.lex_state = 38, .external_lex_state = 2},
  [169] = {.lex_state = 10, .external_lex_state = 6},
  [170] = {.lex_state = 38, .external_lex_state = 2},
  [171] = {.lex_state = 10, .external_lex_state = 6},
  [172] = {.lex_state = 38, .external_lex_state = 2},
  [173] = {.lex_state = 38, .external_lex_state = 4},
  [174] = {.lex_state = 38, .external_lex_state = 2},
  [175] = {.lex_state = 38, .external_lex_state = 2},
  [176] = {.lex_state = 38, .external_lex_state = 2},
  [177] = {.lex_state = 38, .external_lex_state = 2},
  [178] = {.lex_state = 38, .external_lex_state = 2},
  [179] = {.lex_state = 10, .external_lex_state = 6},
  [180] = {.lex_state = 38, .external_lex_state = 2},
  [181] = {.lex_state = 38, .external_lex_state = 4},
  [182] = {.lex_state = 38, .external_lex_state = 3},
  [183] = {.lex_state = 38, .external_lex_state = 2},
  [184] = {.lex_state = 38, .external_lex_state = 2},
  [185] = {.lex_state = 38, .external_lex_state = 3},
  [186] = {.lex_state = 38, .external_lex_state = 2},
  [187] = {.lex_state = 38, .external_lex_state = 2},
  [188] = {.lex_state = 38, .external_lex_state = 2},
  [189] = {.lex_state = 38, .external_lex_state = 2},
  [190] = {.lex_state = 38, .external_lex_state = 2},
  [191] = {.lex_state = 10, .external_lex_state = 6},
  [192] = {.lex_state = 38, .external_lex_state = 2},
  [193] = {.lex_state = 38, .external_lex_state = 3},
  [194] = {.lex_state = 10, .external_lex_state = 6},
  [195] = {.lex_state = 38, .external_lex_state = 4},
  [196] = {.lex_state = 38, .external_lex_state = 2},
  [197] = {.lex_state = 38, .external_lex_state = 2},
  [198] = {.lex_state = 38, .external_lex_state = 3},
  [199] = {.lex_state = 38, .external_lex_state = 2},
  [200] = {.lex_state = 10, .external_lex_state = 6},
  [201] = {.lex_state = 38, .external_lex_state = 2},
  [202] = {.lex_state = 38, .external_lex_state = 2},
  [203] = {.lex_state = 38, .external_lex_state = 3},
  [204] = {.lex_state = 38, .external_lex_state = 2},
  [205] = {.lex_state = 38, .external_lex_state = 4},
  [206] = {.lex_state = 38, .external_lex_state = 2},
  [207] = {.lex_state = 38, .external_lex_state = 4},
  [208] = {.lex_state = 38, .external_lex_state = 4},
  [209] = {.lex_state = 38, .external_lex_state = 2},
  [210] = {.lex_state = 38, .external_lex_state = 3},
  [211] = {.lex_state = 38, .external_lex_state = 2},
  [212] = {.lex_state = 38, .external_lex_state = 2},
  [213] = {.lex_state = 38, .external_lex_state = 2},
  [214] = {.lex_state = 38, .external_lex_state = 2},
  [215] = {.lex_state = 38, .external_lex_state = 3},
  [216] = {.lex_state = 38, .external_lex_state = 2},
  [217] = {.lex_state = 38, .external_lex_state = 2},
  [218] = {.lex_state = 38, .external_lex_state = 3},
  [219] = {.lex_state = 38, .external_lex_state = 2},
  [220] = {.lex_state = 38, .external_lex_state = 2},
  [221] = {.lex_state = 38, .external_lex_state = 2},
  [222] = {.lex_state = 38, .external_lex_state = 3},
  [223] = {.lex_state = 38, .external_lex_state = 4},
  [224] = {.lex_state = 38, .external_lex_state = 4},
  [225] = {.lex_state = 38, .external_lex_state = 3},
  [226] = {.lex_state = 38, .external_lex_state = 4},
  [227] = {.lex_state = 38, .external_lex_state = 3},
  [228] = {.lex_state = 38, .external_lex_state = 2},
  [229] = {.lex_state = 38, .external_lex_state = 2},
  [230] = {.lex_state = 38, .external_lex_state = 2},
  [231] = {.lex_state = 38, .external_lex_state = 2},
  [232] = {.lex_state = 38, .external_lex_state = 2},
  [233] = {.lex_state = 38, .external_lex_state = 2},
  [234] = {.lex_state = 38, .external_lex_state = 2},
  [235] = {.lex_state = 38, .external_lex_state = 2},
  [236] = {.lex_state = 38, .external_lex_state = 2},
  [237] = {.lex_state = 38, .external_lex_state = 3},
  [238] = {.lex_state = 38, .external_lex_state = 2},
  [239] = {.lex_state = 38, .external_lex_state = 2},
  [240] = {.lex_state = 38, .external_lex_state = 2},
  [241] = {.lex_state = 38, .external_lex_state = 2},
  [242] = {.lex_state = 38, .external_lex_state = 2},
  [243] = {.lex_state = 38, .external_lex_state = 2},
  [244] = {.lex_state = 38, .external_lex_state = 2},
  [245] = {.lex_state = 38, .external_lex_state = 3},
  [246] = {.lex_state = 38, .external_lex_state = 3},
  [247] = {.lex_state = 38, .external_lex_state = 2},
  [248] = {.lex_state = 38, .external_lex_state = 2},
  [249] = {.lex_state = 38, .external_lex_state = 2},
  [250] = {.lex_state = 38, .external_lex_state = 2},
  [251] = {.lex_state = 38, .external_lex_state = 2},
  [252] = {.lex_state = 38, .external_lex_state = 2},
  [253] = {.lex_state = 38, .external_lex_state = 2},
  [254] = {.lex_state = 38, .external_lex_state = 2},
  [255] = {.lex_state = 38, .external_lex_state = 2},
  [256] = {.lex_state = 38, .external_lex_state = 3},
  [257] = {.lex_state = 38, .external_lex_state = 2},
  [258] = {.lex_state = 38, .external_lex_state = 3},
  [259] = {.lex_state = 38, .external_lex_state = 3},
  [260] = {.lex_state = 38, .external_lex_state = 2},
  [261] = {.lex_state = 38, .external_lex_state = 2},
  [262] = {.lex_state = 38, .external_lex_state = 2},
  [263] = {.lex_state = 38, .external_lex_state = 2},
  [264] = {.lex_state = 38, .external_lex_state = 2},
  [265] = {.lex_state = 38, .external_lex_state = 2},
  [266] = {.lex_state = 38, .external_lex_state = 2},
  [267] = {.lex_state = 38, .external_lex_state = 2},
  [268] = {.lex_state = 38, .external_lex_state = 2},
  [269] = {.lex_state = 38, .external_lex_state = 2},
  [270] = {.lex_state = 38, .external_lex_state = 2},
  [271] = {.lex_state = 38, .external_lex_state = 2},
  [272] = {.lex_state = 38, .external_lex_state = 2},
  [273] = {.lex_state = 38, .external_lex_state = 2},
  [274] = {.lex_state = 38, .external_lex_state = 2},
  [275] = {.lex_state = 38, .external_lex_state = 3},
  [276] = {.lex_state = 38, .external_lex_state = 2},
  [277] = {.lex_state = 38, .external_lex_state = 2},
  [278] = {.lex_state = 38, .external_lex_state = 2},
  [279] = {.lex_state = 38, .external_lex_state = 2},
  [280] = {.lex_state = 38, .external_lex_state = 2},
  [281] = {.lex_state = 38, .external_lex_state = 2},
  [282] = {.lex_state = 38, .external_lex_state = 2},
  [283] = {.lex_state = 38, .external_lex_state = 2},
  [284] = {.lex_state = 38, .external_lex_state = 2},
  [285] = {.lex_state = 38, .external_lex_state = 2},
  [286] = {.lex_state = 38, .external_lex_state = 3},
  [287] = {.lex_state = 38, .external_lex_state = 3},
  [288] = {.lex_state = 38, .external_lex_state = 2},
  [289] = {.lex_state = 38, .external_lex_state = 2},
  [290] = {.lex_state = 38, .external_lex_state = 2},
  [291] = {.lex_state = 38, .external_lex_state = 2},
  [292] = {.lex_state = 38, .external_lex_state = 2},
  [293] = {.lex_state = 38, .external_lex_state = 2},
  [294] = {.lex_state = 38, .external_lex_state = 3},
  [295] = {.lex_state = 38, .external_lex_state = 2},
  [296] = {.lex_state = 38, .external_lex_state = 3},
  [297] = {.lex_state = 38, .external_lex_state = 2},
  [298] = {.lex_state = 38, .external_lex_state = 2},
  [299] = {.lex_state = 38, .external_lex_state = 2},
  [300] = {.lex_state = 38, .external_lex_state = 2},
  [301] = {.lex_state = 38, .external_lex_state = 2},
  [302] = {.lex_state = 38, .external_lex_state = 2},
  [303] = {.lex_state = 38, .external_lex_state = 2},
  [304] = {.lex_state = 38, .external_lex_state = 2},
  [305] = {.lex_state = 38, .external_lex_state = 2},
  [306] = {.lex_state = 38, .external_lex_state = 2},
  [307] = {.lex_state = 38, .external_lex_state = 2},
  [308] = {.lex_state = 38, .external_lex_state = 2},
  [309] = {.lex_state = 38, .external_lex_state = 2},
  [310] = {.lex_state = 38, .external_lex_state = 3},
  [311] = {.lex_state = 38, .external_lex_state = 2},
  [312] = {.lex_state = 38, .external_lex_state = 2},
  [313] = {.lex_state = 38, .external_lex_state = 2},
  [314] = {.lex_state = 38, .external_lex_state = 2},
  [315] = {.lex_state = 38, .external_lex_state = 2},
  [316] = {.lex_state = 38, .external_lex_state = 2},
  [317] = {.lex_state = 38, .external_lex_state = 2},
  [318] = {.lex_state = 38, .external_lex_state = 2},
  [319] = {.lex_state = 38, .external_lex_state = 2},
  [320] = {.lex_state = 38, .external_lex_state = 2},
  [321] = {.lex_state = 38, .external_lex_state = 2},
  [322] = {.lex_state = 38, .external_lex_state = 2},
  [323] = {.lex_state = 38, .external_lex_state = 2},
  [324] = {.lex_state = 38, .external_lex_state = 3},
  [325] = {.lex_state = 38, .external_lex_state = 2},
  [326] = {.lex_state = 38, .external_lex_state = 2},
  [327] = {.lex_state = 38, .external_lex_state = 2},
  [328] = {.lex_state = 38, .external_lex_state = 2},
  [329] = {.lex_state = 38, .external_lex_state = 2},
  [330] = {.lex_state = 38, .external_lex_state = 2},
  [331] = {.lex_state = 38, .external_lex_state = 2},
  [332] = {.lex_state = 38, .external_lex_state = 2},
  [333] = {.lex_state = 38, .external_lex_state = 2},
  [334] = {.lex_state = 38, .external_lex_state = 2},
  [335] = {.lex_state = 38, .external_lex_state = 2},
  [336] = {.lex_state = 38, .external_lex_state = 3},
  [337] = {.lex_state = 38, .external_lex_state = 2},
  [338] = {.lex_state = 38, .external_lex_state = 2},
  [339] = {.lex_state = 38, .external_lex_state = 2},
  [340] = {.lex_state = 38, .external_lex_state = 2},
  [341] = {.lex_state = 38, .external_lex_state = 2},
  [342] = {.lex_state = 38, .external_lex_state = 2},
  [343] = {.lex_state = 38, .external_lex_state = 2},
  [344] = {.lex_state = 38, .external_lex_state = 2},
  [345] = {.lex_state = 38, .external_lex_state = 2},
  [346] = {.lex_state = 38, .external_lex_state = 3},
  [347] = {.lex_state = 38, .external_lex_state = 2},
  [348] = {.lex_state = 38, .external_lex_state = 2},
  [349] = {.lex_state = 38, .external_lex_state = 3},
  [350] = {.lex_state = 38, .external_lex_state = 2},
  [351] = {.lex_state = 38, .external_lex_state = 2},
  [352] = {.lex_state = 38, .external_lex_state = 2},
  [353] = {.lex_state = 38, .external_lex_state = 2},
  [354] = {.lex_state = 38, .external_lex_state = 2},
  [355] = {.lex_state = 38, .external_lex_state = 2},
  [356] = {.lex_state = 38, .external_lex_state = 3},
  [357] = {.lex_state = 38, .external_lex_state = 3},
  [358] = {.lex_state = 38, .external_lex_state = 3},
  [359] = {.lex_state = 38, .external_lex_state = 2},
  [360] = {.lex_state = 38, .external_lex_state = 2},
  [361] = {.lex_state = 38, .external_lex_state = 2},
  [362] = {.lex_state = 38, .external_lex_state = 2},
  [363] = {.lex_state = 38, .external_lex_state = 2},
  [364] = {.lex_state = 38, .external_lex_state = 3},
  [365] = {.lex_state = 38, .external_lex_state = 3},
  [366] = {.lex_state = 38, .external_lex_state = 2},
  [367] = {.lex_state = 38, .external_lex_state = 3},
  [368] = {.lex_state = 38, .external_lex_state = 2},
  [369] = {.lex_state = 38, .external_lex_state = 2},
  [370] = {.lex_state = 38, .external_lex_state = 3},
  [371] = {.lex_state = 38, .external_lex_state = 2},
  [372] = {.lex_state = 10, .external_lex_state = 2},
  [373] = {.lex_state = 38, .external_lex_state = 2},
  [374] = {.lex_state = 38, .external_lex_state = 3},
  [375] = {.lex_state = 38, .external_lex_state = 3},
  [376] = {.lex_state = 38, .external_lex_state = 2},
  [377] = {.lex_state = 38, .external_lex_state = 3},
  [378] = {.lex_state = 38, .external_lex_state = 3},
  [379] = {.lex_state = 38, .external_lex_state = 3},
  [380] = {.lex_state = 38, .external_lex_state = 3},
  [381] = {.lex_state = 38, .external_lex_state = 2},
  [382] = {.lex_state = 38, .external_lex_state = 3},
  [383] = {.lex_state = 38, .external_lex_state = 3},
  [384] = {.lex_state = 38, .external_lex_state = 3},
  [385] = {.lex_state = 38, .external_lex_state = 3},
  [386] = {.lex_state = 38, .external_lex_state = 2},
  [387] = {.lex_state = 38, .external_lex_state = 2},
  [388] = {.lex_state = 38, .external_lex_state = 2},
  [389] = {.lex_state = 38, .external_lex_state = 2},
  [390] = {.lex_state = 38, .external_lex_state = 3},
  [391] = {.lex_state = 38, .external_lex_state = 3},
  [392] = {.lex_state = 38, .external_lex_state = 2},
  [393] = {.lex_state = 38, .external_lex_state = 2},
  [394] = {.lex_state = 38, .external_lex_state = 3},
  [395] = {.lex_state = 38, .external_lex_state = 3},
  [396] = {.lex_state = 38, .external_lex_state = 3},
  [397] = {.lex_state = 38, .external_lex_state = 3},
  [398] = {.lex_state = 38, .external_lex_state = 2},
  [399] = {.lex_state = 38, .external_lex_state = 2},
  [400] = {.lex_state = 38, .external_lex_state = 3},
  [401] = {.lex_state = 38, .external_lex_state = 2},
  [402] = {.lex_state = 38, .external_lex_state = 3},
  [403] = {.lex_state = 38, .external_lex_state = 3},
  [404] = {.lex_state = 38, .external_lex_state = 2},
  [405] = {.lex_state = 38, .external_lex_state = 3},
  [406] = {.lex_state = 38, .external_lex_state = 2},
  [407] = {.lex_state = 38, .external_lex_state = 2},
  [408] = {.lex_state = 38, .external_lex_state = 2},
  [409] = {.lex_state = 38, .external_lex_state = 3},
  [410] = {.lex_state = 38, .external_lex_state = 3},
  [411] = {.lex_state = 38, .external_lex_state = 2},
  [412] = {.lex_state = 38, .external_lex_state = 3},
  [413] = {.lex_state = 38, .external_lex_state = 3},
  [414] = {.lex_state = 38, .external_lex_state = 2},
  [415] = {.lex_state = 38, .external_lex_state = 3},
  [416] = {.lex_state = 38, .external_lex_state = 2},
  [417] = {.lex_state = 38, .external_lex_state = 3},
  [418] = {.lex_state = 38, .external_lex_state = 3},
  [419] = {.lex_state = 38, .external_lex_state = 3},
  [420] = {.lex_state = 38, .external_lex_state = 2},
  [421] = {.lex_state = 10, .external_lex_state = 2},
  [422] = {.lex_state = 38, .external_lex_state = 2},
  [423] = {.lex_state = 38, .external_lex_state = 2},
  [424] = {.lex_state = 38, .external_lex_state = 3},
  [425] = {.lex_state = 38, .external_lex_state = 2},
  [426] = {.lex_state = 38, .external_lex_state = 2},
  [427] = {.lex_state = 10, .external_lex_state = 2},
  [428] = {.lex_state = 38, .external_lex_state = 3},
  [429] = {.lex_state = 38, .external_lex_state = 2},
  [430] = {.lex_state = 38, .external_lex_state = 2},
  [431] = {.lex_state = 38, .external_lex_state = 3},
  [432] = {.lex_state = 38, .external_lex_state = 2},
  [433] = {.lex_state = 38, .external_lex_state = 2},
  [434] = {.lex_state = 38, .external_lex_state = 2},
  [435] = {.lex_state = 38, .external_lex_state = 3},
  [436] = {.lex_state = 38, .external_lex_state = 2},
  [437] = {.lex_state = 38, .external_lex_state = 3},
  [438] = {.lex_state = 38, .external_lex_state = 2},
  [439] = {.lex_state = 38, .external_lex_state = 2},
  [440] = {.lex_state = 38, .external_lex_state = 2},
  [441] = {.lex_state = 10},
  [442] = {.lex_state = 38, .external_lex_state = 2},
  [443] = {.lex_state = 10, .external_lex_state = 2},
  [444] = {.lex_state = 38, .external_lex_state = 2},
  [445] = {.lex_state = 38, .external_lex_state = 2},
  [446] = {.lex_state = 10, .external_lex_state = 2},
  [447] = {.lex_state = 38, .external_lex_state = 2},
  [448] = {.lex_state = 10},
  [449] = {.lex_state = 10},
  [450] = {.lex_state = 10},
  [451] = {.lex_state = 10},
  [452] = {.lex_state = 10},
  [453] = {.lex_state = 10},
  [454] = {.lex_state = 10},
  [455] = {.lex_state = 10},
  [456] = {.lex_state = 10},
  [457] = {.lex_state = 10},
  [458] = {.lex_state = 10},
  [459] = {.lex_state = 10},
  [460] = {.lex_state = 10},
  [461] = {.lex_state = 10},
  [462] = {.lex_state = 10},
  [463] = {.lex_state = 10},
  [464] = {.lex_state = 10},
  [465] = {.lex_state = 10},
  [466] = {.lex_state = 10},
  [467] = {.lex_state = 10},
  [468] = {.lex_state = 10},
  [469] = {.lex_state = 10},
  [470] = {.lex_state = 10},
  [471] = {.lex_state = 10},
  [472] = {.lex_state = 10},
  [473] = {.lex_state = 10},
  [474] = {.lex_state = 10},
  [475] = {.lex_state = 10},
  [476] = {.lex_state = 10},
  [477] = {.lex_state = 10},
  [478] = {.lex_state = 10},
  [479] = {.lex_state = 10},
  [480] = {.lex_state = 10},
  [481] = {.lex_state = 10},
  [482] = {.lex_state = 10},
  [483] = {.lex_state = 10},
  [484] = {.lex_state = 10},
  [485] = {.lex_state = 10},
  [486] = {.lex_state = 38, .external_lex_state = 2},
  [487] = {.lex_state = 10},
  [488] = {.lex_state = 10},
  [489] = {.lex_state = 10},
  [490] = {.lex_state = 38, .external_lex_state = 2},
  [491] = {.lex_state = 10},
  [492] = {.lex_state = 10},
  [493] = {.lex_state = 9},
  [494] = {.lex_state = 10},
  [495] = {.lex_state = 10},
  [496] = {.lex_state = 10},
  [497] = {.lex_state = 10},
  [498] = {.lex_state = 9},
  [499] = {.lex_state = 10, .external_lex_state = 6},
  [500] = {.lex_state = 10, .external_lex_state = 4},
  [501] = {.lex_state = 10, .external_lex_state = 4},
  [502] = {.lex_state = 10, .external_lex_state = 4},
  [503] = {.lex_state = 10, .external_lex_state = 6},
  [504] = {.lex_state = 10, .external_lex_state = 6},
  [505] = {.lex_state = 10, .external_lex_state = 6},
  [506] = {.lex_state = 38, .external_lex_state = 2},
  [507] = {.lex_state = 10},
  [508] = {.lex_state = 10, .external_lex_state = 6},
  [509] = {.lex_state = 10, .external_lex_state = 6},
  [510] = {.lex_state = 10, .external_lex_state = 6},
  [511] = {.lex_state = 10, .external_lex_state = 6},
  [512] = {.lex_state = 10},
  [513] = {.lex_state = 10, .external_lex_state = 6},
  [514] = {.lex_state = 10},
  [515] = {.lex_state = 10, .external_lex_state = 6},
  [516] = {.lex_state = 10, .external_lex_state = 6},
  [517] = {.lex_state = 10, .external_lex_state = 2},
  [518] = {.lex_state = 10},
  [519] = {.lex_state = 10, .external_lex_state = 2},
  [520] = {.lex_state = 10},
  [521] = {.lex_state = 10},
  [522] = {.lex_state = 9},
  [523] = {.lex_state = 10},
  [524] = {.lex_state = 10, .external_lex_state = 2},
  [525] = {.lex_state = 10},
  [526] = {.lex_state = 10},
  [527] = {.lex_state = 10, .external_lex_state = 4},
  [528] = {.lex_state = 10},
  [529] = {.lex_state = 9, .external_lex_state = 6},
  [530] = {.lex_state = 9},
  [531] = {.lex_state = 10, .external_lex_state = 4},
  [532] = {.lex_state = 10},
  [533] = {.lex_state = 10, .external_lex_state = 6},
  [534] = {.lex_state = 10, .external_lex_state = 6},
  [535] = {.lex_state = 10, .external_lex_state = 6},
  [536] = {.lex_state = 38, .external_lex_state = 2},
  [537] = {.lex_state = 10, .external_lex_state = 6},
  [538] = {.lex_state = 10, .external_lex_state = 6},
  [539] = {.lex_state = 10, .external_lex_state = 6},
  [540] = {.lex_state = 10, .external_lex_state = 6},
  [541] = {.lex_state = 10, .external_lex_state = 6},
  [542] = {.lex_state = 10},
  [543] = {.lex_state = 10, .external_lex_state = 6},
  [544] = {.lex_state = 38, .external_lex_state = 2},
  [545] = {.lex_state = 10},
  [546] = {.lex_state = 10, .external_lex_state = 6},
  [547] = {.lex_state = 10},
  [548] = {.lex_state = 38, .external_lex_state = 2},
  [549] = {.lex_state = 10, .external_lex_state = 6},
  [550] = {.lex_state = 10},
  [551] = {.lex_state = 10},
  [552] = {.lex_state = 10, .external_lex_state = 6},
  [553] = {.lex_state = 10},
  [554] = {.lex_state = 10, .external_lex_state = 6},
  [555] = {.lex_state = 10, .external_lex_state = 6},
  [556] = {.lex_state = 10, .external_lex_state = 6},
  [557] = {.lex_state = 10},
  [558] = {.lex_state = 10, .external_lex_state = 6},
  [559] = {.lex_state = 10, .external_lex_state = 6},
  [560] = {.lex_state = 38, .external_lex_state = 2},
  [561] = {.lex_state = 10},
  [562] = {.lex_state = 10, .external_lex_state = 6},
  [563] = {.lex_state = 10, .external_lex_state = 6},
  [564] = {.lex_state = 10},
  [565] = {.lex_state = 10},
  [566] = {.lex_state = 10},
  [567] = {.lex_state = 10, .external_lex_state = 6},
  [568] = {.lex_state = 10, .external_lex_state = 6},
  [569] = {.lex_state = 10},
  [570] = {.lex_state = 10},
  [571] = {.lex_state = 10, .external_lex_state = 6},
  [572] = {.lex_state = 10},
  [573] = {.lex_state = 10, .external_lex_state = 6},
  [574] = {.lex_state = 10, .external_lex_state = 6},
  [575] = {.lex_state = 10, .external_lex_state = 6},
  [576] = {.lex_state = 10, .external_lex_state = 6},
  [577] = {.lex_state = 9},
  [578] = {.lex_state = 38, .external_lex_state = 2},
  [579] = {.lex_state = 38, .external_lex_state = 2},
  [580] = {.lex_state = 38, .external_lex_state = 2},
  [581] = {.lex_state = 38, .external_lex_state = 2},
  [582] = {.lex_state = 38, .external_lex_state = 2},
  [583] = {.lex_state = 38, .external_lex_state = 2},
  [584] = {.lex_state = 38, .external_lex_state = 2},
  [585] = {.lex_state = 38, .external_lex_state = 2},
  [586] = {.lex_state = 38, .external_lex_state = 2},
  [587] = {.lex_state = 38, .external_lex_state = 2},
  [588] = {.lex_state = 38, .external_lex_state = 2},
  [589] = {.lex_state = 38, .external_lex_state = 2},
  [590] = {.lex_state = 38, .external_lex_state = 2},
  [591] = {.lex_state = 38, .external_lex_state = 2},
  [592] = {.lex_state = 9},
  [593] = {.lex_state = 10, .external_lex_state = 2},
  [594] = {.lex_state = 38, .external_lex_state = 2},
  [595] = {.lex_state = 38, .external_lex_state = 2},
  [596] = {.lex_state = 10, .external_lex_state = 2},
  [597] = {.lex_state = 38, .external_lex_state = 2},
  [598] = {.lex_state = 9},
  [599] = {.lex_state = 38, .external_lex_state = 2},
  [600] = {.lex_state = 38, .external_lex_state = 2},
  [601] = {.lex_state = 38, .external_lex_state = 2},
  [602] = {.lex_state = 38, .external_lex_state = 2},
  [603] = {.lex_state = 38, .external_lex_state = 2},
  [604] = {.lex_state = 38, .external_lex_state = 2},
  [605] = {.lex_state = 38, .external_lex_state = 2},
  [606] = {.lex_state = 38, .external_lex_state = 2},
  [607] = {.lex_state = 38, .external_lex_state = 2},
  [608] = {.lex_state = 38, .external_lex_state = 2},
  [609] = {.lex_state = 38, .external_lex_state = 2},
  [610] = {.lex_state = 38, .external_lex_state = 2},
  [611] = {.lex_state = 38, .external_lex_state = 2},
  [612] = {.lex_state = 38, .external_lex_state = 2},
  [613] = {.lex_state = 38, .external_lex_state = 2},
  [614] = {.lex_state = 38, .external_lex_state = 2},
  [615] = {.lex_state = 38, .external_lex_state = 2},
  [616] = {.lex_state = 38, .external_lex_state = 2},
  [617] = {.lex_state = 38, .external_lex_state = 2},
  [618] = {.lex_state = 38, .external_lex_state = 2},
  [619] = {.lex_state = 38, .external_lex_state = 2},
  [620] = {.lex_state = 38, .external_lex_state = 2},
  [621] = {.lex_state = 38, .external_lex_state = 2},
  [622] = {.lex_state = 38, .external_lex_state = 2},
  [623] = {.lex_state = 38, .external_lex_state = 2},
  [624] = {.lex_state = 10},
  [625] = {.lex_state = 10},
  [626] = {.lex_state = 10},
  [627] = {.lex_state = 10},
  [628] = {.lex_state = 10},
  [629] = {.lex_state = 10},
  [630] = {.lex_state = 10},
  [631] = {.lex_state = 10},
  [632] = {.lex_state = 10},
  [633] = {.lex_state = 10},
  [634] = {.lex_state = 10},
  [635] = {.lex_state = 10},
  [636] = {.lex_state = 10},
  [637] = {.lex_state = 10},
  [638] = {.lex_state = 10},
  [639] = {.lex_state = 10},
  [640] = {.lex_state = 10},
  [641] = {.lex_state = 10},
  [642] = {.lex_state = 10},
  [643] = {.lex_state = 10},
  [644] = {.lex_state = 10},
  [645] = {.lex_state = 10},
  [646] = {.lex_state = 10},
  [647] = {.lex_state = 10},
  [648] = {.lex_state = 10},
  [649] = {.lex_state = 10},
  [650] = {.lex_state = 10},
  [651] = {.lex_state = 10},
  [652] = {.lex_state = 10},
  [653] = {.lex_state = 10},
  [654] = {.lex_state = 38},
  [655] = {.lex_state = 38},
  [656] = {.lex_state = 38},
  [657] = {.lex_state = 38},
  [658] = {.lex_state = 38},
  [659] = {.lex_state = 38},
  [660] = {.lex_state = 38},
  [661] = {.lex_state = 0, .external_lex_state = 6},
  [662] = {.lex_state = 38},
  [663] = {.lex_state = 38},
  [664] = {.lex_state = 38},
  [665] = {.lex_state = 38},
  [666] = {.lex_state = 0, .external_lex_state = 6},
  [667] = {.lex_state = 10},
  [668] = {.lex_state = 10},
  [669] = {.lex_state = 10},
  [670] = {.lex_state = 38},
  [671] = {.lex_state = 38},
  [672] = {.lex_state = 38},
  [673] = {.lex_state = 38},
  [674] = {.lex_state = 38},
  [675] = {.lex_state = 38},
  [676] = {.lex_state = 38},
  [677] = {.lex_state = 38},
  [678] = {.lex_state = 38},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 38},
  [683] = {.lex_state = 38},
  [684] = {.lex_state = 38},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 38},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 38},
  [689] = {.lex_state = 38},
  [690] = {.lex_state = 38},
  [691] = {.lex_state = 38},
  [692] = {.lex_state = 38},
  [693] = {.lex_state = 38},
  [694] = {.lex_state = 38},
  [695] = {.lex_state = 38},
  [696] = {.lex_state = 38},
  [697] = {.lex_state = 38},
  [698] = {.lex_state = 38},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 38},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 38},
  [703] = {.lex_state = 38},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 38},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 38},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 38},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0, .external_lex_state = 6},
  [722] = {.lex_state = 0, .external_lex_state = 6},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0, .external_lex_state = 6},
  [725] = {.lex_state = 0, .external_lex_state = 6},
  [726] = {.lex_state = 0, .external_lex_state = 6},
  [727] = {.lex_state = 0, .external_lex_state = 6},
  [728] = {.lex_state = 0, .external_lex_state = 6},
  [729] = {.lex_state = 0, .external_lex_state = 6},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0, .external_lex_state = 6},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0, .external_lex_state = 6},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 10, .external_lex_state = 6},
  [739] = {.lex_state = 12, .external_lex_state = 7},
  [740] = {.lex_state = 38},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 12, .external_lex_state = 7},
  [743] = {.lex_state = 12, .external_lex_state = 7},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0, .external_lex_state = 6},
  [746] = {.lex_state = 12, .external_lex_state = 7},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 38},
  [749] = {.lex_state = 12, .external_lex_state = 7},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 38},
  [753] = {.lex_state = 38},
  [754] = {.lex_state = 12, .external_lex_state = 7},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 12, .external_lex_state = 7},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0, .external_lex_state = 6},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 12, .external_lex_state = 7},
  [762] = {.lex_state = 38},
  [763] = {.lex_state = 10, .external_lex_state = 6},
  [764] = {.lex_state = 10, .external_lex_state = 6},
  [765] = {.lex_state = 12, .external_lex_state = 7},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 38},
  [768] = {.lex_state = 0, .external_lex_state = 6},
  [769] = {.lex_state = 0, .external_lex_state = 6},
  [770] = {.lex_state = 0, .external_lex_state = 6},
  [771] = {.lex_state = 10, .external_lex_state = 6},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 38},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 38},
  [776] = {.lex_state = 38},
  [777] = {.lex_state = 38},
  [778] = {.lex_state = 38},
  [779] = {.lex_state = 38},
  [780] = {.lex_state = 0, .external_lex_state = 6},
  [781] = {.lex_state = 38},
  [782] = {.lex_state = 38},
  [783] = {.lex_state = 38},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 38},
  [786] = {.lex_state = 38},
  [787] = {.lex_state = 38},
  [788] = {.lex_state = 38},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 38},
  [791] = {.lex_state = 0, .external_lex_state = 6},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 38},
  [794] = {.lex_state = 0, .external_lex_state = 6},
  [795] = {.lex_state = 38},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 38},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 38},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 38},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 12, .external_lex_state = 7},
  [805] = {.lex_state = 0, .external_lex_state = 6},
  [806] = {.lex_state = 0},
  [807] = {.lex_state = 4},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 12, .external_lex_state = 7},
  [812] = {.lex_state = 38},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 0, .external_lex_state = 6},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0, .external_lex_state = 6},
  [817] = {.lex_state = 0, .external_lex_state = 6},
  [818] = {.lex_state = 0, .external_lex_state = 6},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 38},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 4},
  [824] = {.lex_state = 0, .external_lex_state = 6},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 4},
  [828] = {.lex_state = 12, .external_lex_state = 7},
  [829] = {.lex_state = 0, .external_lex_state = 6},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0, .external_lex_state = 6},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0, .external_lex_state = 6},
  [835] = {.lex_state = 0, .external_lex_state = 6},
  [836] = {.lex_state = 38},
  [837] = {.lex_state = 38},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 38},
  [844] = {.lex_state = 38},
  [845] = {.lex_state = 38},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 38},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0, .external_lex_state = 6},
  [852] = {.lex_state = 0, .external_lex_state = 6},
  [853] = {.lex_state = 38},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0, .external_lex_state = 6},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 38},
  [859] = {.lex_state = 0, .external_lex_state = 6},
  [860] = {.lex_state = 38},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 38},
  [863] = {.lex_state = 38},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0, .external_lex_state = 6},
  [866] = {.lex_state = 38},
  [867] = {.lex_state = 0, .external_lex_state = 6},
  [868] = {.lex_state = 0, .external_lex_state = 6},
  [869] = {.lex_state = 0, .external_lex_state = 6},
  [870] = {.lex_state = 0, .external_lex_state = 6},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0, .external_lex_state = 6},
  [873] = {.lex_state = 0, .external_lex_state = 6},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0, .external_lex_state = 6},
  [876] = {.lex_state = 0, .external_lex_state = 6},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0, .external_lex_state = 6},
  [879] = {.lex_state = 38},
  [880] = {.lex_state = 0, .external_lex_state = 6},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0, .external_lex_state = 6},
  [883] = {.lex_state = 38},
  [884] = {.lex_state = 0, .external_lex_state = 6},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0, .external_lex_state = 6},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 38},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0, .external_lex_state = 6},
  [901] = {.lex_state = 38},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0, .external_lex_state = 6},
  [904] = {.lex_state = 4},
  [905] = {.lex_state = 38},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0, .external_lex_state = 6},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 38},
  [914] = {.lex_state = 0, .external_lex_state = 6},
  [915] = {.lex_state = 38},
  [916] = {.lex_state = 38},
  [917] = {.lex_state = 38},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0, .external_lex_state = 6},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 38},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 38},
  [925] = {.lex_state = 38},
  [926] = {.lex_state = 0, .external_lex_state = 6},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 38},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 38},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0, .external_lex_state = 6},
  [936] = {.lex_state = 0, .external_lex_state = 6},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 38},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 38},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 38},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 38},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 38},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 38},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0, .external_lex_state = 6},
  [962] = {.lex_state = 38},
  [963] = {.lex_state = 0, .external_lex_state = 6},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0, .external_lex_state = 6},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 0, .external_lex_state = 6},
  [971] = {.lex_state = 38},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0, .external_lex_state = 6},
  [976] = {.lex_state = 0, .external_lex_state = 6},
  [977] = {.lex_state = 0, .external_lex_state = 6},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0, .external_lex_state = 6},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0, .external_lex_state = 6},
  [982] = {.lex_state = 0, .external_lex_state = 6},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0, .external_lex_state = 6},
  [985] = {.lex_state = 38},
  [986] = {.lex_state = 11},
  [987] = {.lex_state = 0, .external_lex_state = 6},
  [988] = {.lex_state = 11},
  [989] = {.lex_state = 0, .external_lex_state = 6},
  [990] = {.lex_state = 0, .external_lex_state = 6},
  [991] = {.lex_state = 0, .external_lex_state = 6},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 38},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 11},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 38},
  [999] = {.lex_state = 11},
  [1000] = {.lex_state = 11},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 11},
  [1003] = {.lex_state = 0, .external_lex_state = 6},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0, .external_lex_state = 6},
  [1010] = {.lex_state = 0, .external_lex_state = 6},
  [1011] = {.lex_state = 0, .external_lex_state = 6},
  [1012] = {.lex_state = 0, .external_lex_state = 6},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0, .external_lex_state = 6},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 38},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 38},
  [1035] = {.lex_state = 38},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 38},
  [1044] = {.lex_state = 38},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 38},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 38},
  [1054] = {.lex_state = 38},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 38},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0, .external_lex_state = 6},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 38},
  [1066] = {.lex_state = 38},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 38},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 38},
  [1071] = {.lex_state = 38},
  [1072] = {.lex_state = 38},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 38},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 38},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 38},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 38},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 38},
  [1091] = {.lex_state = 38},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 38},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
  },
  [7] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(1062),
    [sym__statement] = STATE(47),
    [sym__simple_statements] = STATE(47),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_if_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_with_statement] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_class_definition] = STATE(47),
    [sym_decorated_definition] = STATE(47),
    [sym_decorator] = STATE(723),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(47),
    [aux_sym_decorated_definition_repeat1] = STATE(723),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_with] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(75),
  },
  [2] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(246),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [3] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(403),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [4] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(382),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [5] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(263),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [6] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(182),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [7] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(338),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [8] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(287),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [9] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(388),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [10] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(390),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [11] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(365),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [12] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(437),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [13] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(187),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [14] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(431),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [15] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(317),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [16] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(406),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [17] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(368),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [18] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(369),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [19] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(398),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [20] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(413),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [21] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(436),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [22] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(400),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [23] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(363),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [24] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(336),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [25] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(815),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(75),
  },
  [26] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(261),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [27] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(399),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [28] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(329),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [29] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(298),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [30] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(259),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [31] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(359),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [32] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(357),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [33] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(356),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [34] = {
    [sym__statement] = STATE(45),
    [sym__simple_statements] = STATE(45),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(45),
    [sym_for_statement] = STATE(45),
    [sym_while_statement] = STATE(45),
    [sym_try_statement] = STATE(45),
    [sym_with_statement] = STATE(45),
    [sym_function_definition] = STATE(45),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(45),
    [sym_decorated_definition] = STATE(45),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(813),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(45),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(75),
  },
  [35] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(429),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [36] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(237),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [37] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(425),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [38] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(377),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [39] = {
    [sym__statement] = STATE(46),
    [sym__simple_statements] = STATE(46),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_with_statement] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(46),
    [sym_decorated_definition] = STATE(46),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(235),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(46),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(95),
    [sym__string_start] = ACTIONS(75),
  },
  [40] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(346),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [41] = {
    [sym__statement] = STATE(44),
    [sym__simple_statements] = STATE(44),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_with_statement] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(44),
    [sym_decorated_definition] = STATE(44),
    [sym_decorator] = STATE(731),
    [sym_block] = STATE(380),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(44),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(93),
    [sym__string_start] = ACTIONS(75),
  },
  [42] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(42),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(731),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(99),
    [anon_sym_import] = ACTIONS(102),
    [anon_sym_from] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_print] = ACTIONS(114),
    [anon_sym_assert] = ACTIONS(117),
    [anon_sym_return] = ACTIONS(120),
    [anon_sym_del] = ACTIONS(123),
    [anon_sym_raise] = ACTIONS(126),
    [anon_sym_pass] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(132),
    [anon_sym_continue] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(138),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(144),
    [anon_sym_while] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(150),
    [anon_sym_with] = ACTIONS(153),
    [anon_sym_def] = ACTIONS(156),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(162),
    [anon_sym_nonlocal] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(168),
    [anon_sym_class] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(174),
    [anon_sym_not] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(186),
    [sym_ellipsis] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(192),
    [sym_integer] = ACTIONS(195),
    [sym_float] = ACTIONS(189),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_none] = ACTIONS(195),
    [anon_sym_await] = ACTIONS(198),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(201),
    [sym__string_start] = ACTIONS(203),
  },
  [43] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(723),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(723),
    [ts_builtin_sym_end] = ACTIONS(201),
    [sym_identifier] = ACTIONS(99),
    [anon_sym_import] = ACTIONS(102),
    [anon_sym_from] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(108),
    [anon_sym_STAR] = ACTIONS(111),
    [anon_sym_print] = ACTIONS(114),
    [anon_sym_assert] = ACTIONS(117),
    [anon_sym_return] = ACTIONS(120),
    [anon_sym_del] = ACTIONS(123),
    [anon_sym_raise] = ACTIONS(126),
    [anon_sym_pass] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(132),
    [anon_sym_continue] = ACTIONS(135),
    [anon_sym_if] = ACTIONS(206),
    [anon_sym_async] = ACTIONS(209),
    [anon_sym_for] = ACTIONS(212),
    [anon_sym_while] = ACTIONS(215),
    [anon_sym_try] = ACTIONS(218),
    [anon_sym_with] = ACTIONS(221),
    [anon_sym_def] = ACTIONS(224),
    [anon_sym_LBRACK] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(162),
    [anon_sym_nonlocal] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(168),
    [anon_sym_class] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(174),
    [anon_sym_not] = ACTIONS(177),
    [anon_sym_PLUS] = ACTIONS(180),
    [anon_sym_DASH] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(180),
    [anon_sym_lambda] = ACTIONS(183),
    [anon_sym_yield] = ACTIONS(186),
    [sym_ellipsis] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(192),
    [sym_integer] = ACTIONS(195),
    [sym_float] = ACTIONS(189),
    [sym_true] = ACTIONS(195),
    [sym_false] = ACTIONS(195),
    [sym_none] = ACTIONS(195),
    [anon_sym_await] = ACTIONS(198),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(203),
  },
  [44] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(42),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(731),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(230),
    [sym__string_start] = ACTIONS(75),
  },
  [45] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(42),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(731),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(232),
    [sym__string_start] = ACTIONS(75),
  },
  [46] = {
    [sym__statement] = STATE(42),
    [sym__simple_statements] = STATE(42),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym_if_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_with_statement] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_class_definition] = STATE(42),
    [sym_decorated_definition] = STATE(42),
    [sym_decorator] = STATE(731),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(42),
    [aux_sym_decorated_definition_repeat1] = STATE(731),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(77),
    [anon_sym_async] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_while] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_with] = ACTIONS(87),
    [anon_sym_def] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(234),
    [sym__string_start] = ACTIONS(75),
  },
  [47] = {
    [sym__statement] = STATE(43),
    [sym__simple_statements] = STATE(43),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym_if_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_with_statement] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_class_definition] = STATE(43),
    [sym_decorated_definition] = STATE(43),
    [sym_decorator] = STATE(723),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [aux_sym_module_repeat1] = STATE(43),
    [aux_sym_decorated_definition_repeat1] = STATE(723),
    [ts_builtin_sym_end] = ACTIONS(236),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_if] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(35),
    [anon_sym_for] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_with] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(75),
  },
  [48] = {
    [sym_chevron] = STATE(859),
    [sym_named_expression] = STATE(727),
    [sym_expression] = STATE(768),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_attribute] = STATE(534),
    [sym_subscript] = STATE(534),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(238),
    [anon_sym_DOT] = ACTIONS(240),
    [anon_sym_LPAREN] = ACTIONS(242),
    [anon_sym_COMMA] = ACTIONS(244),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_print] = ACTIONS(247),
    [anon_sym_GT_GT] = ACTIONS(249),
    [anon_sym_if] = ACTIONS(240),
    [anon_sym_COLON] = ACTIONS(251),
    [anon_sym_in] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(242),
    [anon_sym_EQ] = ACTIONS(253),
    [anon_sym_STAR_STAR] = ACTIONS(240),
    [anon_sym_exec] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(240),
    [anon_sym_not] = ACTIONS(240),
    [anon_sym_and] = ACTIONS(240),
    [anon_sym_or] = ACTIONS(240),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(240),
    [anon_sym_SLASH] = ACTIONS(240),
    [anon_sym_PERCENT] = ACTIONS(240),
    [anon_sym_SLASH_SLASH] = ACTIONS(240),
    [anon_sym_PIPE] = ACTIONS(240),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_CARET] = ACTIONS(240),
    [anon_sym_LT_LT] = ACTIONS(240),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_LT] = ACTIONS(240),
    [anon_sym_LT_EQ] = ACTIONS(242),
    [anon_sym_EQ_EQ] = ACTIONS(242),
    [anon_sym_BANG_EQ] = ACTIONS(242),
    [anon_sym_GT_EQ] = ACTIONS(242),
    [anon_sym_GT] = ACTIONS(240),
    [anon_sym_LT_GT] = ACTIONS(242),
    [anon_sym_is] = ACTIONS(240),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_PLUS_EQ] = ACTIONS(251),
    [anon_sym_DASH_EQ] = ACTIONS(251),
    [anon_sym_STAR_EQ] = ACTIONS(251),
    [anon_sym_SLASH_EQ] = ACTIONS(251),
    [anon_sym_AT_EQ] = ACTIONS(251),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(251),
    [anon_sym_PERCENT_EQ] = ACTIONS(251),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(251),
    [anon_sym_GT_GT_EQ] = ACTIONS(251),
    [anon_sym_LT_LT_EQ] = ACTIONS(251),
    [anon_sym_AMP_EQ] = ACTIONS(251),
    [anon_sym_CARET_EQ] = ACTIONS(251),
    [anon_sym_PIPE_EQ] = ACTIONS(251),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(242),
    [sym__newline] = ACTIONS(242),
    [sym__string_start] = ACTIONS(75),
  },
  [49] = {
    [sym__simple_statements] = STATE(201),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(255),
    [sym__indent] = ACTIONS(257),
    [sym__string_start] = ACTIONS(75),
  },
  [50] = {
    [sym__simple_statements] = STATE(420),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(259),
    [sym__indent] = ACTIONS(261),
    [sym__string_start] = ACTIONS(75),
  },
  [51] = {
    [sym__simple_statements] = STATE(383),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(263),
    [sym__indent] = ACTIONS(265),
    [sym__string_start] = ACTIONS(75),
  },
  [52] = {
    [sym__simple_statements] = STATE(360),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(267),
    [sym__indent] = ACTIONS(269),
    [sym__string_start] = ACTIONS(75),
  },
  [53] = {
    [sym__simple_statements] = STATE(387),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(271),
    [sym__indent] = ACTIONS(273),
    [sym__string_start] = ACTIONS(75),
  },
  [54] = {
    [sym__simple_statements] = STATE(361),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(275),
    [sym__indent] = ACTIONS(277),
    [sym__string_start] = ACTIONS(75),
  },
  [55] = {
    [sym__simple_statements] = STATE(283),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(279),
    [sym__indent] = ACTIONS(281),
    [sym__string_start] = ACTIONS(75),
  },
  [56] = {
    [sym__simple_statements] = STATE(378),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(283),
    [sym__indent] = ACTIONS(285),
    [sym__string_start] = ACTIONS(75),
  },
  [57] = {
    [sym__simple_statements] = STATE(244),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(287),
    [sym__indent] = ACTIONS(289),
    [sym__string_start] = ACTIONS(75),
  },
  [58] = {
    [sym__simple_statements] = STATE(381),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(291),
    [sym__indent] = ACTIONS(293),
    [sym__string_start] = ACTIONS(75),
  },
  [59] = {
    [sym__simple_statements] = STATE(412),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(295),
    [sym__indent] = ACTIONS(297),
    [sym__string_start] = ACTIONS(75),
  },
  [60] = {
    [sym__simple_statements] = STATE(394),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(299),
    [sym__indent] = ACTIONS(301),
    [sym__string_start] = ACTIONS(75),
  },
  [61] = {
    [sym__simple_statements] = STATE(375),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(303),
    [sym__indent] = ACTIONS(305),
    [sym__string_start] = ACTIONS(75),
  },
  [62] = {
    [sym__simple_statements] = STATE(323),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(307),
    [sym__indent] = ACTIONS(309),
    [sym__string_start] = ACTIONS(75),
  },
  [63] = {
    [sym__simple_statements] = STATE(366),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(311),
    [sym__indent] = ACTIONS(313),
    [sym__string_start] = ACTIONS(75),
  },
  [64] = {
    [sym__simple_statements] = STATE(275),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(315),
    [sym__indent] = ACTIONS(317),
    [sym__string_start] = ACTIONS(75),
  },
  [65] = {
    [sym__simple_statements] = STATE(256),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(319),
    [sym__indent] = ACTIONS(321),
    [sym__string_start] = ACTIONS(75),
  },
  [66] = {
    [sym__simple_statements] = STATE(417),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(323),
    [sym__indent] = ACTIONS(325),
    [sym__string_start] = ACTIONS(75),
  },
  [67] = {
    [sym__simple_statements] = STATE(260),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(327),
    [sym__indent] = ACTIONS(329),
    [sym__string_start] = ACTIONS(75),
  },
  [68] = {
    [sym__simple_statements] = STATE(810),
    [sym_import_statement] = STATE(886),
    [sym_future_import_statement] = STATE(886),
    [sym_import_from_statement] = STATE(886),
    [sym_print_statement] = STATE(886),
    [sym_assert_statement] = STATE(886),
    [sym_expression_statement] = STATE(886),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(886),
    [sym_delete_statement] = STATE(886),
    [sym_raise_statement] = STATE(886),
    [sym_pass_statement] = STATE(886),
    [sym_break_statement] = STATE(886),
    [sym_continue_statement] = STATE(886),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(886),
    [sym_nonlocal_statement] = STATE(886),
    [sym_exec_statement] = STATE(886),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(331),
    [sym__indent] = ACTIONS(333),
    [sym__string_start] = ACTIONS(75),
  },
  [69] = {
    [sym__simple_statements] = STATE(423),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(335),
    [sym__indent] = ACTIONS(337),
    [sym__string_start] = ACTIONS(75),
  },
  [70] = {
    [sym__simple_statements] = STATE(185),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(339),
    [sym__indent] = ACTIONS(341),
    [sym__string_start] = ACTIONS(75),
  },
  [71] = {
    [sym__simple_statements] = STATE(310),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(343),
    [sym__indent] = ACTIONS(345),
    [sym__string_start] = ACTIONS(75),
  },
  [72] = {
    [sym__simple_statements] = STATE(367),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(347),
    [sym__indent] = ACTIONS(349),
    [sym__string_start] = ACTIONS(75),
  },
  [73] = {
    [sym__simple_statements] = STATE(404),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__indent] = ACTIONS(353),
    [sym__string_start] = ACTIONS(75),
  },
  [74] = {
    [sym__simple_statements] = STATE(358),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym__string_start] = ACTIONS(75),
  },
  [75] = {
    [sym__simple_statements] = STATE(258),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym__string_start] = ACTIONS(75),
  },
  [76] = {
    [sym__simple_statements] = STATE(324),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym__string_start] = ACTIONS(75),
  },
  [77] = {
    [sym__simple_statements] = STATE(262),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym__string_start] = ACTIONS(75),
  },
  [78] = {
    [sym__simple_statements] = STATE(295),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym__string_start] = ACTIONS(75),
  },
  [79] = {
    [sym__simple_statements] = STATE(430),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym__string_start] = ACTIONS(75),
  },
  [80] = {
    [sym__simple_statements] = STATE(825),
    [sym_import_statement] = STATE(886),
    [sym_future_import_statement] = STATE(886),
    [sym_import_from_statement] = STATE(886),
    [sym_print_statement] = STATE(886),
    [sym_assert_statement] = STATE(886),
    [sym_expression_statement] = STATE(886),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(886),
    [sym_delete_statement] = STATE(886),
    [sym_raise_statement] = STATE(886),
    [sym_pass_statement] = STATE(886),
    [sym_break_statement] = STATE(886),
    [sym_continue_statement] = STATE(886),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(886),
    [sym_nonlocal_statement] = STATE(886),
    [sym_exec_statement] = STATE(886),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym__string_start] = ACTIONS(75),
  },
  [81] = {
    [sym__simple_statements] = STATE(370),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__indent] = ACTIONS(385),
    [sym__string_start] = ACTIONS(75),
  },
  [82] = {
    [sym__simple_statements] = STATE(331),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__indent] = ACTIONS(389),
    [sym__string_start] = ACTIONS(75),
  },
  [83] = {
    [sym__simple_statements] = STATE(386),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(391),
    [sym__indent] = ACTIONS(393),
    [sym__string_start] = ACTIONS(75),
  },
  [84] = {
    [sym__simple_statements] = STATE(364),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(395),
    [sym__indent] = ACTIONS(397),
    [sym__string_start] = ACTIONS(75),
  },
  [85] = {
    [sym__simple_statements] = STATE(349),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(399),
    [sym__indent] = ACTIONS(401),
    [sym__string_start] = ACTIONS(75),
  },
  [86] = {
    [sym__simple_statements] = STATE(374),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(403),
    [sym__indent] = ACTIONS(405),
    [sym__string_start] = ACTIONS(75),
  },
  [87] = {
    [sym__simple_statements] = STATE(371),
    [sym_import_statement] = STATE(919),
    [sym_future_import_statement] = STATE(919),
    [sym_import_from_statement] = STATE(919),
    [sym_print_statement] = STATE(919),
    [sym_assert_statement] = STATE(919),
    [sym_expression_statement] = STATE(919),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(919),
    [sym_delete_statement] = STATE(919),
    [sym_raise_statement] = STATE(919),
    [sym_pass_statement] = STATE(919),
    [sym_break_statement] = STATE(919),
    [sym_continue_statement] = STATE(919),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(919),
    [sym_nonlocal_statement] = STATE(919),
    [sym_exec_statement] = STATE(919),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(407),
    [sym__indent] = ACTIONS(409),
    [sym__string_start] = ACTIONS(75),
  },
  [88] = {
    [sym__simple_statements] = STATE(245),
    [sym_import_statement] = STATE(914),
    [sym_future_import_statement] = STATE(914),
    [sym_import_from_statement] = STATE(914),
    [sym_print_statement] = STATE(914),
    [sym_assert_statement] = STATE(914),
    [sym_expression_statement] = STATE(914),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(914),
    [sym_delete_statement] = STATE(914),
    [sym_raise_statement] = STATE(914),
    [sym_pass_statement] = STATE(914),
    [sym_break_statement] = STATE(914),
    [sym_continue_statement] = STATE(914),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(914),
    [sym_nonlocal_statement] = STATE(914),
    [sym_exec_statement] = STATE(914),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(411),
    [sym__indent] = ACTIONS(413),
    [sym__string_start] = ACTIONS(75),
  },
  [89] = {
    [sym_import_statement] = STATE(991),
    [sym_future_import_statement] = STATE(991),
    [sym_import_from_statement] = STATE(991),
    [sym_print_statement] = STATE(991),
    [sym_assert_statement] = STATE(991),
    [sym_expression_statement] = STATE(991),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(991),
    [sym_delete_statement] = STATE(991),
    [sym_raise_statement] = STATE(991),
    [sym_pass_statement] = STATE(991),
    [sym_break_statement] = STATE(991),
    [sym_continue_statement] = STATE(991),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(991),
    [sym_nonlocal_statement] = STATE(991),
    [sym_exec_statement] = STATE(991),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(415),
    [sym__string_start] = ACTIONS(75),
  },
  [90] = {
    [sym_import_statement] = STATE(991),
    [sym_future_import_statement] = STATE(991),
    [sym_import_from_statement] = STATE(991),
    [sym_print_statement] = STATE(991),
    [sym_assert_statement] = STATE(991),
    [sym_expression_statement] = STATE(991),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(991),
    [sym_delete_statement] = STATE(991),
    [sym_raise_statement] = STATE(991),
    [sym_pass_statement] = STATE(991),
    [sym_break_statement] = STATE(991),
    [sym_continue_statement] = STATE(991),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(991),
    [sym_nonlocal_statement] = STATE(991),
    [sym_exec_statement] = STATE(991),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__string_start] = ACTIONS(75),
  },
  [91] = {
    [sym_import_statement] = STATE(991),
    [sym_future_import_statement] = STATE(991),
    [sym_import_from_statement] = STATE(991),
    [sym_print_statement] = STATE(991),
    [sym_assert_statement] = STATE(991),
    [sym_expression_statement] = STATE(991),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(991),
    [sym_delete_statement] = STATE(991),
    [sym_raise_statement] = STATE(991),
    [sym_pass_statement] = STATE(991),
    [sym_break_statement] = STATE(991),
    [sym_continue_statement] = STATE(991),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(991),
    [sym_nonlocal_statement] = STATE(991),
    [sym_exec_statement] = STATE(991),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(419),
    [sym__string_start] = ACTIONS(75),
  },
  [92] = {
    [sym_import_statement] = STATE(991),
    [sym_future_import_statement] = STATE(991),
    [sym_import_from_statement] = STATE(991),
    [sym_print_statement] = STATE(991),
    [sym_assert_statement] = STATE(991),
    [sym_expression_statement] = STATE(991),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(991),
    [sym_delete_statement] = STATE(991),
    [sym_raise_statement] = STATE(991),
    [sym_pass_statement] = STATE(991),
    [sym_break_statement] = STATE(991),
    [sym_continue_statement] = STATE(991),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(991),
    [sym_nonlocal_statement] = STATE(991),
    [sym_exec_statement] = STATE(991),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__string_start] = ACTIONS(75),
  },
  [93] = {
    [sym_import_statement] = STATE(991),
    [sym_future_import_statement] = STATE(991),
    [sym_import_from_statement] = STATE(991),
    [sym_print_statement] = STATE(991),
    [sym_assert_statement] = STATE(991),
    [sym_expression_statement] = STATE(991),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(991),
    [sym_delete_statement] = STATE(991),
    [sym_raise_statement] = STATE(991),
    [sym_pass_statement] = STATE(991),
    [sym_break_statement] = STATE(991),
    [sym_continue_statement] = STATE(991),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(991),
    [sym_nonlocal_statement] = STATE(991),
    [sym_exec_statement] = STATE(991),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(423),
    [sym__string_start] = ACTIONS(75),
  },
  [94] = {
    [sym_import_statement] = STATE(991),
    [sym_future_import_statement] = STATE(991),
    [sym_import_from_statement] = STATE(991),
    [sym_print_statement] = STATE(991),
    [sym_assert_statement] = STATE(991),
    [sym_expression_statement] = STATE(991),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(991),
    [sym_delete_statement] = STATE(991),
    [sym_raise_statement] = STATE(991),
    [sym_pass_statement] = STATE(991),
    [sym_break_statement] = STATE(991),
    [sym_continue_statement] = STATE(991),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(991),
    [sym_nonlocal_statement] = STATE(991),
    [sym_exec_statement] = STATE(991),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__string_start] = ACTIONS(75),
  },
  [95] = {
    [sym_import_statement] = STATE(991),
    [sym_future_import_statement] = STATE(991),
    [sym_import_from_statement] = STATE(991),
    [sym_print_statement] = STATE(991),
    [sym_assert_statement] = STATE(991),
    [sym_expression_statement] = STATE(991),
    [sym_named_expression] = STATE(727),
    [sym_return_statement] = STATE(991),
    [sym_delete_statement] = STATE(991),
    [sym_raise_statement] = STATE(991),
    [sym_pass_statement] = STATE(991),
    [sym_break_statement] = STATE(991),
    [sym_continue_statement] = STATE(991),
    [sym__patterns] = STATE(676),
    [sym_pattern] = STATE(659),
    [sym_tuple_pattern] = STATE(664),
    [sym_list_pattern] = STATE(664),
    [sym_list_splat_pattern] = STATE(664),
    [sym_global_statement] = STATE(991),
    [sym_nonlocal_statement] = STATE(991),
    [sym_exec_statement] = STATE(991),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(499),
    [sym_not_operator] = STATE(727),
    [sym_boolean_operator] = STATE(727),
    [sym_binary_operator] = STATE(534),
    [sym_unary_operator] = STATE(534),
    [sym_comparison_operator] = STATE(727),
    [sym_lambda] = STATE(727),
    [sym_assignment] = STATE(984),
    [sym_augmented_assignment] = STATE(984),
    [sym_left_hand_side] = STATE(678),
    [sym_yield] = STATE(984),
    [sym_attribute] = STATE(179),
    [sym_subscript] = STATE(179),
    [sym_call] = STATE(534),
    [sym_list] = STATE(534),
    [sym_list_comprehension] = STATE(534),
    [sym_dictionary] = STATE(534),
    [sym_dictionary_comprehension] = STATE(534),
    [sym_set] = STATE(534),
    [sym_set_comprehension] = STATE(534),
    [sym_parenthesized_expression] = STATE(534),
    [sym_tuple] = STATE(534),
    [sym_generator_expression] = STATE(534),
    [sym_conditional_expression] = STATE(727),
    [sym_concatenated_string] = STATE(534),
    [sym_string] = STATE(500),
    [sym_await] = STATE(727),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_return] = ACTIONS(21),
    [anon_sym_del] = ACTIONS(23),
    [anon_sym_raise] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [anon_sym_break] = ACTIONS(29),
    [anon_sym_continue] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(59),
    [anon_sym_PLUS] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_lambda] = ACTIONS(63),
    [anon_sym_yield] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(69),
    [sym_integer] = ACTIONS(71),
    [sym_float] = ACTIONS(67),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [sym_none] = ACTIONS(71),
    [anon_sym_await] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(75),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(65), 1,
      anon_sym_yield,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(676), 1,
      sym__patterns,
    STATE(678), 1,
      sym_left_hand_side,
    STATE(724), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(427), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(987), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [111] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(65), 1,
      anon_sym_yield,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(676), 1,
      sym__patterns,
    STATE(678), 1,
      sym_left_hand_side,
    STATE(724), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(427), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(981), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [222] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(47), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(65), 1,
      anon_sym_yield,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(676), 1,
      sym__patterns,
    STATE(678), 1,
      sym_left_hand_side,
    STATE(724), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(427), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(179), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(982), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [333] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      sym_identifier,
    ACTIONS(431), 1,
      anon_sym_LPAREN,
    ACTIONS(433), 1,
      anon_sym_STAR,
    ACTIONS(437), 1,
      anon_sym_LBRACK,
    ACTIONS(439), 1,
      anon_sym_RBRACK,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(659), 1,
      sym_pattern,
    STATE(706), 1,
      sym_expression,
    STATE(1040), 1,
      sym__patterns,
    STATE(1092), 1,
      sym__collection_elements,
    ACTIONS(435), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    STATE(572), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    STATE(855), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [445] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      sym_identifier,
    ACTIONS(431), 1,
      anon_sym_LPAREN,
    ACTIONS(433), 1,
      anon_sym_STAR,
    ACTIONS(437), 1,
      anon_sym_LBRACK,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(459), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(659), 1,
      sym_pattern,
    STATE(706), 1,
      sym_expression,
    STATE(1040), 1,
      sym__patterns,
    STATE(1092), 1,
      sym__collection_elements,
    ACTIONS(435), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    STATE(572), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    STATE(855), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [557] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(467), 1,
      anon_sym_STAR,
    ACTIONS(471), 1,
      anon_sym_in,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    ACTIONS(477), 1,
      anon_sym_TILDE,
    STATE(372), 1,
      sym_string,
    STATE(665), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(475), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
    ACTIONS(465), 17,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [655] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      sym_identifier,
    ACTIONS(431), 1,
      anon_sym_LPAREN,
    ACTIONS(433), 1,
      anon_sym_STAR,
    ACTIONS(437), 1,
      anon_sym_LBRACK,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(659), 1,
      sym_pattern,
    STATE(711), 1,
      sym_expression,
    STATE(929), 1,
      sym_yield,
    STATE(1018), 1,
      sym__patterns,
    STATE(1033), 1,
      sym__collection_elements,
    ACTIONS(435), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    STATE(572), 2,
      sym_attribute,
      sym_subscript,
    STATE(855), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [769] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(467), 1,
      anon_sym_STAR,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    ACTIONS(477), 1,
      anon_sym_TILDE,
    ACTIONS(483), 1,
      anon_sym_in,
    STATE(372), 1,
      sym_string,
    STATE(665), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(475), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
    ACTIONS(481), 17,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [867] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      sym_identifier,
    ACTIONS(431), 1,
      anon_sym_LPAREN,
    ACTIONS(433), 1,
      anon_sym_STAR,
    ACTIONS(437), 1,
      anon_sym_LBRACK,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(485), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(659), 1,
      sym_pattern,
    STATE(699), 1,
      sym_expression,
    STATE(888), 1,
      sym_list_splat,
    STATE(889), 1,
      sym_parenthesized_list_splat,
    STATE(890), 1,
      sym_yield,
    STATE(1018), 1,
      sym__patterns,
    STATE(1094), 1,
      sym__collection_elements,
    ACTIONS(435), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    STATE(572), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [983] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      sym_identifier,
    ACTIONS(431), 1,
      anon_sym_LPAREN,
    ACTIONS(433), 1,
      anon_sym_STAR,
    ACTIONS(437), 1,
      anon_sym_LBRACK,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(487), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(659), 1,
      sym_pattern,
    STATE(708), 1,
      sym_expression,
    STATE(1040), 1,
      sym__patterns,
    STATE(1041), 1,
      sym__collection_elements,
    ACTIONS(435), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    STATE(572), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    STATE(855), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1095] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      sym_identifier,
    ACTIONS(431), 1,
      anon_sym_LPAREN,
    ACTIONS(433), 1,
      anon_sym_STAR,
    ACTIONS(437), 1,
      anon_sym_LBRACK,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(489), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(659), 1,
      sym_pattern,
    STATE(699), 1,
      sym_expression,
    STATE(890), 1,
      sym_yield,
    STATE(1018), 1,
      sym__patterns,
    STATE(1094), 1,
      sym__collection_elements,
    ACTIONS(435), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    STATE(572), 2,
      sym_attribute,
      sym_subscript,
    STATE(855), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1209] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(491), 1,
      sym_identifier,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    ACTIONS(497), 1,
      anon_sym_COMMA,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(707), 1,
      sym_expression,
    STATE(941), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(938), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1311] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(511), 1,
      anon_sym_RPAREN,
    ACTIONS(513), 1,
      anon_sym_COMMA,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(801), 1,
      sym_expression,
    STATE(931), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(930), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(715), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(741), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(527), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(531), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1509] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(715), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(741), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(535), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(537), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(539), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [1665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(543), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [1725] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(491), 1,
      sym_identifier,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(511), 1,
      anon_sym_RPAREN,
    ACTIONS(513), 1,
      anon_sym_COMMA,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(709), 1,
      sym_expression,
    STATE(931), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(930), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(547), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [1887] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(715), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(741), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(551), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(553), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [1983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(555), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [2043] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(491), 1,
      sym_identifier,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(559), 1,
      anon_sym_RPAREN,
    ACTIONS(561), 1,
      anon_sym_COMMA,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(704), 1,
      sym_expression,
    STATE(887), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(891), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(563), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [2205] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(495), 1,
      anon_sym_RPAREN,
    ACTIONS(497), 1,
      anon_sym_COMMA,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(796), 1,
      sym_expression,
    STATE(941), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(938), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2307] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(715), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(741), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(567), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(569), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2403] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(571), 1,
      anon_sym_COMMA,
    ACTIONS(573), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(693), 1,
      sym_expression,
    STATE(758), 1,
      sym_pair,
    STATE(910), 1,
      sym_dictionary_splat,
    STATE(911), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2506] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(575), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2605] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(784), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(579), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(958), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2702] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(585), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2801] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(587), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [2900] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(589), 1,
      anon_sym_COMMA,
    ACTIONS(591), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(692), 1,
      sym_expression,
    STATE(751), 1,
      sym_pair,
    STATE(939), 1,
      sym_dictionary_splat,
    STATE(940), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3003] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(593), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(712), 1,
      sym_expression,
    STATE(1019), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(855), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3102] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(595), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(701), 1,
      sym_expression,
    STATE(912), 1,
      sym_yield,
    STATE(1026), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(855), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3203] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3302] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(599), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(699), 1,
      sym_expression,
    STATE(888), 1,
      sym_list_splat,
    STATE(889), 1,
      sym_parenthesized_list_splat,
    STATE(890), 1,
      sym_yield,
    STATE(1094), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3405] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(601), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3504] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3603] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(605), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3702] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(784), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(607), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(958), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3799] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(609), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3898] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(611), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [3997] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(613), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4096] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(615), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(706), 1,
      sym_expression,
    STATE(1092), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(855), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4195] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(599), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(699), 1,
      sym_expression,
    STATE(890), 1,
      sym_yield,
    STATE(1094), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(855), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4296] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(617), 1,
      anon_sym_COMMA,
    ACTIONS(619), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(695), 1,
      sym_expression,
    STATE(757), 1,
      sym_pair,
    STATE(898), 1,
      sym_list_splat,
    STATE(899), 1,
      sym_dictionary_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4399] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(621), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4498] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(623), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4597] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(625), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(711), 1,
      sym_expression,
    STATE(929), 1,
      sym_yield,
    STATE(1033), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(855), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4698] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(593), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(706), 1,
      sym_expression,
    STATE(1092), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(855), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4797] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(627), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(708), 1,
      sym_expression,
    STATE(1041), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(855), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4896] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(595), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(699), 1,
      sym_expression,
    STATE(890), 1,
      sym_yield,
    STATE(1094), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(855), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [4997] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(493), 1,
      anon_sym_LPAREN,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(595), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(699), 1,
      sym_expression,
    STATE(888), 1,
      sym_list_splat,
    STATE(889), 1,
      sym_parenthesized_list_splat,
    STATE(890), 1,
      sym_yield,
    STATE(1094), 1,
      sym__collection_elements,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5100] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(499), 1,
      anon_sym_STAR,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(507), 1,
      sym_identifier,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(1004), 1,
      sym_parenthesized_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(501), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1001), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    ACTIONS(635), 1,
      anon_sym_except,
    ACTIONS(637), 1,
      anon_sym_finally,
    STATE(296), 1,
      sym_else_clause,
    STATE(424), 1,
      sym_finally_clause,
    STATE(198), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(631), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(629), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [5265] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(639), 1,
      anon_sym_from,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(719), 1,
      sym_expression,
    STATE(948), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(643), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5358] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_EQ,
    ACTIONS(645), 1,
      sym__string_start,
    STATE(963), 1,
      sym_string,
    ACTIONS(251), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(240), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 16,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [5425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    ACTIONS(635), 1,
      anon_sym_except,
    ACTIONS(637), 1,
      anon_sym_finally,
    STATE(286), 1,
      sym_else_clause,
    STATE(402), 1,
      sym_finally_clause,
    STATE(198), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(649), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(647), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [5494] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    ACTIONS(653), 1,
      anon_sym_except,
    ACTIONS(655), 1,
      anon_sym_finally,
    STATE(276), 1,
      sym_else_clause,
    STATE(373), 1,
      sym_finally_clause,
    STATE(186), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(631), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(629), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [5563] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_yield,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(509), 1,
      anon_sym_LPAREN,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(784), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(958), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5656] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    ACTIONS(653), 1,
      anon_sym_except,
    ACTIONS(655), 1,
      anon_sym_finally,
    STATE(312), 1,
      sym_else_clause,
    STATE(432), 1,
      sym_finally_clause,
    STATE(186), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(649), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(647), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [5725] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(980), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5817] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(980), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [5909] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_from,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(724), 1,
      sym_expression,
    STATE(926), 1,
      sym_expression_list,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(667), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(563), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [6057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(547), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [6113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_COMMA,
    ACTIONS(676), 1,
      anon_sym_COLON_EQ,
    ACTIONS(678), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(680), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(674), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 16,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [6177] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(980), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6269] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_from,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(724), 1,
      sym_expression,
    STATE(989), 1,
      sym_expression_list,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(643), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(980), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(543), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [6509] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(762), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(688), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6597] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(690), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(980), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6689] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(762), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(692), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(539), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [6833] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(980), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [6925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(555), 32,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym__semicolon,
  [6981] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(696), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(822), 1,
      sym_expression,
    STATE(993), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7072] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_from,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(770), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(692), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7161] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    ACTIONS(704), 1,
      anon_sym_elif,
    STATE(219), 1,
      aux_sym_if_statement_repeat1,
    STATE(322), 1,
      sym_elif_clause,
    STATE(411), 1,
      sym_else_clause,
    ACTIONS(700), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(702), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [7226] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(708), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_expression,
    STATE(1014), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7317] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_expression,
    STATE(1014), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7408] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(714), 1,
      anon_sym_COLON,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(790), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(712), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7497] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(716), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(822), 1,
      sym_expression,
    STATE(993), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_COMMA,
    ACTIONS(678), 1,
      anon_sym_EQ,
    ACTIONS(680), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(674), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 16,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [7649] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(718), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(822), 1,
      sym_expression,
    STATE(993), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7740] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(724), 1,
      sym_expression,
    STATE(979), 1,
      sym_expression_list,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(720), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    ACTIONS(726), 1,
      anon_sym_elif,
    STATE(193), 1,
      aux_sym_if_statement_repeat1,
    STATE(294), 1,
      sym_elif_clause,
    STATE(391), 1,
      sym_else_clause,
    ACTIONS(724), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(722), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [7894] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(728), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_expression,
    STATE(1014), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [7985] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(730), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(822), 1,
      sym_expression,
    STATE(993), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    ACTIONS(726), 1,
      anon_sym_elif,
    STATE(203), 1,
      aux_sym_if_statement_repeat1,
    STATE(294), 1,
      sym_elif_clause,
    STATE(419), 1,
      sym_else_clause,
    ACTIONS(734), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(732), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [8141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 1,
      anon_sym_except,
    STATE(186), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(736), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(738), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [8200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    ACTIONS(704), 1,
      anon_sym_elif,
    STATE(196), 1,
      aux_sym_if_statement_repeat1,
    STATE(322), 1,
      sym_elif_clause,
    STATE(407), 1,
      sym_else_clause,
    ACTIONS(724), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(722), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [8265] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_COLON,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(776), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(743), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8354] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(747), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_expression,
    STATE(1014), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8445] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(749), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(822), 1,
      sym_expression,
    STATE(993), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_COMMA,
    ACTIONS(760), 1,
      anon_sym_EQ,
    ACTIONS(758), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(756), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 16,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [8597] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(762), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_expression,
    STATE(1014), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    ACTIONS(726), 1,
      anon_sym_elif,
    STATE(210), 1,
      aux_sym_if_statement_repeat1,
    STATE(294), 1,
      sym_elif_clause,
    STATE(415), 1,
      sym_else_clause,
    ACTIONS(766), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(764), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [8753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_EQ,
    ACTIONS(251), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(240), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 16,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [8814] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(768), 1,
      anon_sym_from,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(770), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(688), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [8903] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    ACTIONS(704), 1,
      anon_sym_elif,
    STATE(219), 1,
      aux_sym_if_statement_repeat1,
    STATE(322), 1,
      sym_elif_clause,
    STATE(422), 1,
      sym_else_clause,
    ACTIONS(766), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(764), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [8968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(770), 1,
      anon_sym_RBRACK,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_expression,
    STATE(1014), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(772), 1,
      anon_sym_except,
    STATE(198), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(736), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(738), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [9118] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(505), 1,
      anon_sym_STAR_STAR,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(980), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 1,
      anon_sym_COMMA,
    ACTIONS(784), 1,
      anon_sym_EQ,
    ACTIONS(782), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(780), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 16,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [9268] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    ACTIONS(704), 1,
      anon_sym_elif,
    STATE(174), 1,
      aux_sym_if_statement_repeat1,
    STATE(322), 1,
      sym_elif_clause,
    STATE(416), 1,
      sym_else_clause,
    ACTIONS(734), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(732), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [9333] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      anon_sym_RBRACE,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(822), 1,
      sym_expression,
    STATE(993), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    ACTIONS(726), 1,
      anon_sym_elif,
    STATE(210), 1,
      aux_sym_if_statement_repeat1,
    STATE(294), 1,
      sym_elif_clause,
    STATE(384), 1,
      sym_else_clause,
    ACTIONS(700), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(702), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [9489] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(718), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(760), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9575] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(770), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(788), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(792), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [9715] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(791), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(794), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9801] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(791), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(796), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9887] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(740), 1,
      sym_expression,
    STATE(934), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [9975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_elif,
    STATE(210), 1,
      aux_sym_if_statement_repeat1,
    STATE(294), 1,
      sym_elif_clause,
    ACTIONS(800), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(798), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10035] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(753), 1,
      sym_expression,
    STATE(942), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10123] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(831), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(743), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10209] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(715), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(741), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10295] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_STAR,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(822), 1,
      sym_expression,
    STATE(993), 1,
      sym_list_splat,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(805), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10437] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(752), 1,
      sym_expression,
    STATE(881), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(805), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(809), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_elif,
    STATE(219), 1,
      aux_sym_if_statement_repeat1,
    STATE(322), 1,
      sym_elif_clause,
    ACTIONS(800), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(798), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10693] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(803), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10779] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(715), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(736), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [10865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(818), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [10919] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(791), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(822), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11005] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(791), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(824), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(792), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11145] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(770), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(826), 2,
      sym__newline,
      sym__semicolon,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(828), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11285] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(706), 1,
      anon_sym_COLON,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_expression,
    STATE(1014), 1,
      sym_slice,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11373] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(714), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(744), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11459] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_lambda,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(715), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(730), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(818), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(828), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11653] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(806), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(832), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(809), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(836), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11846] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(719), 1,
      sym_expression,
    STATE(1072), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [11931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(838), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [11984] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_COLON,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(787), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12069] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(767), 1,
      sym_expression,
    STATE(933), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12154] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(777), 1,
      sym_expression,
    STATE(928), 1,
      sym_with_item,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12239] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(777), 1,
      sym_expression,
    STATE(971), 1,
      sym_with_item,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12324] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(767), 1,
      sym_expression,
    STATE(1074), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12409] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(777), 1,
      sym_expression,
    STATE(916), 1,
      sym_with_item,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(868), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(870), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(874), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [12653] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(767), 1,
      sym_expression,
    STATE(1028), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12738] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(777), 1,
      sym_expression,
    STATE(994), 1,
      sym_with_item,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12823] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    ACTIONS(878), 1,
      anon_sym_COLON,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(778), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12908] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(719), 1,
      sym_expression,
    STATE(1068), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [12993] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(767), 1,
      sym_expression,
    STATE(1059), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(767), 1,
      sym_expression,
    STATE(844), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13163] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(719), 1,
      sym_expression,
    STATE(1054), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13248] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(777), 1,
      sym_expression,
    STATE(901), 1,
      sym_with_item,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13333] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(719), 1,
      sym_expression,
    STATE(1035), 1,
      sym_expression_list,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(868), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13471] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(724), 1,
      sym_expression,
    STATE(977), 1,
      sym_expression_list,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(880), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(836), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(880), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(874), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(870), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(838), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [13874] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(767), 1,
      sym_expression,
    STATE(1076), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [13959] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(767), 1,
      sym_expression,
    STATE(1095), 1,
      sym_type,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14044] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(794), 1,
      sym_expression,
    STATE(880), 1,
      sym_type,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14129] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(686), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(779), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14293] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(860), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14375] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(769), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(858), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14539] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(862), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14621] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(863), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14703] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(849), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    STATE(397), 1,
      sym_else_clause,
    ACTIONS(886), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(884), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_finally,
    STATE(414), 1,
      sym_finally_clause,
    ACTIONS(888), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [14897] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [14979] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(842), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15061] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(853), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15143] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(735), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15225] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15307] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(725), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    STATE(401), 1,
      sym_else_clause,
    ACTIONS(886), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(884), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15445] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(848), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15527] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(775), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_finally,
    STATE(418), 1,
      sym_finally_clause,
    ACTIONS(894), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(892), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    STATE(405), 1,
      sym_else_clause,
    ACTIONS(898), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(896), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [15721] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(748), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15803] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      sym_identifier,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(755), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(902), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(647), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15887] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(694), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [15969] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(686), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16051] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(780), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16133] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(805), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    STATE(408), 1,
      sym_else_clause,
    ACTIONS(908), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(910), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16323] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_finally,
    STATE(385), 1,
      sym_finally_clause,
    ACTIONS(888), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16379] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(733), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    STATE(362), 1,
      sym_else_clause,
    ACTIONS(912), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(914), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [16517] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(705), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16599] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(829), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(755), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16763] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(774), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16845] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(729), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [16927] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(773), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17009] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(802), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17091] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(874), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17173] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(722), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17255] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(721), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17337] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(703), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    STATE(409), 1,
      sym_else_clause,
    ACTIONS(918), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(916), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17475] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(747), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_finally,
    STATE(376), 1,
      sym_finally_clause,
    ACTIONS(894), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(892), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17613] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(788), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17695] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(793), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17777] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(782), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17859] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(737), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [17941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    STATE(392), 1,
      sym_else_clause,
    ACTIONS(898), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(896), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [17997] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(786), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18079] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(783), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18161] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      sym_identifier,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(850), 1,
      anon_sym_not,
    ACTIONS(854), 1,
      anon_sym_lambda,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(862), 1,
      anon_sym_await,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(523), 1,
      sym_primary_expression,
    STATE(524), 1,
      sym_string,
    STATE(785), 1,
      sym_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(799), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18243] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(697), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [18377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(922), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [18429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    STATE(410), 1,
      sym_else_clause,
    ACTIONS(908), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(910), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [18485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(866), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18567] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(726), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18649] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(795), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18731] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(791), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    STATE(389), 1,
      sym_else_clause,
    ACTIONS(924), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(926), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [18869] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(689), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [18951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_else,
    STATE(426), 1,
      sym_else_clause,
    ACTIONS(918), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(916), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19007] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(854), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19089] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(691), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19171] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(684), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19253] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(690), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    STATE(396), 1,
      sym_else_clause,
    ACTIONS(912), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(914), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19391] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(696), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(930), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [19525] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(797), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19607] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(770), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19689] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(820), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(809), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19853] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(728), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [19935] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(818), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20017] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(698), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(930), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20151] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_not,
    ACTIONS(63), 1,
      anon_sym_lambda,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(73), 1,
      anon_sym_await,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(238), 1,
      sym_identifier,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(499), 1,
      sym_primary_expression,
    STATE(500), 1,
      sym_string,
    STATE(759), 1,
      sym_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(727), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20233] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(808), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(922), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(762), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20449] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(700), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20531] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(517), 1,
      anon_sym_not,
    ACTIONS(519), 1,
      anon_sym_lambda,
    ACTIONS(521), 1,
      anon_sym_await,
    ACTIONS(577), 1,
      sym_identifier,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(441), 1,
      sym_primary_expression,
    STATE(800), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20613] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(710), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20695] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(684), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20777] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_not,
    ACTIONS(445), 1,
      anon_sym_lambda,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(455), 1,
      anon_sym_await,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      sym_identifier,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(474), 1,
      sym_primary_expression,
    STATE(702), 1,
      sym_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(688), 7,
      sym_named_expression,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [20859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_else,
    STATE(379), 1,
      sym_else_clause,
    ACTIONS(924), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(926), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(932), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [20966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(936), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(932), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(938), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(936), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(940), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(942), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(946), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(948), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(950), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(952), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(956), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(962), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(964), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(970), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(972), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(974), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(962), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(978), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(421), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [21723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(980), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(940), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(942), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(986), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(988), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [21973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(978), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(992), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(996), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1002), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1004), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1008), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1012), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1016), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(964), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1022), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(996), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(992), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1024), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1028), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1034), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(647), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1022), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(629), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(946), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1036), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [22973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(990), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(988), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1006), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1004), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1040), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1036), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(892), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(948), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(950), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(954), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(952), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1034), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(956), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1028), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1046), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1048), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1046), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1014), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1012), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1054), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1052), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1056), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1018), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1016), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1060), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1064), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1066), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1002), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [23973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(986), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1064), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1066), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1054), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1052), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 1,
      sym__string_start,
    STATE(427), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1070), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1068), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [24177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1060), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(980), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(890), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1056), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1048), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__string_start,
    STATE(427), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1074), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1072), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [24481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1079), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1042), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1040), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1008), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(970), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(892), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1079), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(629), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(647), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1024), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(972), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(974), 30,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
      anon_sym_await,
  [24981] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    STATE(676), 1,
      sym__patterns,
    STATE(1052), 1,
      sym_left_hand_side,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [25061] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    ACTIONS(1083), 1,
      anon_sym_RPAREN,
    STATE(372), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    STATE(1018), 1,
      sym__patterns,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [25141] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    STATE(676), 1,
      sym__patterns,
    STATE(1088), 1,
      sym_left_hand_side,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [25221] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_EQ,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1105), 1,
      anon_sym_not,
    ACTIONS(1109), 1,
      anon_sym_PIPE,
    ACTIONS(1111), 1,
      anon_sym_AMP,
    ACTIONS(1113), 1,
      anon_sym_CARET,
    ACTIONS(1117), 1,
      anon_sym_is,
    STATE(654), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1093), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1115), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1095), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1089), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25303] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    STATE(676), 1,
      sym__patterns,
    STATE(1036), 1,
      sym_left_hand_side,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [25383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1119), 35,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25431] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    STATE(676), 1,
      sym__patterns,
    STATE(1039), 1,
      sym_left_hand_side,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [25511] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    STATE(676), 1,
      sym__patterns,
    STATE(1099), 1,
      sym_left_hand_side,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [25591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1123), 35,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25639] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(659), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    STATE(676), 1,
      sym__patterns,
    STATE(1101), 1,
      sym_left_hand_side,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [25719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1127), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25766] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1113), 1,
      anon_sym_CARET,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1093), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1135), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [25974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1147), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1151), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1159), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1171), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1179), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26444] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1109), 1,
      anon_sym_PIPE,
    ACTIONS(1111), 1,
      anon_sym_AMP,
    ACTIONS(1113), 1,
      anon_sym_CARET,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1093), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1189), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1187), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26515] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1093), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26627] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1111), 1,
      anon_sym_AMP,
    ACTIONS(1113), 1,
      anon_sym_CARET,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1093), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1197), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26894] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [26955] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27059] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1225), 1,
      anon_sym_not,
    ACTIONS(1229), 1,
      anon_sym_PIPE,
    ACTIONS(1231), 1,
      anon_sym_AMP,
    ACTIONS(1233), 1,
      anon_sym_CARET,
    ACTIONS(1237), 1,
      anon_sym_is,
    STATE(656), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1219), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1089), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [27138] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1109), 1,
      anon_sym_PIPE,
    ACTIONS(1111), 1,
      anon_sym_AMP,
    ACTIONS(1113), 1,
      anon_sym_CARET,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1093), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1241), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27256] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27319] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1243), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1247), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1251), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27517] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1229), 1,
      anon_sym_PIPE,
    ACTIONS(1231), 1,
      anon_sym_AMP,
    ACTIONS(1233), 1,
      anon_sym_CARET,
    ACTIONS(1189), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1187), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [27587] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [27643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [27735] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(665), 1,
      sym_pattern,
    STATE(669), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [27809] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [27873] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [27935] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1229), 1,
      anon_sym_PIPE,
    ACTIONS(1231), 1,
      anon_sym_AMP,
    ACTIONS(1233), 1,
      anon_sym_CARET,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1241), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1239), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [28005] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(461), 1,
      sym_identifier,
    ACTIONS(463), 1,
      anon_sym_LPAREN,
    ACTIONS(473), 1,
      anon_sym_LBRACK,
    STATE(372), 1,
      sym_string,
    STATE(669), 1,
      sym_primary_expression,
    STATE(998), 1,
      sym_pattern,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(469), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(526), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(664), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [28079] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [28135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(240), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [28181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [28229] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [28289] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1231), 1,
      anon_sym_AMP,
    ACTIONS(1233), 1,
      anon_sym_CARET,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [28357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1197), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [28413] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1233), 1,
      anon_sym_CARET,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1215), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1223), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [28479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [28526] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 1,
      anon_sym_EQ,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1275), 1,
      anon_sym_not,
    ACTIONS(1279), 1,
      anon_sym_PIPE,
    ACTIONS(1281), 1,
      anon_sym_AMP,
    ACTIONS(1283), 1,
      anon_sym_CARET,
    ACTIONS(1287), 1,
      anon_sym_is,
    STATE(661), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1265), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1277), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1285), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1267), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1089), 7,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym__semicolon,
  [28605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      sym__string_start,
    STATE(502), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [28654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 1,
      sym__string_start,
    STATE(501), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1074), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1072), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [28703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      sym__string_start,
    STATE(501), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1070), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1068), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [28752] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1279), 1,
      anon_sym_PIPE,
    ACTIONS(1281), 1,
      anon_sym_AMP,
    ACTIONS(1283), 1,
      anon_sym_CARET,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1265), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1277), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1241), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1239), 15,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [28820] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1281), 1,
      anon_sym_AMP,
    ACTIONS(1283), 1,
      anon_sym_CARET,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1265), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1277), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 16,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [28886] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1197), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 25,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [28940] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(1292), 1,
      sym_identifier,
    STATE(372), 1,
      sym_string,
    STATE(669), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1296), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(520), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1294), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [29008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [29052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 25,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [29106] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1279), 1,
      anon_sym_PIPE,
    ACTIONS(1281), 1,
      anon_sym_AMP,
    ACTIONS(1283), 1,
      anon_sym_CARET,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1265), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1277), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1189), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1187), 15,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [29174] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1277), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 20,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [29234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 25,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [29288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(240), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [29332] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 22,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [29390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [29434] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1265), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1277), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 18,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [29496] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_DOT,
    ACTIONS(1261), 1,
      anon_sym_LPAREN,
    ACTIONS(1269), 1,
      anon_sym_LBRACK,
    ACTIONS(1271), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1283), 1,
      anon_sym_CARET,
    ACTIONS(1263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1265), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1277), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(567), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1273), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 17,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [29560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(519), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1070), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1068), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [29607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(756), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(758), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      sym__string_start,
    STATE(519), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1074), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1072), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [29699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(674), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1301), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(242), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(240), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1303), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [29789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_COLON_EQ,
    ACTIONS(671), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [29836] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1321), 1,
      anon_sym_not,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_AMP,
    ACTIONS(1329), 1,
      anon_sym_CARET,
    ACTIONS(1333), 1,
      anon_sym_is,
    STATE(671), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1311), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1331), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1089), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1313), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [29911] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(517), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [29958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(780), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(782), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(674), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(680), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1123), 30,
      sym__newline,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(242), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(240), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(251), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(676), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1335), 1,
      anon_sym_EQ,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [30228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1119), 30,
      sym__newline,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30271] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_AMP,
    ACTIONS(1329), 1,
      anon_sym_CARET,
    ACTIONS(1241), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1311), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1239), 14,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [30337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30463] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(1337), 1,
      anon_sym_not,
    STATE(500), 1,
      sym_string,
    STATE(503), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30735] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1325), 1,
      anon_sym_PIPE,
    ACTIONS(1327), 1,
      anon_sym_AMP,
    ACTIONS(1329), 1,
      anon_sym_CARET,
    ACTIONS(1189), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1311), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1187), 14,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [30801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1179), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30843] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    ACTIONS(1339), 1,
      anon_sym_not,
    STATE(524), 1,
      sym_string,
    STATE(532), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [30905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(240), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [30949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1171), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [30991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 1,
      anon_sym_EQ,
    ACTIONS(240), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31035] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(1343), 1,
      anon_sym_not,
    STATE(372), 1,
      sym_string,
    STATE(489), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [31097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1197), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1195), 24,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 24,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1243), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31285] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1251), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1247), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31469] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1133), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1131), 24,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1135), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31605] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(1345), 1,
      anon_sym_not,
    STATE(372), 1,
      sym_string,
    STATE(475), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [31667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(780), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(775), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(240), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [31795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(756), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(751), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31839] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31895] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1327), 1,
      anon_sym_AMP,
    ACTIONS(1329), 1,
      anon_sym_CARET,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1311), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [32001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [32043] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1329), 1,
      anon_sym_CARET,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1311), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [32105] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    ACTIONS(1307), 1,
      anon_sym_LPAREN,
    ACTIONS(1315), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1311), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1323), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(645), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1319), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1131), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [32165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1159), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [32207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [32251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1151), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [32293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1147), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [32335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [32377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1127), 29,
      sym__newline,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym__semicolon,
  [32419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1347), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [32464] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(467), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32523] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(475), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32582] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(472), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32641] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(503), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32700] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(471), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32759] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(1292), 1,
      sym_identifier,
    STATE(372), 1,
      sym_string,
    STATE(669), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1296), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(520), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32822] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(466), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32881] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(515), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(542), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [32999] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    ACTIONS(1350), 1,
      sym_identifier,
    STATE(372), 1,
      sym_string,
    STATE(669), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1352), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(667), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33062] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(449), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33121] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(505), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(464), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33239] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(510), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1335), 1,
      anon_sym_EQ,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [33343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1123), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [33384] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(550), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33443] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(516), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1119), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [33543] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(511), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [33645] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(482), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33704] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(570), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33763] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(569), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33822] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(504), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33881] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(566), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(565), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [33999] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(557), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34058] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(513), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34117] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(532), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34176] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(496), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34235] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(483), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34294] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(488), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34353] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(489), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34412] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(491), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34471] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(494), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(495), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34589] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(497), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34648] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(503), 1,
      anon_sym_LBRACK,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(487), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(529), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(443), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34707] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(509), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34766] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(477), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34825] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      sym__string_start,
    ACTIONS(663), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    STATE(500), 1,
      sym_string,
    STATE(508), 1,
      sym_primary_expression,
    ACTIONS(67), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(247), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(61), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(71), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(534), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(463), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [34943] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(457), 1,
      sym__string_start,
    ACTIONS(515), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      anon_sym_LPAREN,
    STATE(372), 1,
      sym_string,
    STATE(478), 1,
      sym_primary_expression,
    ACTIONS(449), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(477), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(453), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(476), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [35002] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(551), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [35061] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(864), 1,
      sym__string_start,
    STATE(524), 1,
      sym_string,
    STATE(553), 1,
      sym_primary_expression,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(856), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(860), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(627), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_list_comprehension,
      sym_dictionary,
      sym_dictionary_comprehension,
      sym_set,
      sym_set_comprehension,
      sym_parenthesized_expression,
      sym_tuple,
      sym_generator_expression,
      sym_concatenated_string,
  [35120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(563), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(539), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1171), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1191), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1247), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(555), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1243), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1127), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1159), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1183), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1179), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(543), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1155), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1135), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1199), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1151), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1163), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(674), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1356), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(240), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(242), 25,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1203), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1147), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1207), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1211), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1251), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36324] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_not,
    ACTIONS(1117), 1,
      anon_sym_is,
    ACTIONS(1361), 1,
      anon_sym_EQ,
    STATE(655), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1115), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1095), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1359), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [36364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1366), 1,
      anon_sym_not,
    ACTIONS(1372), 1,
      anon_sym_is,
    STATE(655), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1369), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1363), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1239), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [36404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_not,
    ACTIONS(1237), 1,
      anon_sym_is,
    STATE(657), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1235), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1219), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1359), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [36441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      anon_sym_is,
    STATE(657), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1381), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1375), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1239), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [36478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_COMMA,
    STATE(660), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(465), 18,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_COMMA,
    STATE(658), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(1389), 18,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_COMMA,
    STATE(660), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(1393), 18,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36568] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      anon_sym_not,
    ACTIONS(1287), 1,
      anon_sym_is,
    ACTIONS(1361), 1,
      anon_sym_EQ,
    STATE(666), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1285), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1267), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1359), 7,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym__semicolon,
  [36605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36705] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1405), 1,
      anon_sym_not,
    ACTIONS(1411), 1,
      anon_sym_is,
    STATE(666), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1408), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1402), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1239), 7,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
      sym__semicolon,
  [36742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1414), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(669), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [36771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(240), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1416), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(242), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [36800] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DOT,
    ACTIONS(1087), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1109), 1,
      anon_sym_PIPE,
    ACTIONS(1111), 1,
      anon_sym_AMP,
    ACTIONS(1113), 1,
      anon_sym_CARET,
    ACTIONS(1091), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1093), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1107), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(457), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1103), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [36846] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      anon_sym_not,
    ACTIONS(1427), 1,
      anon_sym_is,
    STATE(670), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1424), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1239), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(1418), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [36879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_not,
    ACTIONS(1333), 1,
      anon_sym_is,
    STATE(670), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1331), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1313), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1359), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [36912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1438), 1,
      anon_sym_COLON,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    STATE(949), 1,
      sym_parameter,
    STATE(1044), 1,
      sym__parameters,
    STATE(1091), 1,
      sym_lambda_parameters,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [36954] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1442), 1,
      anon_sym_COLON,
    STATE(949), 1,
      sym_parameter,
    STATE(1044), 1,
      sym__parameters,
    STATE(1079), 1,
      sym_lambda_parameters,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [36996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1444), 1,
      anon_sym_COLON,
    STATE(949), 1,
      sym_parameter,
    STATE(1044), 1,
      sym__parameters,
    STATE(1048), 1,
      sym_lambda_parameters,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37038] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1446), 1,
      anon_sym_COLON,
    STATE(949), 1,
      sym_parameter,
    STATE(1043), 1,
      sym_lambda_parameters,
    STATE(1044), 1,
      sym__parameters,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37102] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1450), 1,
      anon_sym_COLON,
    STATE(949), 1,
      sym_parameter,
    STATE(1020), 1,
      sym_lambda_parameters,
    STATE(1044), 1,
      sym__parameters,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      anon_sym_COLON,
    ACTIONS(1454), 1,
      anon_sym_EQ,
    ACTIONS(1456), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37169] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1458), 1,
      sym_identifier,
    ACTIONS(1460), 1,
      anon_sym_RPAREN,
    STATE(896), 1,
      sym_parameter,
    STATE(1037), 1,
      sym__parameters,
    ACTIONS(1462), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(944), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37208] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1458), 1,
      sym_identifier,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    STATE(892), 1,
      sym_parameter,
    ACTIONS(1462), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(944), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37244] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1458), 1,
      sym_identifier,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    STATE(892), 1,
      sym_parameter,
    ACTIONS(1462), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(944), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37280] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1464), 1,
      anon_sym_COLON,
    STATE(892), 1,
      sym_parameter,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37316] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1466), 1,
      anon_sym_COLON,
    STATE(892), 1,
      sym_parameter,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1458), 1,
      sym_identifier,
    STATE(892), 1,
      sym_parameter,
    ACTIONS(1462), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(944), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_LPAREN,
    ACTIONS(1434), 1,
      anon_sym_STAR,
    ACTIONS(1440), 1,
      anon_sym_STAR_STAR,
    STATE(892), 1,
      sym_parameter,
    ACTIONS(1436), 2,
      anon_sym_print,
      anon_sym_exec,
    STATE(985), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(947), 4,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
  [37456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1472), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1480), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1468), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37538] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_COMMA,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1486), 1,
      anon_sym_COLON,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1496), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(923), 1,
      aux_sym_set_repeat1,
    STATE(1056), 1,
      sym__comprehension_clauses,
  [37575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1486), 1,
      anon_sym_COLON,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1498), 1,
      anon_sym_COMMA,
    ACTIONS(1500), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(897), 1,
      aux_sym_set_repeat1,
    STATE(1021), 1,
      sym__comprehension_clauses,
  [37612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1502), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37633] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1486), 1,
      anon_sym_COLON,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1504), 1,
      anon_sym_COMMA,
    ACTIONS(1506), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(920), 1,
      aux_sym_set_repeat1,
    STATE(1060), 1,
      sym__comprehension_clauses,
  [37670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1508), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1510), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [37716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1472), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [37738] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1512), 1,
      anon_sym_RPAREN,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1075), 1,
      sym__comprehension_clauses,
  [37772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1508), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [37794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      anon_sym_RPAREN,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1030), 1,
      sym__comprehension_clauses,
  [37828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1468), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
      anon_sym_RBRACE,
  [37846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1502), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [37866] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1518), 1,
      anon_sym_RPAREN,
    ACTIONS(1520), 1,
      anon_sym_COMMA,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(956), 1,
      aux_sym_argument_list_repeat1,
    STATE(1030), 1,
      sym__comprehension_clauses,
  [37900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1510), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [37922] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(1522), 1,
      anon_sym_RBRACK,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1064), 1,
      sym__comprehension_clauses,
  [37956] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1524), 1,
      anon_sym_RPAREN,
    ACTIONS(1526), 1,
      anon_sym_COMMA,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(907), 1,
      aux_sym_argument_list_repeat1,
    STATE(1103), 1,
      sym__comprehension_clauses,
  [37990] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(1522), 1,
      anon_sym_RBRACK,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1069), 1,
      sym__comprehension_clauses,
  [38024] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      anon_sym_COMMA,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(950), 1,
      aux_sym_argument_list_repeat1,
    STATE(1075), 1,
      sym__comprehension_clauses,
  [38058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1480), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38078] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(1532), 1,
      anon_sym_RPAREN,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1103), 1,
      sym__comprehension_clauses,
  [38112] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(1522), 1,
      anon_sym_RBRACK,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1031), 1,
      sym__comprehension_clauses,
  [38146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1536), 1,
      anon_sym_if,
    ACTIONS(1534), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(717), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [38169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1538), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1538), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_if,
    ACTIONS(1545), 1,
      anon_sym_async,
    ACTIONS(1548), 1,
      anon_sym_for,
    ACTIONS(1540), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(716), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [38230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1536), 1,
      anon_sym_if,
    ACTIONS(1551), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(716), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [38253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1538), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1555), 1,
      anon_sym_COMMA,
    STATE(821), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1553), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 1,
      anon_sym_COMMA,
    STATE(734), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1557), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1468), 7,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
      sym__semicolon,
  [38330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 8,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      sym__semicolon,
  [38344] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(1563), 1,
      anon_sym_async,
    ACTIONS(1565), 1,
      anon_sym_def,
    ACTIONS(1567), 1,
      anon_sym_class,
    STATE(433), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(772), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [38368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1569), 1,
      anon_sym_COMMA,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    STATE(824), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1553), 3,
      sym__newline,
      anon_sym_from,
      sym__semicolon,
  [38392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 8,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      sym__semicolon,
  [38406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1472), 5,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
      sym__semicolon,
  [38426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 8,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      sym__semicolon,
  [38440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1510), 5,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
      sym__semicolon,
  [38460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1480), 6,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
      sym__semicolon,
  [38478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_COMMA,
    STATE(732), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1575), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(1579), 1,
      anon_sym_async,
    ACTIONS(1581), 1,
      anon_sym_def,
    ACTIONS(1583), 1,
      anon_sym_class,
    STATE(428), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(772), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [38520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_COMMA,
    STATE(734), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1585), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1508), 5,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
      sym__semicolon,
  [38558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_COMMA,
    STATE(734), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1589), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1502), 6,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
      sym__semicolon,
  [38594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_COMMA,
    STATE(720), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1594), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1598), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_DOT,
    STATE(763), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1602), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [38647] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1610), 1,
      sym__string_content,
    ACTIONS(1612), 1,
      sym__string_end,
    ACTIONS(1606), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(749), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [38668] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1614), 1,
      anon_sym_COMMA,
    ACTIONS(1616), 1,
      anon_sym_COLON,
    ACTIONS(1618), 1,
      anon_sym_RBRACK,
    STATE(954), 1,
      aux_sym_subscript_repeat1,
  [38693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38706] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1622), 1,
      sym__string_content,
    ACTIONS(1624), 1,
      sym__string_end,
    ACTIONS(1620), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(754), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [38727] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__string_content,
    ACTIONS(1630), 1,
      sym__string_end,
    ACTIONS(1626), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(756), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [38748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [38761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1634), 1,
      anon_sym_COMMA,
    STATE(878), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1636), 2,
      sym__newline,
      sym__semicolon,
  [38784] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1640), 1,
      sym__string_content,
    ACTIONS(1642), 1,
      sym__string_end,
    ACTIONS(1638), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(743), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [38805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_if,
    ACTIONS(1492), 1,
      anon_sym_and,
    ACTIONS(1494), 1,
      anon_sym_or,
    ACTIONS(1644), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [38824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1646), 1,
      anon_sym_COLON,
    ACTIONS(1648), 1,
      anon_sym_RBRACE,
    ACTIONS(1650), 1,
      sym_type_conversion,
    STATE(1042), 1,
      sym_format_specifier,
  [38849] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__string_content,
    ACTIONS(1652), 1,
      sym__string_end,
    ACTIONS(1626), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(756), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [38870] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
    ACTIONS(1656), 1,
      anon_sym_LPAREN,
    ACTIONS(1658), 1,
      anon_sym_STAR,
    STATE(816), 1,
      sym_dotted_name,
    STATE(835), 1,
      sym_aliased_import,
    STATE(1009), 2,
      sym__import_list,
      sym_wildcard_import,
  [38893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1660), 1,
      anon_sym_COMMA,
    ACTIONS(1662), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(927), 1,
      aux_sym_dictionary_repeat1,
    STATE(1055), 1,
      sym__comprehension_clauses,
  [38918] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1616), 1,
      anon_sym_COLON,
    ACTIONS(1664), 1,
      anon_sym_COMMA,
    ACTIONS(1666), 1,
      anon_sym_RBRACK,
    STATE(968), 1,
      aux_sym_subscript_repeat1,
  [38943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1616), 1,
      anon_sym_COLON,
    ACTIONS(1668), 1,
      anon_sym_COMMA,
    ACTIONS(1670), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      aux_sym_subscript_repeat1,
  [38968] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__string_content,
    ACTIONS(1672), 1,
      sym__string_end,
    ACTIONS(1626), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(756), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [38989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1674), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [39008] = 6,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_LBRACE,
    ACTIONS(1682), 1,
      sym__string_content,
    ACTIONS(1685), 1,
      sym__string_end,
    ACTIONS(1679), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(756), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [39029] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1687), 1,
      anon_sym_COMMA,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(922), 1,
      aux_sym_dictionary_repeat1,
    STATE(1058), 1,
      sym__comprehension_clauses,
  [39054] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_async,
    ACTIONS(1490), 1,
      anon_sym_for,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1693), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      sym_for_in_clause,
    STATE(893), 1,
      aux_sym_dictionary_repeat1,
    STATE(1022), 1,
      sym__comprehension_clauses,
  [39079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    STATE(852), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1697), 2,
      sym__newline,
      sym__semicolon,
  [39102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [39115] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1628), 1,
      sym__string_content,
    ACTIONS(1701), 1,
      sym__string_end,
    ACTIONS(1626), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(756), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [39136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1703), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [39155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_DOT,
    STATE(764), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1705), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [39172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      anon_sym_DOT,
    STATE(764), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1710), 5,
      sym__newline,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [39189] = 6,
    ACTIONS(1604), 1,
      anon_sym_LBRACE,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1714), 1,
      sym__string_content,
    ACTIONS(1716), 1,
      sym__string_end,
    ACTIONS(1712), 2,
      sym_escape_sequence,
      sym__not_escape_sequence,
    STATE(761), 2,
      sym_interpolation,
      aux_sym_string_repeat1,
  [39210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      sym_identifier,
    ACTIONS(1720), 1,
      anon_sym_DOT,
    ACTIONS(1722), 1,
      anon_sym___future__,
    STATE(839), 1,
      aux_sym_import_prefix_repeat1,
    STATE(895), 1,
      sym_import_prefix,
    STATE(1017), 2,
      sym_relative_import,
      sym_dotted_name,
  [39233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1724), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [39252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1726), 1,
      anon_sym_COMMA,
    STATE(867), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1728), 2,
      sym__newline,
      sym__semicolon,
  [39275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    STATE(869), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1730), 2,
      sym__newline,
      sym__semicolon,
  [39298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1703), 4,
      sym__newline,
      anon_sym_from,
      anon_sym_COMMA,
      sym__semicolon,
  [39317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 6,
      sym__newline,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      sym__semicolon,
  [39329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_AT,
    STATE(772), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(1732), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [39345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1737), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [39363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1739), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1502), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [39397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1745), 1,
      anon_sym_COLON,
    ACTIONS(832), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [39417] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1749), 1,
      anon_sym_as,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1747), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [39437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1755), 1,
      anon_sym_COLON,
    ACTIONS(1753), 2,
      anon_sym_COMMA,
      anon_sym_as,
  [39457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [39469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1757), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [39487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1616), 1,
      anon_sym_COLON,
    ACTIONS(1759), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [39507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1468), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_or,
  [39521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1480), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [39537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1761), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [39555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1508), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [39573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [39585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1765), 1,
      anon_sym_COLON,
    ACTIONS(1763), 2,
      anon_sym_COMMA,
      anon_sym_as,
  [39605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1510), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [39623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_DOT,
    STATE(789), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1710), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [39639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_COLON,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(743), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [39659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1770), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [39677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_DOT,
    STATE(798), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1602), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [39693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_and,
    ACTIONS(1743), 1,
      anon_sym_or,
    ACTIONS(1751), 1,
      anon_sym_if,
    ACTIONS(1472), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
  [39711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1724), 3,
      sym__newline,
      anon_sym_EQ,
      sym__semicolon,
  [39729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1774), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [39747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1524), 1,
      anon_sym_RPAREN,
    ACTIONS(1526), 1,
      anon_sym_COMMA,
    STATE(907), 1,
      aux_sym_argument_list_repeat1,
  [39769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1776), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [39787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_DOT,
    STATE(789), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(1705), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [39803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [39815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1778), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [39833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      aux_sym_argument_list_repeat1,
  [39855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1780), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [39873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1782), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [39890] = 3,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1786), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1784), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [39903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1788), 2,
      sym__newline,
      sym__semicolon,
  [39920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [39937] = 5,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1790), 1,
      anon_sym_LBRACE,
    ACTIONS(1792), 1,
      anon_sym_RBRACE,
    ACTIONS(1794), 1,
      aux_sym_format_specifier_token1,
    STATE(827), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [39954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1644), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1796), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [39988] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_except,
    ACTIONS(1800), 1,
      anon_sym_finally,
    STATE(393), 1,
      sym_finally_clause,
    STATE(155), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [40005] = 3,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1804), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1802), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [40018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_COMMA,
    STATE(812), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1703), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_except,
    ACTIONS(1800), 1,
      anon_sym_finally,
    STATE(434), 1,
      sym_finally_clause,
    STATE(153), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [40050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
    STATE(872), 1,
      sym_dotted_name,
    STATE(965), 1,
      sym_aliased_import,
    ACTIONS(1809), 2,
      sym__newline,
      sym__semicolon,
  [40067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_except,
    ACTIONS(1813), 1,
      anon_sym_finally,
    STATE(395), 1,
      sym_finally_clause,
    STATE(149), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [40084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_COMMA,
    ACTIONS(1817), 1,
      anon_sym_as,
    STATE(834), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1819), 2,
      sym__newline,
      sym__semicolon,
  [40101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_COMMA,
    STATE(817), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1703), 3,
      sym__newline,
      anon_sym_from,
      sym__semicolon,
  [40116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1824), 2,
      sym__newline,
      sym__semicolon,
  [40133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
    ACTIONS(1826), 1,
      anon_sym_LPAREN,
    STATE(816), 1,
      sym_dotted_name,
    STATE(835), 1,
      sym_aliased_import,
    STATE(976), 1,
      sym__import_list,
  [40152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1828), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [40169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1830), 1,
      anon_sym_COMMA,
    STATE(812), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(688), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1832), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [40201] = 5,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_LBRACE,
    ACTIONS(1837), 1,
      anon_sym_RBRACE,
    ACTIONS(1839), 1,
      aux_sym_format_specifier_token1,
    STATE(823), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [40218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_COMMA,
    STATE(817), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(688), 3,
      sym__newline,
      anon_sym_from,
      sym__semicolon,
  [40233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_except,
    ACTIONS(1813), 1,
      anon_sym_finally,
    STATE(435), 1,
      sym_finally_clause,
    STATE(152), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [40250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 5,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [40261] = 5,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1790), 1,
      anon_sym_LBRACE,
    ACTIONS(1844), 1,
      anon_sym_RBRACE,
    ACTIONS(1846), 1,
      aux_sym_format_specifier_token1,
    STATE(823), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [40278] = 3,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(1850), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(1848), 3,
      anon_sym_LBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [40291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_and,
    ACTIONS(1571), 1,
      anon_sym_if,
    ACTIONS(1573), 1,
      anon_sym_or,
    ACTIONS(1778), 2,
      sym__newline,
      sym__semicolon,
  [40308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1852), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [40325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(832), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [40342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
    STATE(872), 1,
      sym_dotted_name,
    STATE(965), 1,
      sym_aliased_import,
    ACTIONS(1854), 2,
      sym__newline,
      sym__semicolon,
  [40359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      sym_identifier,
    STATE(840), 1,
      sym_dotted_name,
    STATE(966), 1,
      sym_aliased_import,
    STATE(1050), 1,
      sym__import_list,
  [40375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(870), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1860), 2,
      sym__newline,
      sym__semicolon,
  [40389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_COMMA,
    STATE(834), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1819), 2,
      sym__newline,
      sym__semicolon,
  [40403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1864), 1,
      anon_sym_COLON,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1862), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [40417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_COLON,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    ACTIONS(1868), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [40431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1876), 1,
      anon_sym_DOT,
    STATE(838), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(1874), 2,
      anon_sym_import,
      sym_identifier,
  [40445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_DOT,
    STATE(838), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(1879), 2,
      anon_sym_import,
      sym_identifier,
  [40459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
    ACTIONS(1883), 1,
      anon_sym_COMMA,
    ACTIONS(1885), 1,
      anon_sym_as,
    STATE(902), 1,
      aux_sym__import_list_repeat1,
  [40475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1887), 1,
      anon_sym_else,
  [40491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1889), 1,
      anon_sym_else,
  [40507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1891), 1,
      anon_sym_COLON,
  [40523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_EQ,
    ACTIONS(1893), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [40535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1897), 1,
      anon_sym_COLON,
  [40551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_COMMA,
    STATE(861), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(607), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [40575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1903), 1,
      anon_sym_else,
  [40591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1905), 1,
      anon_sym_COLON,
  [40607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_RPAREN,
    ACTIONS(1856), 1,
      sym_identifier,
    STATE(946), 1,
      sym_dotted_name,
    STATE(995), 1,
      sym_aliased_import,
  [40623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_COMMA,
    STATE(851), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1910), 2,
      sym__newline,
      sym__semicolon,
  [40637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    STATE(817), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1912), 2,
      sym__newline,
      sym__semicolon,
  [40651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1914), 1,
      anon_sym_COLON,
  [40667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1916), 1,
      anon_sym_RBRACE,
  [40683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(1522), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1921), 2,
      sym__newline,
      sym__semicolon,
  [40711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    ACTIONS(1856), 1,
      sym_identifier,
    STATE(946), 1,
      sym_dotted_name,
    STATE(995), 1,
      sym_aliased_import,
  [40727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1923), 1,
      anon_sym_COLON,
  [40743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_COMMA,
    STATE(865), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1927), 2,
      sym__newline,
      sym__semicolon,
  [40757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1929), 1,
      anon_sym_COLON,
  [40773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    STATE(861), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(1761), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1934), 1,
      anon_sym_COLON,
  [40803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1936), 1,
      anon_sym_COLON,
  [40819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      sym_identifier,
    STATE(840), 1,
      sym_dotted_name,
    STATE(966), 1,
      sym_aliased_import,
    STATE(1051), 1,
      sym__import_list,
  [40835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1940), 2,
      sym__newline,
      sym__semicolon,
  [40849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1942), 1,
      anon_sym_COLON,
  [40865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_COMMA,
    STATE(856), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1946), 2,
      sym__newline,
      sym__semicolon,
  [40879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_COMMA,
    STATE(875), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1950), 2,
      sym__newline,
      sym__semicolon,
  [40893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_COMMA,
    STATE(817), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1952), 2,
      sym__newline,
      sym__semicolon,
  [40907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_COMMA,
    STATE(870), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(1957), 2,
      sym__newline,
      sym__semicolon,
  [40921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
    STATE(816), 1,
      sym_dotted_name,
    STATE(835), 1,
      sym_aliased_import,
    STATE(990), 1,
      sym__import_list,
  [40937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_as,
    ACTIONS(1959), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [40949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_COMMA,
    STATE(876), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1961), 2,
      sym__newline,
      sym__semicolon,
  [40963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_if,
    ACTIONS(1476), 1,
      anon_sym_and,
    ACTIONS(1478), 1,
      anon_sym_or,
    ACTIONS(1963), 1,
      anon_sym_else,
  [40979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_COMMA,
    STATE(851), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1965), 2,
      sym__newline,
      sym__semicolon,
  [40993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_COMMA,
    STATE(851), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(1967), 2,
      sym__newline,
      sym__semicolon,
  [41007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [41017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_COMMA,
    STATE(817), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(826), 2,
      sym__newline,
      sym__semicolon,
  [41031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(1975), 1,
      anon_sym_COLON,
    STATE(925), 1,
      aux_sym_with_statement_repeat1,
  [41044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_EQ,
    ACTIONS(1979), 2,
      sym__newline,
      sym__semicolon,
  [41055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 1,
      anon_sym_COMMA,
    ACTIONS(1666), 1,
      anon_sym_RBRACK,
    STATE(968), 1,
      aux_sym_subscript_repeat1,
  [41068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      sym__newline,
    ACTIONS(1981), 1,
      sym__semicolon,
    STATE(935), 1,
      aux_sym__simple_statements_repeat1,
  [41081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    ACTIONS(1986), 1,
      anon_sym_COLON,
    STATE(883), 1,
      aux_sym__parameters_repeat1,
  [41094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 3,
      sym__newline,
      anon_sym_in,
      sym__semicolon,
  [41103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_for,
    ACTIONS(1990), 1,
      anon_sym_with,
    ACTIONS(1992), 1,
      anon_sym_def,
  [41116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 1,
      sym__semicolon,
    ACTIONS(1996), 1,
      sym__newline,
    STATE(903), 1,
      aux_sym__simple_statements_repeat1,
  [41129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1998), 1,
      anon_sym_RPAREN,
    ACTIONS(2000), 1,
      anon_sym_COMMA,
    STATE(969), 1,
      aux_sym_argument_list_repeat1,
  [41142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(2002), 1,
      anon_sym_RPAREN,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
  [41155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(2004), 1,
      anon_sym_RPAREN,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
  [41168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_RPAREN,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
  [41181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_RPAREN,
    ACTIONS(1520), 1,
      anon_sym_COMMA,
    STATE(956), 1,
      aux_sym_argument_list_repeat1,
  [41194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [41203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    ACTIONS(2006), 1,
      anon_sym_COMMA,
    STATE(951), 1,
      aux_sym_dictionary_repeat1,
  [41216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 1,
      anon_sym_for,
    ACTIONS(2010), 1,
      anon_sym_with,
    ACTIONS(2012), 1,
      anon_sym_def,
  [41229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      sym_identifier,
    ACTIONS(2014), 1,
      anon_sym_import,
    STATE(1096), 1,
      sym_dotted_name,
  [41242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_RPAREN,
    ACTIONS(2018), 1,
      anon_sym_COMMA,
    STATE(918), 1,
      aux_sym__parameters_repeat1,
  [41255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_RBRACE,
    ACTIONS(2020), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      aux_sym_set_repeat1,
  [41268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_COMMA,
    ACTIONS(1506), 1,
      anon_sym_RBRACE,
    STATE(920), 1,
      aux_sym_set_repeat1,
  [41281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_COMMA,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    STATE(922), 1,
      aux_sym_dictionary_repeat1,
  [41294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 1,
      sym__newline,
    ACTIONS(2022), 1,
      sym__semicolon,
    STATE(935), 1,
      aux_sym__simple_statements_repeat1,
  [41307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(2024), 1,
      anon_sym_COLON,
    STATE(879), 1,
      aux_sym_with_statement_repeat1,
  [41320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_RPAREN,
    ACTIONS(2026), 1,
      anon_sym_COMMA,
    STATE(953), 1,
      aux_sym__import_list_repeat1,
  [41333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      sym__newline,
    ACTIONS(2028), 1,
      sym__semicolon,
    STATE(935), 1,
      aux_sym__simple_statements_repeat1,
  [41346] = 2,
    ACTIONS(1608), 1,
      sym_comment,
    ACTIONS(2030), 3,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_format_specifier_token1,
  [41355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(2024), 1,
      anon_sym_COLON,
    STATE(925), 1,
      aux_sym_with_statement_repeat1,
  [41368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_RBRACK,
    ACTIONS(2032), 1,
      anon_sym_COMMA,
    STATE(906), 1,
      aux_sym_subscript_repeat1,
  [41381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_RPAREN,
    ACTIONS(2035), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_argument_list_repeat1,
  [41394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_RPAREN,
    ACTIONS(2037), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_argument_list_repeat1,
  [41407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [41416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1693), 1,
      anon_sym_RBRACE,
    STATE(893), 1,
      aux_sym_dictionary_repeat1,
  [41429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_COMMA,
    ACTIONS(1500), 1,
      anon_sym_RBRACE,
    STATE(897), 1,
      aux_sym_set_repeat1,
  [41442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      anon_sym_RPAREN,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
  [41455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(2040), 1,
      anon_sym_COLON,
    STATE(925), 1,
      aux_sym_with_statement_repeat1,
  [41468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 1,
      sym__semicolon,
    ACTIONS(2044), 1,
      sym__newline,
    STATE(900), 1,
      aux_sym__simple_statements_repeat1,
  [41481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(2046), 1,
      anon_sym_COLON,
    STATE(925), 1,
      aux_sym_with_statement_repeat1,
  [41494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(2046), 1,
      anon_sym_COLON,
    STATE(913), 1,
      aux_sym_with_statement_repeat1,
  [41507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [41516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    ACTIONS(2048), 1,
      anon_sym_COMMA,
    STATE(945), 1,
      aux_sym__parameters_repeat1,
  [41529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2050), 1,
      sym__semicolon,
    ACTIONS(2052), 1,
      sym__newline,
    STATE(882), 1,
      aux_sym__simple_statements_repeat1,
  [41542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_RBRACE,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      aux_sym_set_repeat1,
  [41555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_COLON,
    ACTIONS(2056), 1,
      anon_sym_COMMA,
    STATE(883), 1,
      aux_sym__parameters_repeat1,
  [41568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(694), 1,
      anon_sym_RBRACE,
    ACTIONS(2058), 1,
      anon_sym_COMMA,
    STATE(951), 1,
      aux_sym_dictionary_repeat1,
  [41581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(718), 1,
      anon_sym_RBRACE,
    ACTIONS(2060), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      aux_sym_set_repeat1,
  [41594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_LPAREN,
    ACTIONS(2064), 1,
      anon_sym_COLON,
    STATE(1065), 1,
      sym_argument_list,
  [41607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2066), 1,
      anon_sym_COMMA,
    ACTIONS(2069), 1,
      anon_sym_COLON,
    STATE(925), 1,
      aux_sym_with_statement_repeat1,
  [41620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 1,
      anon_sym_from,
    ACTIONS(2073), 2,
      sym__newline,
      sym__semicolon,
  [41631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_RBRACE,
    ACTIONS(2075), 1,
      anon_sym_COMMA,
    STATE(951), 1,
      aux_sym_dictionary_repeat1,
  [41644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(2077), 1,
      anon_sym_COLON,
    STATE(915), 1,
      aux_sym_with_statement_repeat1,
  [41657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_COMMA,
    ACTIONS(1532), 1,
      anon_sym_RPAREN,
    STATE(846), 1,
      aux_sym__collection_elements_repeat1,
  [41670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
    ACTIONS(1530), 1,
      anon_sym_COMMA,
    STATE(950), 1,
      aux_sym_argument_list_repeat1,
  [41683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 1,
      anon_sym_RPAREN,
    ACTIONS(2081), 1,
      anon_sym_COMMA,
    STATE(952), 1,
      aux_sym_argument_list_repeat1,
  [41696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
    STATE(872), 1,
      sym_dotted_name,
    STATE(965), 1,
      sym_aliased_import,
  [41709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [41718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_COMMA,
    ACTIONS(1618), 1,
      anon_sym_RBRACK,
    STATE(954), 1,
      aux_sym_subscript_repeat1,
  [41731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      sym__semicolon,
    ACTIONS(2086), 1,
      sym__newline,
    STATE(935), 1,
      aux_sym__simple_statements_repeat1,
  [41744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym__newline,
      anon_sym_in,
      sym__semicolon,
  [41753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_COMMA,
    ACTIONS(2090), 1,
      anon_sym_RBRACK,
    STATE(906), 1,
      aux_sym_subscript_repeat1,
  [41766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_RPAREN,
    ACTIONS(1526), 1,
      anon_sym_COMMA,
    STATE(907), 1,
      aux_sym_argument_list_repeat1,
  [41779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_COMMA,
    ACTIONS(1662), 1,
      anon_sym_RBRACE,
    STATE(927), 1,
      aux_sym_dictionary_repeat1,
  [41792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_COMMA,
    ACTIONS(1496), 1,
      anon_sym_RBRACE,
    STATE(923), 1,
      aux_sym_set_repeat1,
  [41805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_RPAREN,
    ACTIONS(2094), 1,
      anon_sym_COMMA,
    STATE(943), 1,
      aux_sym_argument_list_repeat1,
  [41818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_COMMA,
    ACTIONS(1670), 1,
      anon_sym_RBRACK,
    STATE(937), 1,
      aux_sym_subscript_repeat1,
  [41831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_RPAREN,
    ACTIONS(2096), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_argument_list_repeat1,
  [41844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_COLON,
    ACTIONS(1862), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [41855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_RPAREN,
    ACTIONS(2100), 1,
      anon_sym_COMMA,
    STATE(945), 1,
      aux_sym__parameters_repeat1,
  [41868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_as,
    ACTIONS(1959), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [41879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [41888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [41897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_COLON,
    ACTIONS(2105), 1,
      anon_sym_COMMA,
    STATE(921), 1,
      aux_sym__parameters_repeat1,
  [41910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_RPAREN,
    ACTIONS(2107), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_argument_list_repeat1,
  [41923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_COMMA,
    ACTIONS(2112), 1,
      anon_sym_RBRACE,
    STATE(951), 1,
      aux_sym_dictionary_repeat1,
  [41936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(585), 1,
      anon_sym_RPAREN,
    ACTIONS(2114), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_argument_list_repeat1,
  [41949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RPAREN,
    ACTIONS(2116), 1,
      anon_sym_COMMA,
    STATE(953), 1,
      aux_sym__import_list_repeat1,
  [41962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 1,
      anon_sym_COMMA,
    ACTIONS(2121), 1,
      anon_sym_RBRACK,
    STATE(906), 1,
      aux_sym_subscript_repeat1,
  [41975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1866), 1,
      anon_sym_EQ,
    ACTIONS(1862), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [41986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_RPAREN,
    ACTIONS(2123), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_argument_list_repeat1,
  [41999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    ACTIONS(1868), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [42010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [42019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_COLON,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
    STATE(1046), 1,
      sym_format_specifier,
  [42032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [42041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    ACTIONS(2131), 1,
      sym__newline,
    STATE(1063), 1,
      sym_argument_list,
  [42054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_LPAREN,
    ACTIONS(2133), 1,
      anon_sym_COLON,
    STATE(1066), 1,
      sym_argument_list,
  [42067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_in,
    ACTIONS(2137), 2,
      sym__newline,
      sym__semicolon,
  [42078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      sym_identifier,
    STATE(946), 1,
      sym_dotted_name,
    STATE(995), 1,
      sym_aliased_import,
  [42091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [42100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_RPAREN,
    ACTIONS(1883), 1,
      anon_sym_COMMA,
    STATE(902), 1,
      aux_sym__import_list_repeat1,
  [42113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [42122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_COMMA,
    ACTIONS(2143), 1,
      anon_sym_RBRACK,
    STATE(906), 1,
      aux_sym_subscript_repeat1,
  [42135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_RPAREN,
    ACTIONS(2145), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_argument_list_repeat1,
  [42148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 3,
      sym__newline,
      anon_sym_COMMA,
      sym__semicolon,
  [42157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_COMMA,
    ACTIONS(2149), 1,
      anon_sym_COLON,
    STATE(905), 1,
      aux_sym_with_statement_repeat1,
  [42170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_RBRACE,
    ACTIONS(2151), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      aux_sym_set_repeat1,
  [42183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 2,
      anon_sym_except,
      anon_sym_finally,
  [42191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_LPAREN,
    STATE(1002), 1,
      sym_parameters,
  [42201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2156), 2,
      sym__newline,
      sym__semicolon,
  [42209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2158), 2,
      sym__newline,
      sym__semicolon,
  [42217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 2,
      sym__newline,
      sym__semicolon,
  [42225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 2,
      anon_sym_except,
      anon_sym_finally,
  [42233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 2,
      sym__newline,
      sym__semicolon,
  [42241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [42249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2164), 2,
      sym__newline,
      sym__semicolon,
  [42257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 2,
      sym__newline,
      sym__semicolon,
  [42265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [42273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 2,
      sym__newline,
      sym__semicolon,
  [42281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [42289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [42297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 2,
      sym__newline,
      sym__semicolon,
  [42305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_COLON,
    ACTIONS(2174), 1,
      anon_sym_DASH_GT,
  [42315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 2,
      sym__newline,
      sym__semicolon,
  [42323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2176), 2,
      sym__newline,
      sym__semicolon,
  [42331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2086), 2,
      sym__newline,
      sym__semicolon,
  [42339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 2,
      anon_sym_except,
      anon_sym_finally,
  [42347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [42355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [42363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [42371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_COLON,
    ACTIONS(2180), 1,
      anon_sym_DASH_GT,
  [42381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 2,
      anon_sym_except,
      anon_sym_finally,
  [42389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [42397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_COLON,
    ACTIONS(2186), 1,
      anon_sym_DASH_GT,
  [42407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2188), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [42415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [42423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_COLON,
    ACTIONS(2192), 1,
      anon_sym_DASH_GT,
  [42433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2194), 2,
      sym__newline,
      sym__semicolon,
  [42441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2196), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [42449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_LPAREN,
    STATE(988), 1,
      sym_parameters,
  [42459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      sym_identifier,
    STATE(961), 1,
      sym_dotted_name,
  [42469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_LPAREN,
    STATE(996), 1,
      sym_parameters,
  [42479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_LPAREN,
    STATE(999), 1,
      sym_parameters,
  [42489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2198), 2,
      sym__newline,
      sym__semicolon,
  [42497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2200), 2,
      sym__newline,
      sym__semicolon,
  [42505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2202), 2,
      sym__newline,
      sym__semicolon,
  [42513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 2,
      sym__newline,
      sym__semicolon,
  [42521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 2,
      anon_sym_except,
      anon_sym_finally,
  [42529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [42537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 2,
      sym__newline,
      sym__semicolon,
  [42545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      sym_identifier,
  [42552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_import,
  [42559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 1,
      anon_sym_RPAREN,
  [42566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2214), 1,
      anon_sym_RBRACK,
  [42573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_COLON,
  [42580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_RBRACE,
  [42587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_RBRACE,
  [42594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_import,
  [42601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_RBRACE,
  [42608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_RPAREN,
  [42615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_RPAREN,
  [42622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      sym_identifier,
  [42629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_EQ,
  [42636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_in,
  [42643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_RPAREN,
  [42650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_RBRACK,
  [42657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_def,
  [42664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_RPAREN,
  [42671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_COLON,
  [42678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COLON,
  [42685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_in,
  [42692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_RPAREN,
  [42699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 1,
      sym_identifier,
  [42706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_in,
  [42713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_RBRACK,
  [42720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_RBRACK,
  [42727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
  [42734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_COLON,
  [42741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_COLON,
  [42748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_RBRACE,
  [42755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2258), 1,
      anon_sym_RBRACE,
  [42762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_RPAREN,
  [42769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_COLON,
  [42776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_in,
  [42783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 1,
      anon_sym_RPAREN,
  [42790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 1,
      anon_sym_RPAREN,
  [42797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_in,
  [42804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_COLON,
  [42811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_COLON,
  [42818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_RBRACE,
  [42825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_RBRACE,
  [42832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
  [42839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_RBRACE,
  [42846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_COLON,
  [42853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_RBRACE,
  [42860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 1,
      sym_identifier,
  [42867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2286), 1,
      ts_builtin_sym_end,
  [42874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 1,
      sym__newline,
  [42881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2290), 1,
      anon_sym_RBRACK,
  [42888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_COLON,
  [42895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_COLON,
  [42902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      sym_identifier,
  [42909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_COLON,
  [42916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_RBRACK,
  [42923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_COLON,
  [42930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_COLON,
  [42937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COLON,
  [42944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_in,
  [42951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_COLON,
  [42958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_RPAREN,
  [42965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_COLON,
  [42972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      sym_identifier,
  [42979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      sym_identifier,
  [42986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_COLON,
  [42993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_in,
  [43000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 1,
      sym_identifier,
  [43007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      sym_identifier,
  [43014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      sym_identifier,
  [43021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_COLON,
  [43028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      sym_identifier,
  [43035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      sym_identifier,
  [43042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      sym_identifier,
  [43049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_in,
  [43056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
  [43063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_COLON,
  [43070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_COLON,
  [43077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_RBRACK,
  [43084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_for,
  [43091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_RPAREN,
  [43098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym_COLON,
  [43105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_import,
  [43112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      sym_identifier,
  [43119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 1,
      sym_identifier,
  [43126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2358), 1,
      anon_sym_in,
  [43133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_def,
  [43140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_in,
  [43147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      sym_identifier,
  [43154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 1,
      anon_sym_RPAREN,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(96)] = 0,
  [SMALL_STATE(97)] = 111,
  [SMALL_STATE(98)] = 222,
  [SMALL_STATE(99)] = 333,
  [SMALL_STATE(100)] = 445,
  [SMALL_STATE(101)] = 557,
  [SMALL_STATE(102)] = 655,
  [SMALL_STATE(103)] = 769,
  [SMALL_STATE(104)] = 867,
  [SMALL_STATE(105)] = 983,
  [SMALL_STATE(106)] = 1095,
  [SMALL_STATE(107)] = 1209,
  [SMALL_STATE(108)] = 1311,
  [SMALL_STATE(109)] = 1413,
  [SMALL_STATE(110)] = 1509,
  [SMALL_STATE(111)] = 1605,
  [SMALL_STATE(112)] = 1665,
  [SMALL_STATE(113)] = 1725,
  [SMALL_STATE(114)] = 1827,
  [SMALL_STATE(115)] = 1887,
  [SMALL_STATE(116)] = 1983,
  [SMALL_STATE(117)] = 2043,
  [SMALL_STATE(118)] = 2145,
  [SMALL_STATE(119)] = 2205,
  [SMALL_STATE(120)] = 2307,
  [SMALL_STATE(121)] = 2403,
  [SMALL_STATE(122)] = 2506,
  [SMALL_STATE(123)] = 2605,
  [SMALL_STATE(124)] = 2702,
  [SMALL_STATE(125)] = 2801,
  [SMALL_STATE(126)] = 2900,
  [SMALL_STATE(127)] = 3003,
  [SMALL_STATE(128)] = 3102,
  [SMALL_STATE(129)] = 3203,
  [SMALL_STATE(130)] = 3302,
  [SMALL_STATE(131)] = 3405,
  [SMALL_STATE(132)] = 3504,
  [SMALL_STATE(133)] = 3603,
  [SMALL_STATE(134)] = 3702,
  [SMALL_STATE(135)] = 3799,
  [SMALL_STATE(136)] = 3898,
  [SMALL_STATE(137)] = 3997,
  [SMALL_STATE(138)] = 4096,
  [SMALL_STATE(139)] = 4195,
  [SMALL_STATE(140)] = 4296,
  [SMALL_STATE(141)] = 4399,
  [SMALL_STATE(142)] = 4498,
  [SMALL_STATE(143)] = 4597,
  [SMALL_STATE(144)] = 4698,
  [SMALL_STATE(145)] = 4797,
  [SMALL_STATE(146)] = 4896,
  [SMALL_STATE(147)] = 4997,
  [SMALL_STATE(148)] = 5100,
  [SMALL_STATE(149)] = 5196,
  [SMALL_STATE(150)] = 5265,
  [SMALL_STATE(151)] = 5358,
  [SMALL_STATE(152)] = 5425,
  [SMALL_STATE(153)] = 5494,
  [SMALL_STATE(154)] = 5563,
  [SMALL_STATE(155)] = 5656,
  [SMALL_STATE(156)] = 5725,
  [SMALL_STATE(157)] = 5817,
  [SMALL_STATE(158)] = 5909,
  [SMALL_STATE(159)] = 6001,
  [SMALL_STATE(160)] = 6057,
  [SMALL_STATE(161)] = 6113,
  [SMALL_STATE(162)] = 6177,
  [SMALL_STATE(163)] = 6269,
  [SMALL_STATE(164)] = 6361,
  [SMALL_STATE(165)] = 6453,
  [SMALL_STATE(166)] = 6509,
  [SMALL_STATE(167)] = 6597,
  [SMALL_STATE(168)] = 6689,
  [SMALL_STATE(169)] = 6777,
  [SMALL_STATE(170)] = 6833,
  [SMALL_STATE(171)] = 6925,
  [SMALL_STATE(172)] = 6981,
  [SMALL_STATE(173)] = 7072,
  [SMALL_STATE(174)] = 7161,
  [SMALL_STATE(175)] = 7226,
  [SMALL_STATE(176)] = 7317,
  [SMALL_STATE(177)] = 7408,
  [SMALL_STATE(178)] = 7497,
  [SMALL_STATE(179)] = 7588,
  [SMALL_STATE(180)] = 7649,
  [SMALL_STATE(181)] = 7740,
  [SMALL_STATE(182)] = 7829,
  [SMALL_STATE(183)] = 7894,
  [SMALL_STATE(184)] = 7985,
  [SMALL_STATE(185)] = 8076,
  [SMALL_STATE(186)] = 8141,
  [SMALL_STATE(187)] = 8200,
  [SMALL_STATE(188)] = 8265,
  [SMALL_STATE(189)] = 8354,
  [SMALL_STATE(190)] = 8445,
  [SMALL_STATE(191)] = 8536,
  [SMALL_STATE(192)] = 8597,
  [SMALL_STATE(193)] = 8688,
  [SMALL_STATE(194)] = 8753,
  [SMALL_STATE(195)] = 8814,
  [SMALL_STATE(196)] = 8903,
  [SMALL_STATE(197)] = 8968,
  [SMALL_STATE(198)] = 9059,
  [SMALL_STATE(199)] = 9118,
  [SMALL_STATE(200)] = 9207,
  [SMALL_STATE(201)] = 9268,
  [SMALL_STATE(202)] = 9333,
  [SMALL_STATE(203)] = 9424,
  [SMALL_STATE(204)] = 9489,
  [SMALL_STATE(205)] = 9575,
  [SMALL_STATE(206)] = 9661,
  [SMALL_STATE(207)] = 9715,
  [SMALL_STATE(208)] = 9801,
  [SMALL_STATE(209)] = 9887,
  [SMALL_STATE(210)] = 9975,
  [SMALL_STATE(211)] = 10035,
  [SMALL_STATE(212)] = 10123,
  [SMALL_STATE(213)] = 10209,
  [SMALL_STATE(214)] = 10295,
  [SMALL_STATE(215)] = 10383,
  [SMALL_STATE(216)] = 10437,
  [SMALL_STATE(217)] = 10525,
  [SMALL_STATE(218)] = 10579,
  [SMALL_STATE(219)] = 10633,
  [SMALL_STATE(220)] = 10693,
  [SMALL_STATE(221)] = 10779,
  [SMALL_STATE(222)] = 10865,
  [SMALL_STATE(223)] = 10919,
  [SMALL_STATE(224)] = 11005,
  [SMALL_STATE(225)] = 11091,
  [SMALL_STATE(226)] = 11145,
  [SMALL_STATE(227)] = 11231,
  [SMALL_STATE(228)] = 11285,
  [SMALL_STATE(229)] = 11373,
  [SMALL_STATE(230)] = 11459,
  [SMALL_STATE(231)] = 11545,
  [SMALL_STATE(232)] = 11599,
  [SMALL_STATE(233)] = 11653,
  [SMALL_STATE(234)] = 11739,
  [SMALL_STATE(235)] = 11793,
  [SMALL_STATE(236)] = 11846,
  [SMALL_STATE(237)] = 11931,
  [SMALL_STATE(238)] = 11984,
  [SMALL_STATE(239)] = 12069,
  [SMALL_STATE(240)] = 12154,
  [SMALL_STATE(241)] = 12239,
  [SMALL_STATE(242)] = 12324,
  [SMALL_STATE(243)] = 12409,
  [SMALL_STATE(244)] = 12494,
  [SMALL_STATE(245)] = 12547,
  [SMALL_STATE(246)] = 12600,
  [SMALL_STATE(247)] = 12653,
  [SMALL_STATE(248)] = 12738,
  [SMALL_STATE(249)] = 12823,
  [SMALL_STATE(250)] = 12908,
  [SMALL_STATE(251)] = 12993,
  [SMALL_STATE(252)] = 13078,
  [SMALL_STATE(253)] = 13163,
  [SMALL_STATE(254)] = 13248,
  [SMALL_STATE(255)] = 13333,
  [SMALL_STATE(256)] = 13418,
  [SMALL_STATE(257)] = 13471,
  [SMALL_STATE(258)] = 13556,
  [SMALL_STATE(259)] = 13609,
  [SMALL_STATE(260)] = 13662,
  [SMALL_STATE(261)] = 13715,
  [SMALL_STATE(262)] = 13768,
  [SMALL_STATE(263)] = 13821,
  [SMALL_STATE(264)] = 13874,
  [SMALL_STATE(265)] = 13959,
  [SMALL_STATE(266)] = 14044,
  [SMALL_STATE(267)] = 14129,
  [SMALL_STATE(268)] = 14211,
  [SMALL_STATE(269)] = 14293,
  [SMALL_STATE(270)] = 14375,
  [SMALL_STATE(271)] = 14457,
  [SMALL_STATE(272)] = 14539,
  [SMALL_STATE(273)] = 14621,
  [SMALL_STATE(274)] = 14703,
  [SMALL_STATE(275)] = 14785,
  [SMALL_STATE(276)] = 14841,
  [SMALL_STATE(277)] = 14897,
  [SMALL_STATE(278)] = 14979,
  [SMALL_STATE(279)] = 15061,
  [SMALL_STATE(280)] = 15143,
  [SMALL_STATE(281)] = 15225,
  [SMALL_STATE(282)] = 15307,
  [SMALL_STATE(283)] = 15389,
  [SMALL_STATE(284)] = 15445,
  [SMALL_STATE(285)] = 15527,
  [SMALL_STATE(286)] = 15609,
  [SMALL_STATE(287)] = 15665,
  [SMALL_STATE(288)] = 15721,
  [SMALL_STATE(289)] = 15803,
  [SMALL_STATE(290)] = 15887,
  [SMALL_STATE(291)] = 15969,
  [SMALL_STATE(292)] = 16051,
  [SMALL_STATE(293)] = 16133,
  [SMALL_STATE(294)] = 16215,
  [SMALL_STATE(295)] = 16267,
  [SMALL_STATE(296)] = 16323,
  [SMALL_STATE(297)] = 16379,
  [SMALL_STATE(298)] = 16461,
  [SMALL_STATE(299)] = 16517,
  [SMALL_STATE(300)] = 16599,
  [SMALL_STATE(301)] = 16681,
  [SMALL_STATE(302)] = 16763,
  [SMALL_STATE(303)] = 16845,
  [SMALL_STATE(304)] = 16927,
  [SMALL_STATE(305)] = 17009,
  [SMALL_STATE(306)] = 17091,
  [SMALL_STATE(307)] = 17173,
  [SMALL_STATE(308)] = 17255,
  [SMALL_STATE(309)] = 17337,
  [SMALL_STATE(310)] = 17419,
  [SMALL_STATE(311)] = 17475,
  [SMALL_STATE(312)] = 17557,
  [SMALL_STATE(313)] = 17613,
  [SMALL_STATE(314)] = 17695,
  [SMALL_STATE(315)] = 17777,
  [SMALL_STATE(316)] = 17859,
  [SMALL_STATE(317)] = 17941,
  [SMALL_STATE(318)] = 17997,
  [SMALL_STATE(319)] = 18079,
  [SMALL_STATE(320)] = 18161,
  [SMALL_STATE(321)] = 18243,
  [SMALL_STATE(322)] = 18325,
  [SMALL_STATE(323)] = 18377,
  [SMALL_STATE(324)] = 18429,
  [SMALL_STATE(325)] = 18485,
  [SMALL_STATE(326)] = 18567,
  [SMALL_STATE(327)] = 18649,
  [SMALL_STATE(328)] = 18731,
  [SMALL_STATE(329)] = 18813,
  [SMALL_STATE(330)] = 18869,
  [SMALL_STATE(331)] = 18951,
  [SMALL_STATE(332)] = 19007,
  [SMALL_STATE(333)] = 19089,
  [SMALL_STATE(334)] = 19171,
  [SMALL_STATE(335)] = 19253,
  [SMALL_STATE(336)] = 19335,
  [SMALL_STATE(337)] = 19391,
  [SMALL_STATE(338)] = 19473,
  [SMALL_STATE(339)] = 19525,
  [SMALL_STATE(340)] = 19607,
  [SMALL_STATE(341)] = 19689,
  [SMALL_STATE(342)] = 19771,
  [SMALL_STATE(343)] = 19853,
  [SMALL_STATE(344)] = 19935,
  [SMALL_STATE(345)] = 20017,
  [SMALL_STATE(346)] = 20099,
  [SMALL_STATE(347)] = 20151,
  [SMALL_STATE(348)] = 20233,
  [SMALL_STATE(349)] = 20315,
  [SMALL_STATE(350)] = 20367,
  [SMALL_STATE(351)] = 20449,
  [SMALL_STATE(352)] = 20531,
  [SMALL_STATE(353)] = 20613,
  [SMALL_STATE(354)] = 20695,
  [SMALL_STATE(355)] = 20777,
  [SMALL_STATE(356)] = 20859,
  [SMALL_STATE(357)] = 20915,
  [SMALL_STATE(358)] = 20966,
  [SMALL_STATE(359)] = 21017,
  [SMALL_STATE(360)] = 21068,
  [SMALL_STATE(361)] = 21119,
  [SMALL_STATE(362)] = 21169,
  [SMALL_STATE(363)] = 21219,
  [SMALL_STATE(364)] = 21269,
  [SMALL_STATE(365)] = 21319,
  [SMALL_STATE(366)] = 21369,
  [SMALL_STATE(367)] = 21419,
  [SMALL_STATE(368)] = 21469,
  [SMALL_STATE(369)] = 21519,
  [SMALL_STATE(370)] = 21569,
  [SMALL_STATE(371)] = 21619,
  [SMALL_STATE(372)] = 21669,
  [SMALL_STATE(373)] = 21723,
  [SMALL_STATE(374)] = 21773,
  [SMALL_STATE(375)] = 21823,
  [SMALL_STATE(376)] = 21873,
  [SMALL_STATE(377)] = 21923,
  [SMALL_STATE(378)] = 21973,
  [SMALL_STATE(379)] = 22023,
  [SMALL_STATE(380)] = 22073,
  [SMALL_STATE(381)] = 22123,
  [SMALL_STATE(382)] = 22173,
  [SMALL_STATE(383)] = 22223,
  [SMALL_STATE(384)] = 22273,
  [SMALL_STATE(385)] = 22323,
  [SMALL_STATE(386)] = 22373,
  [SMALL_STATE(387)] = 22423,
  [SMALL_STATE(388)] = 22473,
  [SMALL_STATE(389)] = 22523,
  [SMALL_STATE(390)] = 22573,
  [SMALL_STATE(391)] = 22623,
  [SMALL_STATE(392)] = 22673,
  [SMALL_STATE(393)] = 22723,
  [SMALL_STATE(394)] = 22773,
  [SMALL_STATE(395)] = 22823,
  [SMALL_STATE(396)] = 22873,
  [SMALL_STATE(397)] = 22923,
  [SMALL_STATE(398)] = 22973,
  [SMALL_STATE(399)] = 23023,
  [SMALL_STATE(400)] = 23073,
  [SMALL_STATE(401)] = 23123,
  [SMALL_STATE(402)] = 23173,
  [SMALL_STATE(403)] = 23223,
  [SMALL_STATE(404)] = 23273,
  [SMALL_STATE(405)] = 23323,
  [SMALL_STATE(406)] = 23373,
  [SMALL_STATE(407)] = 23423,
  [SMALL_STATE(408)] = 23473,
  [SMALL_STATE(409)] = 23523,
  [SMALL_STATE(410)] = 23573,
  [SMALL_STATE(411)] = 23623,
  [SMALL_STATE(412)] = 23673,
  [SMALL_STATE(413)] = 23723,
  [SMALL_STATE(414)] = 23773,
  [SMALL_STATE(415)] = 23823,
  [SMALL_STATE(416)] = 23873,
  [SMALL_STATE(417)] = 23923,
  [SMALL_STATE(418)] = 23973,
  [SMALL_STATE(419)] = 24023,
  [SMALL_STATE(420)] = 24073,
  [SMALL_STATE(421)] = 24123,
  [SMALL_STATE(422)] = 24177,
  [SMALL_STATE(423)] = 24227,
  [SMALL_STATE(424)] = 24277,
  [SMALL_STATE(425)] = 24327,
  [SMALL_STATE(426)] = 24377,
  [SMALL_STATE(427)] = 24427,
  [SMALL_STATE(428)] = 24481,
  [SMALL_STATE(429)] = 24531,
  [SMALL_STATE(430)] = 24581,
  [SMALL_STATE(431)] = 24631,
  [SMALL_STATE(432)] = 24681,
  [SMALL_STATE(433)] = 24731,
  [SMALL_STATE(434)] = 24781,
  [SMALL_STATE(435)] = 24831,
  [SMALL_STATE(436)] = 24881,
  [SMALL_STATE(437)] = 24931,
  [SMALL_STATE(438)] = 24981,
  [SMALL_STATE(439)] = 25061,
  [SMALL_STATE(440)] = 25141,
  [SMALL_STATE(441)] = 25221,
  [SMALL_STATE(442)] = 25303,
  [SMALL_STATE(443)] = 25383,
  [SMALL_STATE(444)] = 25431,
  [SMALL_STATE(445)] = 25511,
  [SMALL_STATE(446)] = 25591,
  [SMALL_STATE(447)] = 25639,
  [SMALL_STATE(448)] = 25719,
  [SMALL_STATE(449)] = 25766,
  [SMALL_STATE(450)] = 25833,
  [SMALL_STATE(451)] = 25880,
  [SMALL_STATE(452)] = 25927,
  [SMALL_STATE(453)] = 25974,
  [SMALL_STATE(454)] = 26021,
  [SMALL_STATE(455)] = 26068,
  [SMALL_STATE(456)] = 26115,
  [SMALL_STATE(457)] = 26162,
  [SMALL_STATE(458)] = 26209,
  [SMALL_STATE(459)] = 26256,
  [SMALL_STATE(460)] = 26303,
  [SMALL_STATE(461)] = 26350,
  [SMALL_STATE(462)] = 26397,
  [SMALL_STATE(463)] = 26444,
  [SMALL_STATE(464)] = 26515,
  [SMALL_STATE(465)] = 26580,
  [SMALL_STATE(466)] = 26627,
  [SMALL_STATE(467)] = 26696,
  [SMALL_STATE(468)] = 26753,
  [SMALL_STATE(469)] = 26800,
  [SMALL_STATE(470)] = 26847,
  [SMALL_STATE(471)] = 26894,
  [SMALL_STATE(472)] = 26955,
  [SMALL_STATE(473)] = 27012,
  [SMALL_STATE(474)] = 27059,
  [SMALL_STATE(475)] = 27138,
  [SMALL_STATE(476)] = 27209,
  [SMALL_STATE(477)] = 27256,
  [SMALL_STATE(478)] = 27319,
  [SMALL_STATE(479)] = 27376,
  [SMALL_STATE(480)] = 27423,
  [SMALL_STATE(481)] = 27470,
  [SMALL_STATE(482)] = 27517,
  [SMALL_STATE(483)] = 27587,
  [SMALL_STATE(484)] = 27643,
  [SMALL_STATE(485)] = 27689,
  [SMALL_STATE(486)] = 27735,
  [SMALL_STATE(487)] = 27809,
  [SMALL_STATE(488)] = 27873,
  [SMALL_STATE(489)] = 27935,
  [SMALL_STATE(490)] = 28005,
  [SMALL_STATE(491)] = 28079,
  [SMALL_STATE(492)] = 28135,
  [SMALL_STATE(493)] = 28181,
  [SMALL_STATE(494)] = 28229,
  [SMALL_STATE(495)] = 28289,
  [SMALL_STATE(496)] = 28357,
  [SMALL_STATE(497)] = 28413,
  [SMALL_STATE(498)] = 28479,
  [SMALL_STATE(499)] = 28526,
  [SMALL_STATE(500)] = 28605,
  [SMALL_STATE(501)] = 28654,
  [SMALL_STATE(502)] = 28703,
  [SMALL_STATE(503)] = 28752,
  [SMALL_STATE(504)] = 28820,
  [SMALL_STATE(505)] = 28886,
  [SMALL_STATE(506)] = 28940,
  [SMALL_STATE(507)] = 29008,
  [SMALL_STATE(508)] = 29052,
  [SMALL_STATE(509)] = 29106,
  [SMALL_STATE(510)] = 29174,
  [SMALL_STATE(511)] = 29234,
  [SMALL_STATE(512)] = 29288,
  [SMALL_STATE(513)] = 29332,
  [SMALL_STATE(514)] = 29390,
  [SMALL_STATE(515)] = 29434,
  [SMALL_STATE(516)] = 29496,
  [SMALL_STATE(517)] = 29560,
  [SMALL_STATE(518)] = 29607,
  [SMALL_STATE(519)] = 29652,
  [SMALL_STATE(520)] = 29699,
  [SMALL_STATE(521)] = 29744,
  [SMALL_STATE(522)] = 29789,
  [SMALL_STATE(523)] = 29836,
  [SMALL_STATE(524)] = 29911,
  [SMALL_STATE(525)] = 29958,
  [SMALL_STATE(526)] = 30003,
  [SMALL_STATE(527)] = 30048,
  [SMALL_STATE(528)] = 30091,
  [SMALL_STATE(529)] = 30136,
  [SMALL_STATE(530)] = 30181,
  [SMALL_STATE(531)] = 30228,
  [SMALL_STATE(532)] = 30271,
  [SMALL_STATE(533)] = 30337,
  [SMALL_STATE(534)] = 30379,
  [SMALL_STATE(535)] = 30421,
  [SMALL_STATE(536)] = 30463,
  [SMALL_STATE(537)] = 30525,
  [SMALL_STATE(538)] = 30567,
  [SMALL_STATE(539)] = 30609,
  [SMALL_STATE(540)] = 30651,
  [SMALL_STATE(541)] = 30693,
  [SMALL_STATE(542)] = 30735,
  [SMALL_STATE(543)] = 30801,
  [SMALL_STATE(544)] = 30843,
  [SMALL_STATE(545)] = 30905,
  [SMALL_STATE(546)] = 30949,
  [SMALL_STATE(547)] = 30991,
  [SMALL_STATE(548)] = 31035,
  [SMALL_STATE(549)] = 31097,
  [SMALL_STATE(550)] = 31139,
  [SMALL_STATE(551)] = 31191,
  [SMALL_STATE(552)] = 31243,
  [SMALL_STATE(553)] = 31285,
  [SMALL_STATE(554)] = 31343,
  [SMALL_STATE(555)] = 31385,
  [SMALL_STATE(556)] = 31427,
  [SMALL_STATE(557)] = 31469,
  [SMALL_STATE(558)] = 31521,
  [SMALL_STATE(559)] = 31563,
  [SMALL_STATE(560)] = 31605,
  [SMALL_STATE(561)] = 31667,
  [SMALL_STATE(562)] = 31711,
  [SMALL_STATE(563)] = 31753,
  [SMALL_STATE(564)] = 31795,
  [SMALL_STATE(565)] = 31839,
  [SMALL_STATE(566)] = 31895,
  [SMALL_STATE(567)] = 31959,
  [SMALL_STATE(568)] = 32001,
  [SMALL_STATE(569)] = 32043,
  [SMALL_STATE(570)] = 32105,
  [SMALL_STATE(571)] = 32165,
  [SMALL_STATE(572)] = 32207,
  [SMALL_STATE(573)] = 32251,
  [SMALL_STATE(574)] = 32293,
  [SMALL_STATE(575)] = 32335,
  [SMALL_STATE(576)] = 32377,
  [SMALL_STATE(577)] = 32419,
  [SMALL_STATE(578)] = 32464,
  [SMALL_STATE(579)] = 32523,
  [SMALL_STATE(580)] = 32582,
  [SMALL_STATE(581)] = 32641,
  [SMALL_STATE(582)] = 32700,
  [SMALL_STATE(583)] = 32759,
  [SMALL_STATE(584)] = 32822,
  [SMALL_STATE(585)] = 32881,
  [SMALL_STATE(586)] = 32940,
  [SMALL_STATE(587)] = 32999,
  [SMALL_STATE(588)] = 33062,
  [SMALL_STATE(589)] = 33121,
  [SMALL_STATE(590)] = 33180,
  [SMALL_STATE(591)] = 33239,
  [SMALL_STATE(592)] = 33298,
  [SMALL_STATE(593)] = 33343,
  [SMALL_STATE(594)] = 33384,
  [SMALL_STATE(595)] = 33443,
  [SMALL_STATE(596)] = 33502,
  [SMALL_STATE(597)] = 33543,
  [SMALL_STATE(598)] = 33602,
  [SMALL_STATE(599)] = 33645,
  [SMALL_STATE(600)] = 33704,
  [SMALL_STATE(601)] = 33763,
  [SMALL_STATE(602)] = 33822,
  [SMALL_STATE(603)] = 33881,
  [SMALL_STATE(604)] = 33940,
  [SMALL_STATE(605)] = 33999,
  [SMALL_STATE(606)] = 34058,
  [SMALL_STATE(607)] = 34117,
  [SMALL_STATE(608)] = 34176,
  [SMALL_STATE(609)] = 34235,
  [SMALL_STATE(610)] = 34294,
  [SMALL_STATE(611)] = 34353,
  [SMALL_STATE(612)] = 34412,
  [SMALL_STATE(613)] = 34471,
  [SMALL_STATE(614)] = 34530,
  [SMALL_STATE(615)] = 34589,
  [SMALL_STATE(616)] = 34648,
  [SMALL_STATE(617)] = 34707,
  [SMALL_STATE(618)] = 34766,
  [SMALL_STATE(619)] = 34825,
  [SMALL_STATE(620)] = 34884,
  [SMALL_STATE(621)] = 34943,
  [SMALL_STATE(622)] = 35002,
  [SMALL_STATE(623)] = 35061,
  [SMALL_STATE(624)] = 35120,
  [SMALL_STATE(625)] = 35160,
  [SMALL_STATE(626)] = 35200,
  [SMALL_STATE(627)] = 35240,
  [SMALL_STATE(628)] = 35280,
  [SMALL_STATE(629)] = 35320,
  [SMALL_STATE(630)] = 35360,
  [SMALL_STATE(631)] = 35400,
  [SMALL_STATE(632)] = 35440,
  [SMALL_STATE(633)] = 35480,
  [SMALL_STATE(634)] = 35520,
  [SMALL_STATE(635)] = 35560,
  [SMALL_STATE(636)] = 35600,
  [SMALL_STATE(637)] = 35640,
  [SMALL_STATE(638)] = 35680,
  [SMALL_STATE(639)] = 35720,
  [SMALL_STATE(640)] = 35760,
  [SMALL_STATE(641)] = 35800,
  [SMALL_STATE(642)] = 35840,
  [SMALL_STATE(643)] = 35880,
  [SMALL_STATE(644)] = 35920,
  [SMALL_STATE(645)] = 35960,
  [SMALL_STATE(646)] = 36000,
  [SMALL_STATE(647)] = 36040,
  [SMALL_STATE(648)] = 36082,
  [SMALL_STATE(649)] = 36124,
  [SMALL_STATE(650)] = 36164,
  [SMALL_STATE(651)] = 36204,
  [SMALL_STATE(652)] = 36244,
  [SMALL_STATE(653)] = 36284,
  [SMALL_STATE(654)] = 36324,
  [SMALL_STATE(655)] = 36364,
  [SMALL_STATE(656)] = 36404,
  [SMALL_STATE(657)] = 36441,
  [SMALL_STATE(658)] = 36478,
  [SMALL_STATE(659)] = 36508,
  [SMALL_STATE(660)] = 36538,
  [SMALL_STATE(661)] = 36568,
  [SMALL_STATE(662)] = 36605,
  [SMALL_STATE(663)] = 36630,
  [SMALL_STATE(664)] = 36655,
  [SMALL_STATE(665)] = 36680,
  [SMALL_STATE(666)] = 36705,
  [SMALL_STATE(667)] = 36742,
  [SMALL_STATE(668)] = 36771,
  [SMALL_STATE(669)] = 36800,
  [SMALL_STATE(670)] = 36846,
  [SMALL_STATE(671)] = 36879,
  [SMALL_STATE(672)] = 36912,
  [SMALL_STATE(673)] = 36954,
  [SMALL_STATE(674)] = 36996,
  [SMALL_STATE(675)] = 37038,
  [SMALL_STATE(676)] = 37080,
  [SMALL_STATE(677)] = 37102,
  [SMALL_STATE(678)] = 37144,
  [SMALL_STATE(679)] = 37169,
  [SMALL_STATE(680)] = 37208,
  [SMALL_STATE(681)] = 37244,
  [SMALL_STATE(682)] = 37280,
  [SMALL_STATE(683)] = 37316,
  [SMALL_STATE(684)] = 37352,
  [SMALL_STATE(685)] = 37371,
  [SMALL_STATE(686)] = 37404,
  [SMALL_STATE(687)] = 37423,
  [SMALL_STATE(688)] = 37456,
  [SMALL_STATE(689)] = 37475,
  [SMALL_STATE(690)] = 37498,
  [SMALL_STATE(691)] = 37519,
  [SMALL_STATE(692)] = 37538,
  [SMALL_STATE(693)] = 37575,
  [SMALL_STATE(694)] = 37612,
  [SMALL_STATE(695)] = 37633,
  [SMALL_STATE(696)] = 37670,
  [SMALL_STATE(697)] = 37693,
  [SMALL_STATE(698)] = 37716,
  [SMALL_STATE(699)] = 37738,
  [SMALL_STATE(700)] = 37772,
  [SMALL_STATE(701)] = 37794,
  [SMALL_STATE(702)] = 37828,
  [SMALL_STATE(703)] = 37846,
  [SMALL_STATE(704)] = 37866,
  [SMALL_STATE(705)] = 37900,
  [SMALL_STATE(706)] = 37922,
  [SMALL_STATE(707)] = 37956,
  [SMALL_STATE(708)] = 37990,
  [SMALL_STATE(709)] = 38024,
  [SMALL_STATE(710)] = 38058,
  [SMALL_STATE(711)] = 38078,
  [SMALL_STATE(712)] = 38112,
  [SMALL_STATE(713)] = 38146,
  [SMALL_STATE(714)] = 38169,
  [SMALL_STATE(715)] = 38188,
  [SMALL_STATE(716)] = 38207,
  [SMALL_STATE(717)] = 38230,
  [SMALL_STATE(718)] = 38253,
  [SMALL_STATE(719)] = 38272,
  [SMALL_STATE(720)] = 38296,
  [SMALL_STATE(721)] = 38314,
  [SMALL_STATE(722)] = 38330,
  [SMALL_STATE(723)] = 38344,
  [SMALL_STATE(724)] = 38368,
  [SMALL_STATE(725)] = 38392,
  [SMALL_STATE(726)] = 38406,
  [SMALL_STATE(727)] = 38426,
  [SMALL_STATE(728)] = 38440,
  [SMALL_STATE(729)] = 38460,
  [SMALL_STATE(730)] = 38478,
  [SMALL_STATE(731)] = 38496,
  [SMALL_STATE(732)] = 38520,
  [SMALL_STATE(733)] = 38538,
  [SMALL_STATE(734)] = 38558,
  [SMALL_STATE(735)] = 38576,
  [SMALL_STATE(736)] = 38594,
  [SMALL_STATE(737)] = 38612,
  [SMALL_STATE(738)] = 38630,
  [SMALL_STATE(739)] = 38647,
  [SMALL_STATE(740)] = 38668,
  [SMALL_STATE(741)] = 38693,
  [SMALL_STATE(742)] = 38706,
  [SMALL_STATE(743)] = 38727,
  [SMALL_STATE(744)] = 38748,
  [SMALL_STATE(745)] = 38761,
  [SMALL_STATE(746)] = 38784,
  [SMALL_STATE(747)] = 38805,
  [SMALL_STATE(748)] = 38824,
  [SMALL_STATE(749)] = 38849,
  [SMALL_STATE(750)] = 38870,
  [SMALL_STATE(751)] = 38893,
  [SMALL_STATE(752)] = 38918,
  [SMALL_STATE(753)] = 38943,
  [SMALL_STATE(754)] = 38968,
  [SMALL_STATE(755)] = 38989,
  [SMALL_STATE(756)] = 39008,
  [SMALL_STATE(757)] = 39029,
  [SMALL_STATE(758)] = 39054,
  [SMALL_STATE(759)] = 39079,
  [SMALL_STATE(760)] = 39102,
  [SMALL_STATE(761)] = 39115,
  [SMALL_STATE(762)] = 39136,
  [SMALL_STATE(763)] = 39155,
  [SMALL_STATE(764)] = 39172,
  [SMALL_STATE(765)] = 39189,
  [SMALL_STATE(766)] = 39210,
  [SMALL_STATE(767)] = 39233,
  [SMALL_STATE(768)] = 39252,
  [SMALL_STATE(769)] = 39275,
  [SMALL_STATE(770)] = 39298,
  [SMALL_STATE(771)] = 39317,
  [SMALL_STATE(772)] = 39329,
  [SMALL_STATE(773)] = 39345,
  [SMALL_STATE(774)] = 39363,
  [SMALL_STATE(775)] = 39381,
  [SMALL_STATE(776)] = 39397,
  [SMALL_STATE(777)] = 39417,
  [SMALL_STATE(778)] = 39437,
  [SMALL_STATE(779)] = 39457,
  [SMALL_STATE(780)] = 39469,
  [SMALL_STATE(781)] = 39487,
  [SMALL_STATE(782)] = 39507,
  [SMALL_STATE(783)] = 39521,
  [SMALL_STATE(784)] = 39537,
  [SMALL_STATE(785)] = 39555,
  [SMALL_STATE(786)] = 39573,
  [SMALL_STATE(787)] = 39585,
  [SMALL_STATE(788)] = 39605,
  [SMALL_STATE(789)] = 39623,
  [SMALL_STATE(790)] = 39639,
  [SMALL_STATE(791)] = 39659,
  [SMALL_STATE(792)] = 39677,
  [SMALL_STATE(793)] = 39693,
  [SMALL_STATE(794)] = 39711,
  [SMALL_STATE(795)] = 39729,
  [SMALL_STATE(796)] = 39747,
  [SMALL_STATE(797)] = 39769,
  [SMALL_STATE(798)] = 39787,
  [SMALL_STATE(799)] = 39803,
  [SMALL_STATE(800)] = 39815,
  [SMALL_STATE(801)] = 39833,
  [SMALL_STATE(802)] = 39855,
  [SMALL_STATE(803)] = 39873,
  [SMALL_STATE(804)] = 39890,
  [SMALL_STATE(805)] = 39903,
  [SMALL_STATE(806)] = 39920,
  [SMALL_STATE(807)] = 39937,
  [SMALL_STATE(808)] = 39954,
  [SMALL_STATE(809)] = 39971,
  [SMALL_STATE(810)] = 39988,
  [SMALL_STATE(811)] = 40005,
  [SMALL_STATE(812)] = 40018,
  [SMALL_STATE(813)] = 40033,
  [SMALL_STATE(814)] = 40050,
  [SMALL_STATE(815)] = 40067,
  [SMALL_STATE(816)] = 40084,
  [SMALL_STATE(817)] = 40101,
  [SMALL_STATE(818)] = 40116,
  [SMALL_STATE(819)] = 40133,
  [SMALL_STATE(820)] = 40152,
  [SMALL_STATE(821)] = 40169,
  [SMALL_STATE(822)] = 40184,
  [SMALL_STATE(823)] = 40201,
  [SMALL_STATE(824)] = 40218,
  [SMALL_STATE(825)] = 40233,
  [SMALL_STATE(826)] = 40250,
  [SMALL_STATE(827)] = 40261,
  [SMALL_STATE(828)] = 40278,
  [SMALL_STATE(829)] = 40291,
  [SMALL_STATE(830)] = 40308,
  [SMALL_STATE(831)] = 40325,
  [SMALL_STATE(832)] = 40342,
  [SMALL_STATE(833)] = 40359,
  [SMALL_STATE(834)] = 40375,
  [SMALL_STATE(835)] = 40389,
  [SMALL_STATE(836)] = 40403,
  [SMALL_STATE(837)] = 40417,
  [SMALL_STATE(838)] = 40431,
  [SMALL_STATE(839)] = 40445,
  [SMALL_STATE(840)] = 40459,
  [SMALL_STATE(841)] = 40475,
  [SMALL_STATE(842)] = 40491,
  [SMALL_STATE(843)] = 40507,
  [SMALL_STATE(844)] = 40523,
  [SMALL_STATE(845)] = 40535,
  [SMALL_STATE(846)] = 40551,
  [SMALL_STATE(847)] = 40565,
  [SMALL_STATE(848)] = 40575,
  [SMALL_STATE(849)] = 40591,
  [SMALL_STATE(850)] = 40607,
  [SMALL_STATE(851)] = 40623,
  [SMALL_STATE(852)] = 40637,
  [SMALL_STATE(853)] = 40651,
  [SMALL_STATE(854)] = 40667,
  [SMALL_STATE(855)] = 40683,
  [SMALL_STATE(856)] = 40697,
  [SMALL_STATE(857)] = 40711,
  [SMALL_STATE(858)] = 40727,
  [SMALL_STATE(859)] = 40743,
  [SMALL_STATE(860)] = 40757,
  [SMALL_STATE(861)] = 40773,
  [SMALL_STATE(862)] = 40787,
  [SMALL_STATE(863)] = 40803,
  [SMALL_STATE(864)] = 40819,
  [SMALL_STATE(865)] = 40835,
  [SMALL_STATE(866)] = 40849,
  [SMALL_STATE(867)] = 40865,
  [SMALL_STATE(868)] = 40879,
  [SMALL_STATE(869)] = 40893,
  [SMALL_STATE(870)] = 40907,
  [SMALL_STATE(871)] = 40921,
  [SMALL_STATE(872)] = 40937,
  [SMALL_STATE(873)] = 40949,
  [SMALL_STATE(874)] = 40963,
  [SMALL_STATE(875)] = 40979,
  [SMALL_STATE(876)] = 40993,
  [SMALL_STATE(877)] = 41007,
  [SMALL_STATE(878)] = 41017,
  [SMALL_STATE(879)] = 41031,
  [SMALL_STATE(880)] = 41044,
  [SMALL_STATE(881)] = 41055,
  [SMALL_STATE(882)] = 41068,
  [SMALL_STATE(883)] = 41081,
  [SMALL_STATE(884)] = 41094,
  [SMALL_STATE(885)] = 41103,
  [SMALL_STATE(886)] = 41116,
  [SMALL_STATE(887)] = 41129,
  [SMALL_STATE(888)] = 41142,
  [SMALL_STATE(889)] = 41155,
  [SMALL_STATE(890)] = 41168,
  [SMALL_STATE(891)] = 41181,
  [SMALL_STATE(892)] = 41194,
  [SMALL_STATE(893)] = 41203,
  [SMALL_STATE(894)] = 41216,
  [SMALL_STATE(895)] = 41229,
  [SMALL_STATE(896)] = 41242,
  [SMALL_STATE(897)] = 41255,
  [SMALL_STATE(898)] = 41268,
  [SMALL_STATE(899)] = 41281,
  [SMALL_STATE(900)] = 41294,
  [SMALL_STATE(901)] = 41307,
  [SMALL_STATE(902)] = 41320,
  [SMALL_STATE(903)] = 41333,
  [SMALL_STATE(904)] = 41346,
  [SMALL_STATE(905)] = 41355,
  [SMALL_STATE(906)] = 41368,
  [SMALL_STATE(907)] = 41381,
  [SMALL_STATE(908)] = 41394,
  [SMALL_STATE(909)] = 41407,
  [SMALL_STATE(910)] = 41416,
  [SMALL_STATE(911)] = 41429,
  [SMALL_STATE(912)] = 41442,
  [SMALL_STATE(913)] = 41455,
  [SMALL_STATE(914)] = 41468,
  [SMALL_STATE(915)] = 41481,
  [SMALL_STATE(916)] = 41494,
  [SMALL_STATE(917)] = 41507,
  [SMALL_STATE(918)] = 41516,
  [SMALL_STATE(919)] = 41529,
  [SMALL_STATE(920)] = 41542,
  [SMALL_STATE(921)] = 41555,
  [SMALL_STATE(922)] = 41568,
  [SMALL_STATE(923)] = 41581,
  [SMALL_STATE(924)] = 41594,
  [SMALL_STATE(925)] = 41607,
  [SMALL_STATE(926)] = 41620,
  [SMALL_STATE(927)] = 41631,
  [SMALL_STATE(928)] = 41644,
  [SMALL_STATE(929)] = 41657,
  [SMALL_STATE(930)] = 41670,
  [SMALL_STATE(931)] = 41683,
  [SMALL_STATE(932)] = 41696,
  [SMALL_STATE(933)] = 41709,
  [SMALL_STATE(934)] = 41718,
  [SMALL_STATE(935)] = 41731,
  [SMALL_STATE(936)] = 41744,
  [SMALL_STATE(937)] = 41753,
  [SMALL_STATE(938)] = 41766,
  [SMALL_STATE(939)] = 41779,
  [SMALL_STATE(940)] = 41792,
  [SMALL_STATE(941)] = 41805,
  [SMALL_STATE(942)] = 41818,
  [SMALL_STATE(943)] = 41831,
  [SMALL_STATE(944)] = 41844,
  [SMALL_STATE(945)] = 41855,
  [SMALL_STATE(946)] = 41868,
  [SMALL_STATE(947)] = 41879,
  [SMALL_STATE(948)] = 41888,
  [SMALL_STATE(949)] = 41897,
  [SMALL_STATE(950)] = 41910,
  [SMALL_STATE(951)] = 41923,
  [SMALL_STATE(952)] = 41936,
  [SMALL_STATE(953)] = 41949,
  [SMALL_STATE(954)] = 41962,
  [SMALL_STATE(955)] = 41975,
  [SMALL_STATE(956)] = 41986,
  [SMALL_STATE(957)] = 41999,
  [SMALL_STATE(958)] = 42010,
  [SMALL_STATE(959)] = 42019,
  [SMALL_STATE(960)] = 42032,
  [SMALL_STATE(961)] = 42041,
  [SMALL_STATE(962)] = 42054,
  [SMALL_STATE(963)] = 42067,
  [SMALL_STATE(964)] = 42078,
  [SMALL_STATE(965)] = 42091,
  [SMALL_STATE(966)] = 42100,
  [SMALL_STATE(967)] = 42113,
  [SMALL_STATE(968)] = 42122,
  [SMALL_STATE(969)] = 42135,
  [SMALL_STATE(970)] = 42148,
  [SMALL_STATE(971)] = 42157,
  [SMALL_STATE(972)] = 42170,
  [SMALL_STATE(973)] = 42183,
  [SMALL_STATE(974)] = 42191,
  [SMALL_STATE(975)] = 42201,
  [SMALL_STATE(976)] = 42209,
  [SMALL_STATE(977)] = 42217,
  [SMALL_STATE(978)] = 42225,
  [SMALL_STATE(979)] = 42233,
  [SMALL_STATE(980)] = 42241,
  [SMALL_STATE(981)] = 42249,
  [SMALL_STATE(982)] = 42257,
  [SMALL_STATE(983)] = 42265,
  [SMALL_STATE(984)] = 42273,
  [SMALL_STATE(985)] = 42281,
  [SMALL_STATE(986)] = 42289,
  [SMALL_STATE(987)] = 42297,
  [SMALL_STATE(988)] = 42305,
  [SMALL_STATE(989)] = 42315,
  [SMALL_STATE(990)] = 42323,
  [SMALL_STATE(991)] = 42331,
  [SMALL_STATE(992)] = 42339,
  [SMALL_STATE(993)] = 42347,
  [SMALL_STATE(994)] = 42355,
  [SMALL_STATE(995)] = 42363,
  [SMALL_STATE(996)] = 42371,
  [SMALL_STATE(997)] = 42381,
  [SMALL_STATE(998)] = 42389,
  [SMALL_STATE(999)] = 42397,
  [SMALL_STATE(1000)] = 42407,
  [SMALL_STATE(1001)] = 42415,
  [SMALL_STATE(1002)] = 42423,
  [SMALL_STATE(1003)] = 42433,
  [SMALL_STATE(1004)] = 42441,
  [SMALL_STATE(1005)] = 42449,
  [SMALL_STATE(1006)] = 42459,
  [SMALL_STATE(1007)] = 42469,
  [SMALL_STATE(1008)] = 42479,
  [SMALL_STATE(1009)] = 42489,
  [SMALL_STATE(1010)] = 42497,
  [SMALL_STATE(1011)] = 42505,
  [SMALL_STATE(1012)] = 42513,
  [SMALL_STATE(1013)] = 42521,
  [SMALL_STATE(1014)] = 42529,
  [SMALL_STATE(1015)] = 42537,
  [SMALL_STATE(1016)] = 42545,
  [SMALL_STATE(1017)] = 42552,
  [SMALL_STATE(1018)] = 42559,
  [SMALL_STATE(1019)] = 42566,
  [SMALL_STATE(1020)] = 42573,
  [SMALL_STATE(1021)] = 42580,
  [SMALL_STATE(1022)] = 42587,
  [SMALL_STATE(1023)] = 42594,
  [SMALL_STATE(1024)] = 42601,
  [SMALL_STATE(1025)] = 42608,
  [SMALL_STATE(1026)] = 42615,
  [SMALL_STATE(1027)] = 42622,
  [SMALL_STATE(1028)] = 42629,
  [SMALL_STATE(1029)] = 42636,
  [SMALL_STATE(1030)] = 42643,
  [SMALL_STATE(1031)] = 42650,
  [SMALL_STATE(1032)] = 42657,
  [SMALL_STATE(1033)] = 42664,
  [SMALL_STATE(1034)] = 42671,
  [SMALL_STATE(1035)] = 42678,
  [SMALL_STATE(1036)] = 42685,
  [SMALL_STATE(1037)] = 42692,
  [SMALL_STATE(1038)] = 42699,
  [SMALL_STATE(1039)] = 42706,
  [SMALL_STATE(1040)] = 42713,
  [SMALL_STATE(1041)] = 42720,
  [SMALL_STATE(1042)] = 42727,
  [SMALL_STATE(1043)] = 42734,
  [SMALL_STATE(1044)] = 42741,
  [SMALL_STATE(1045)] = 42748,
  [SMALL_STATE(1046)] = 42755,
  [SMALL_STATE(1047)] = 42762,
  [SMALL_STATE(1048)] = 42769,
  [SMALL_STATE(1049)] = 42776,
  [SMALL_STATE(1050)] = 42783,
  [SMALL_STATE(1051)] = 42790,
  [SMALL_STATE(1052)] = 42797,
  [SMALL_STATE(1053)] = 42804,
  [SMALL_STATE(1054)] = 42811,
  [SMALL_STATE(1055)] = 42818,
  [SMALL_STATE(1056)] = 42825,
  [SMALL_STATE(1057)] = 42832,
  [SMALL_STATE(1058)] = 42839,
  [SMALL_STATE(1059)] = 42846,
  [SMALL_STATE(1060)] = 42853,
  [SMALL_STATE(1061)] = 42860,
  [SMALL_STATE(1062)] = 42867,
  [SMALL_STATE(1063)] = 42874,
  [SMALL_STATE(1064)] = 42881,
  [SMALL_STATE(1065)] = 42888,
  [SMALL_STATE(1066)] = 42895,
  [SMALL_STATE(1067)] = 42902,
  [SMALL_STATE(1068)] = 42909,
  [SMALL_STATE(1069)] = 42916,
  [SMALL_STATE(1070)] = 42923,
  [SMALL_STATE(1071)] = 42930,
  [SMALL_STATE(1072)] = 42937,
  [SMALL_STATE(1073)] = 42944,
  [SMALL_STATE(1074)] = 42951,
  [SMALL_STATE(1075)] = 42958,
  [SMALL_STATE(1076)] = 42965,
  [SMALL_STATE(1077)] = 42972,
  [SMALL_STATE(1078)] = 42979,
  [SMALL_STATE(1079)] = 42986,
  [SMALL_STATE(1080)] = 42993,
  [SMALL_STATE(1081)] = 43000,
  [SMALL_STATE(1082)] = 43007,
  [SMALL_STATE(1083)] = 43014,
  [SMALL_STATE(1084)] = 43021,
  [SMALL_STATE(1085)] = 43028,
  [SMALL_STATE(1086)] = 43035,
  [SMALL_STATE(1087)] = 43042,
  [SMALL_STATE(1088)] = 43049,
  [SMALL_STATE(1089)] = 43056,
  [SMALL_STATE(1090)] = 43063,
  [SMALL_STATE(1091)] = 43070,
  [SMALL_STATE(1092)] = 43077,
  [SMALL_STATE(1093)] = 43084,
  [SMALL_STATE(1094)] = 43091,
  [SMALL_STATE(1095)] = 43098,
  [SMALL_STATE(1096)] = 43105,
  [SMALL_STATE(1097)] = 43112,
  [SMALL_STATE(1098)] = 43119,
  [SMALL_STATE(1099)] = 43126,
  [SMALL_STATE(1100)] = 43133,
  [SMALL_STATE(1101)] = 43140,
  [SMALL_STATE(1102)] = 43147,
  [SMALL_STATE(1103)] = 43154,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(161),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(871),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(766),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(102),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(583),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(48),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(270),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(181),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(257),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(158),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1012),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1011),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1010),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(277),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(885),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(445),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(274),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1084),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(240),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1097),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(105),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1085),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1083),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(151),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1086),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1006),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(280),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(589),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(675),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(163),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(534),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(126),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(534),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(282),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(739),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(272),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(894),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(444),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(273),
  [218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1090),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(241),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1087),
  [227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1082),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1), REDUCE(sym_primary_expression, 1, .production_id = 1),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__patterns, 2),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__patterns, 3),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 59),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, .production_id = 59),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 74),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 74),
  [539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 55),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 55),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 42),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 42),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 19),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 19),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, .production_id = 84),
  [553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, .production_id = 84),
  [555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 55),
  [557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 55),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 42),
  [565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 42),
  [567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 75),
  [569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 75),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 50),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 50),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 33),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 33),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1), REDUCE(sym_primary_expression, 1),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 45),
  [702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 45),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 46),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 46),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 31),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 31),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(249),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2), REDUCE(sym_tuple, 2),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 63),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 63),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(238),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2), REDUCE(sym_list, 2),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 5),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61), SHIFT_REPEAT(271),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 61), SHIFT_REPEAT(325),
  [816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 14),
  [824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 13),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7),
  [838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, .production_id = 69),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, .production_id = 69),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, .production_id = 82),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, .production_id = 82),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, .production_id = 92),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, .production_id = 92),
  [884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 67),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 67),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 50),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 50),
  [892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 33),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 33),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 49),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 49),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 43),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 43),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 77),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 77),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 81),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 81),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 32),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 32),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, .production_id = 31),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, .production_id = 31),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 86),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, .production_id = 46),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, .production_id = 46),
  [932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, .production_id = 50),
  [934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, .production_id = 50),
  [936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, .production_id = 33),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, .production_id = 33),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 66),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 66),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 88),
  [946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 88),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4),
  [952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 36),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 36),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 64),
  [958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 64),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 87),
  [964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, .production_id = 34),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, .production_id = 34),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 71),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 70),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 70),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 54),
  [980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 83),
  [982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 83),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 33),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 33),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 89),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 89),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 90),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 90),
  [996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 91),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 91),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, .production_id = 69),
  [1002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, .production_id = 69),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 52),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 52),
  [1012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 60),
  [1016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, .production_id = 50),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, .production_id = 50),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 65),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 65),
  [1024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 51),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 51),
  [1028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 62),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 62),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 68),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 68),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 80),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 80),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 79),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 79),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 85),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 85),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 48),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 48),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 47),
  [1054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 47),
  [1056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 7, .production_id = 78),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 7, .production_id = 78),
  [1060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 76),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 76),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 44),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 44),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(742),
  [1079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, .production_id = 28),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, .production_id = 28),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 18),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 18),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 4),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 4),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, .production_id = 28),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, .production_id = 28),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 28),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 28),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, .production_id = 28),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, .production_id = 28),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, .production_id = 27),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, .production_id = 27),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, .production_id = 10),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, .production_id = 10),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, .production_id = 27),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, .production_id = 27),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, .production_id = 27),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, .production_id = 27),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 5),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 5),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(739),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, .production_id = 9),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(765),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_list_splat_pattern, 2),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2),
  [1363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(579),
  [1366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1029),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(579),
  [1372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(560),
  [1375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(611),
  [1378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1080),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(611),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(548),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2),
  [1395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(486),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [1402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(581),
  [1405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1073),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(581),
  [1411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(536),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, .production_id = 4),
  [1418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(607),
  [1421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1049),
  [1424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(607),
  [1427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(544),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_left_hand_side, 1),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, .production_id = 18),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 40),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 17),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 16),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [1542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(316),
  [1545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(1093),
  [1548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(442),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 75),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 74),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(213),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, .production_id = 59),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 40),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 41),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(288),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(756),
  [1682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(756),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, .production_id = 7),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 16),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2),
  [1707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(1016),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, .production_id = 5),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [1734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(1006),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 73),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, .production_id = 6),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(1078),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 5),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 17),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 38),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 72),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, .production_id = 15),
  [1790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 38),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5),
  [1806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(350),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, .production_id = 12),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, .production_id = 3),
  [1821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(340),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, .production_id = 30),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 17),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_repeat1, 2),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(332),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [1839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(823),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [1848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 3),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 12),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, .production_id = 1),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [1876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(838),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, .production_id = 39),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 4, .production_id = 37),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(1067),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, .production_id = 7),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 29), SHIFT_REPEAT(328),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 29),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(154),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 13),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 14),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [1954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 23), SHIFT_REPEAT(932),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 23),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 22),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 20),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(687),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 3),
  [2032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(228),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(148),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(248),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(95),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(685),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(199),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 23), SHIFT_REPEAT(964),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, .production_id = 27),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, .production_id = 7),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, .production_id = 24),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_repeat1, 2), SHIFT_REPEAT(214),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, .production_id = 25),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, .production_id = 18),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 21),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, .production_id = 56),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, .production_id = 2),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 3, .production_id = 35),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, .production_id = 57),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, .production_id = 27),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 26),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, .production_id = 58),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2286] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .alias_map = ts_non_terminal_alias_map,
    .state_count = STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
